
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    org.joda.time.Chronology chronology2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay3 = new org.joda.time.MonthDay(10, 0, chronology2);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay1 = org.joda.time.MonthDay.fromDateFields(date0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateTimeParser();
    java.lang.StringBuffer stringBuffer1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, (-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.ReadableInstant readableInstant1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Days days2 = org.joda.time.Days.daysBetween(readableInstant0, readableInstant1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.DateTimeFormat.mediumDateTime();
    java.lang.Appendable appendable1 = null;
    org.joda.time.ReadablePartial readablePartial2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(appendable1, readablePartial2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay1 = org.joda.time.MonthDay.now(dateTimeZone0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.joda.time.tz.Provider provider0 = null;
    org.joda.time.DateTimeZone.setProvider(provider0);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateTimeParser();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.LocalDate localDate4 = new org.joda.time.LocalDate(0L, dateTimeZone3);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, (org.joda.time.ReadablePartial)localDate4);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    int i0 = org.joda.time.MonthDay.DAY_OF_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days2 = days1.negated();
    org.joda.time.Days days3 = days1.negated();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Days days4 = days0.plus(days1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days3);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate1 = org.joda.time.LocalDate.fromCalendarFields(calendar0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed((-1L));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(100);
    org.joda.time.ReadWritableInstant readWritableInstant3 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i6 = dateTimeFormatter0.parseInto(readWritableInstant3, "08:05:54.174", 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    org.joda.time.LocalDateTime localDateTime2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = dateTimeZone1.isLocalDateTimeGap(localDateTime2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localDateOptionalTimeParser();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology3);
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, chronology4);
    org.joda.time.LocalDate.Property property6 = localDate5.monthOfYear();
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, (org.joda.time.ReadablePartial)localDate5);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField5 = new org.joda.time.field.DividedDateTimeField(dateTimeField2, dateTimeFieldType3, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearWeekDayTime();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate1 = new org.joda.time.LocalDate((java.lang.Object)periodType0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.joda.time.format.PeriodPrinter periodPrinter0 = null;
    org.joda.time.format.PeriodParser periodParser1 = null;
    org.joda.time.format.PeriodFormatter periodFormatter2 = new org.joda.time.format.PeriodFormatter(periodPrinter0, periodParser1);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = periodFormatter2.print(readablePeriod3);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    org.joda.time.MonthDay monthDay2 = org.joda.time.MonthDay.now(dateTimeZone1);
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay5 = monthDay2.withField(dateTimeFieldType3, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay2);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.ReadablePartial readablePartial2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, readablePartial2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(100);
    boolean b3 = dateTimeFormatter2.isPrinter();
    java.lang.StringBuffer stringBuffer4 = null;
    java.util.TimeZone timeZone5 = null;
    org.joda.time.DateTimeZone dateTimeZone6 = org.joda.time.DateTimeZone.forTimeZone(timeZone5);
    org.joda.time.MonthDay monthDay7 = org.joda.time.MonthDay.now(dateTimeZone6);
    org.joda.time.Months months8 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months9 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months11 = months9.multipliedBy(10);
    boolean b12 = months8.isGreaterThan(months9);
    org.joda.time.MonthDay monthDay13 = monthDay7.minus((org.joda.time.ReadablePeriod)months9);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter2.printTo(stringBuffer4, (org.joda.time.ReadablePartial)monthDay7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay13);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Minutes minutes3 = days2.toStandardMinutes();
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Days days4 = days0.plus(10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, dateTimeFieldType3, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Seconds seconds3 = days0.toStandardSeconds();
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    java.io.File file0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider(file0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localDateOptionalTimeParser();
    java.lang.StringBuffer stringBuffer1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, (-8643600001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(100);
    org.joda.time.ReadableInstant readableInstant3 = null;
    java.lang.String str4 = dateTimeFormatter0.print(readableInstant3);
    java.lang.StringBuffer stringBuffer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer5, (-86400000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "15:59:59.999"+ "'", str4.equals("15:59:59.999"));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    boolean b5 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate3);
    java.lang.String str6 = localDate3.toString();
    int i7 = localDate3.getWeekOfWeekyear();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i9 = localDate3.get(dateTimeFieldType8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12-31"+ "'", str6.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(100);
    boolean b3 = dateTimeFormatter2.isPrinter();
    java.lang.StringBuffer stringBuffer4 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology6 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology7 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology6);
    org.joda.time.LocalDate localDate8 = new org.joda.time.LocalDate(0L, chronology7);
    org.joda.time.LocalDate.Property property9 = localDate8.monthOfYear();
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate8);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter2.printTo(stringBuffer4, (org.joda.time.ReadablePartial)localDate8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    int i1 = gregorianChronology0.getMinimumDaysInFirstWeek();
    java.lang.Object obj2 = null;
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(obj2);
    int[] i_array4 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      gregorianChronology0.validate((org.joda.time.ReadablePartial)localDate3, i_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinute();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime2 = dateTimeFormatter0.parseMutableDateTime("1969-12-31");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate2 = org.joda.time.LocalDate.parse("hi!", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);

  }

  @Test
  public void test035() {}
// Defects4J: flaky method
//   @Test
//   public void test035() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(100);
//     org.joda.time.ReadableInstant readableInstant3 = null;
//     java.lang.String str4 = dateTimeFormatter0.print(readableInstant3);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.MutableDateTime mutableDateTime6 = dateTimeFormatter0.parseMutableDateTime("");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "23:59:59.998"+ "'", str4.equals("23:59:59.998"));
// 
//   }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    java.lang.Appendable appendable1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(appendable1, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Months months1 = org.joda.time.Months.parseMonths("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyearOfCentury();
    // The following exception was thrown during execution in test generation
    try {
      long long8 = iSOChronology0.getDateTimeMillis(10L, 2000, 1, 4, (-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    boolean b11 = localDate3.equals((java.lang.Object)localDate9);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate13 = localDate9.withDayOfWeek(2000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)2000, "YearDayTime");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    boolean b5 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate3);
    java.lang.String str6 = localDate3.toString();
    org.joda.time.LocalDate localDate8 = localDate3.plusWeeks(4);
    org.joda.time.LocalTime localTime9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDateTime localDateTime10 = localDate8.toLocalDateTime(localTime9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12-31"+ "'", str6.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate8);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.weekyearOfCentury();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay5 = new org.joda.time.MonthDay(100, 0, (org.joda.time.Chronology)iSOChronology2);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate1 = org.joda.time.LocalDate.now(dateTimeZone0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.joda.time.format.PeriodPrinter periodPrinter0 = null;
    org.joda.time.format.PeriodParser periodParser1 = null;
    org.joda.time.format.PeriodFormatter periodFormatter2 = new org.joda.time.format.PeriodFormatter(periodPrinter0, periodParser1);
    java.lang.StringBuffer stringBuffer3 = null;
    java.util.TimeZone timeZone4 = null;
    org.joda.time.DateTimeZone dateTimeZone5 = org.joda.time.DateTimeZone.forTimeZone(timeZone4);
    org.joda.time.MonthDay monthDay6 = org.joda.time.MonthDay.now(dateTimeZone5);
    org.joda.time.Months months7 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months8 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months10 = months8.multipliedBy(10);
    boolean b11 = months7.isGreaterThan(months8);
    org.joda.time.MonthDay monthDay12 = monthDay6.minus((org.joda.time.ReadablePeriod)months8);
    // The following exception was thrown during execution in test generation
    try {
      periodFormatter2.printTo(stringBuffer3, (org.joda.time.ReadablePeriod)months8);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay12);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField2, 0, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    java.io.InputStream inputStream0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(inputStream0, "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(100);
    boolean b3 = dateTimeFormatter2.isPrinter();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = dateTimeFormatter2.parseDateTime("1969-12-31");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.tTimeNoMillis();
    boolean b6 = localDate3.equals((java.lang.Object)dateTimeFormatter5);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalTime localTime8 = dateTimeFormatter5.parseLocalTime("hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    org.joda.time.format.PeriodPrinter periodPrinter0 = null;
    org.joda.time.format.PeriodParser periodParser1 = null;
    org.joda.time.format.PeriodFormatter periodFormatter2 = new org.joda.time.format.PeriodFormatter(periodPrinter0, periodParser1);
    boolean b3 = periodFormatter2.isPrinter();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period5 = periodFormatter2.parsePeriod("YearDayTime");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField1, 10, 0, 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDate();
    java.io.Writer writer1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer1, (-8730000001L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-863999990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-863999990));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    java.io.InputStream inputStream0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(inputStream0, "YearDayTime");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.clockhourOfHalfday();
    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField4 = gregorianChronology3.days();
    boolean b5 = org.joda.time.field.FieldUtils.equals((java.lang.Object)iSOChronology1, (java.lang.Object)durationField4);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField6 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, durationField4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter1.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology3.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology3.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone7 = null;
    org.joda.time.LocalDate localDate8 = new org.joda.time.LocalDate(0L, dateTimeZone7);
    long long10 = iSOChronology3.set((org.joda.time.ReadablePartial)localDate8, 0L);
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology3.weekyearOfCentury();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter2, (java.lang.Object)dateTimeField11);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay13 = org.joda.time.MonthDay.parse("1969-12-31", dateTimeFormatter2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.weekyearOfCentury();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField11 = new org.joda.time.field.DividedDateTimeField(dateTimeField8, dateTimeFieldType9, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicWeekDate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 0, 0);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.MonthDay monthDay1 = new org.joda.time.MonthDay((org.joda.time.Chronology)gregorianChronology0);
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.LocalDate localDate4 = new org.joda.time.LocalDate(0L, dateTimeZone3);
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = monthDay1.isAfter((org.joda.time.ReadablePartial)localDate4);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinute();
    java.io.Writer writer1 = null;
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.MonthDay monthDay7 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone6);
    int i8 = monthDay7.size();
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer1, (org.joda.time.ReadablePartial)monthDay7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(4, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 104);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField0, dateTimeFieldType1, 1969, 104, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.joda.time.Months months0 = org.joda.time.Months.MIN_VALUE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay1 = org.joda.time.MonthDay.parse("YearDayTime");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.joda.time.format.PeriodPrinter periodPrinter0 = null;
    org.joda.time.format.PeriodParser periodParser1 = null;
    org.joda.time.format.PeriodFormatter periodFormatter2 = new org.joda.time.format.PeriodFormatter(periodPrinter0, periodParser1);
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.PeriodType periodType4 = periodType3.withWeeksRemoved();
    org.joda.time.format.PeriodFormatter periodFormatter5 = periodFormatter2.withParseType(periodType3);
    org.joda.time.Months months6 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months7 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months9 = months7.multipliedBy(10);
    boolean b10 = months6.isGreaterThan(months7);
    org.joda.time.MutablePeriod mutablePeriod11 = months7.toMutablePeriod();
    // The following exception was thrown during execution in test generation
    try {
      int i14 = periodFormatter2.parseInto((org.joda.time.ReadWritablePeriod)mutablePeriod11, "", (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutablePeriod11);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate1 = org.joda.time.LocalDate.fromDateFields(date0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField1 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField5 = new org.joda.time.field.RemainderDateTimeField(dateTimeField2, dateTimeFieldType3, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField2 = gregorianChronology1.hours();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField3 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, durationField2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("08:05:54.174", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.weekyearOfCentury();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField11 = new org.joda.time.field.RemainderDateTimeField(dateTimeField8, dateTimeFieldType9, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinute();
    boolean b1 = dateTimeFormatter0.isParser();
    java.io.Writer writer2 = null;
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone8 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i10 = fixedDateTimeZone8.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology11 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone8);
    org.joda.time.DateTimeZone dateTimeZone12 = iSOChronology11.getZone();
    org.joda.time.LocalDate localDate13 = new org.joda.time.LocalDate(0L, dateTimeZone12);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer2, (org.joda.time.ReadablePartial)localDate13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone12);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    boolean b5 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate3);
    java.lang.String str6 = localDate3.toString();
    int i7 = localDate3.getWeekOfWeekyear();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate.Property property9 = localDate3.property(dateTimeFieldType8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12-31"+ "'", str6.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    org.joda.time.format.PeriodFormatter periodFormatter0 = org.joda.time.format.ISOPeriodFormat.alternateExtendedWithWeeks();
    org.joda.time.format.PeriodParser periodParser1 = periodFormatter0.getParser();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutablePeriod mutablePeriod3 = periodFormatter0.parseMutablePeriod("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodParser1);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localDateOptionalTimeParser();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.LocalDate localDate4 = new org.joda.time.LocalDate(0L, dateTimeZone3);
    boolean b5 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate4);
    int i6 = localDate4.getWeekOfWeekyear();
    org.joda.time.DateTimeFieldType[] dateTimeFieldType_array7 = localDate4.getFieldTypes();
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, (org.joda.time.ReadablePartial)localDate4);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType_array7);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.joda.time.IllegalInstantException illegalInstantException1 = new org.joda.time.IllegalInstantException("08:05:54.174");

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekDateTime();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDateTime localDateTime2 = dateTimeFormatter0.parseLocalDateTime("08:05:54.174");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay2 = new org.joda.time.MonthDay(104, 2);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    double d1 = org.joda.time.DateTimeUtils.toJulianDay(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2440587.5d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.joda.time.IllegalInstantException illegalInstantException1 = new org.joda.time.IllegalInstantException("hi!");

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate9 = localDate3.withField(dateTimeFieldType7, 2000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("1969-12", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    // The following exception was thrown during execution in test generation
    try {
      long long16 = offsetDateTimeField13.add(0L, (-8643600001L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay7 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.chrono.GregorianChronology gregorianChronology9 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology10 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology9);
    org.joda.time.LocalDate localDate11 = new org.joda.time.LocalDate(0L, chronology10);
    java.lang.String str12 = localDate11.toString();
    org.joda.time.PeriodType periodType13 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months14 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period15 = months14.toPeriod();
    org.joda.time.DurationFieldType durationFieldType16 = months14.getFieldType();
    int i17 = periodType13.indexOf(durationFieldType16);
    boolean b18 = localDate11.isSupported(durationFieldType16);
    org.joda.time.MonthDay monthDay20 = monthDay7.withFieldAdded(durationFieldType16, 100);
    org.joda.time.chrono.GregorianChronology gregorianChronology21 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.MonthDay monthDay22 = monthDay7.withChronologyRetainFields((org.joda.time.Chronology)gregorianChronology21);
    // The following exception was thrown during execution in test generation
    try {
      int i24 = monthDay7.getValue(3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1969-12-31"+ "'", str12.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay22);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)0.0d, "1969-12-31");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField1, 2000, 0, 2);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    long long1 = org.joda.time.DateTimeUtils.toJulianDayNumber(2419199998L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2440615L);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    int i0 = org.joda.time.MonthDay.MONTH_OF_YEAR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.PeriodType periodType1 = periodType0.withWeeksRemoved();
    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology3);
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, chronology4);
    org.joda.time.LocalDate.Property property6 = localDate5.monthOfYear();
    org.joda.time.LocalDate localDate8 = localDate5.minusMonths(10);
    org.joda.time.LocalDate localDate10 = localDate8.plusMonths(100);
    org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology12);
    org.joda.time.LocalDate localDate14 = new org.joda.time.LocalDate(0L, chronology13);
    org.joda.time.LocalDate.Property property15 = localDate14.monthOfYear();
    org.joda.time.LocalDate localDate17 = localDate14.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone19 = null;
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, dateTimeZone19);
    boolean b21 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate20);
    boolean b22 = localDate14.equals((java.lang.Object)localDate20);
    int i23 = localDate20.getYear();
    int i24 = localDate8.compareTo((org.joda.time.ReadablePartial)localDate20);
    boolean b25 = periodType0.equals((java.lang.Object)localDate8);
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i27 = localDate8.get(dateTimeFieldType26);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period1 = months0.toPeriod();
    org.joda.time.DurationFieldType durationFieldType2 = months0.getFieldType();
    org.joda.time.Months months3 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months6 = months4.multipliedBy(10);
    boolean b7 = months3.isGreaterThan(months4);
    int i8 = months0.compareTo((org.joda.time.base.BaseSingleFieldPeriod)months3);
    org.joda.time.Period period9 = months3.toPeriod();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period9);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    java.lang.String str4 = localDate3.toString();
    org.joda.time.PeriodType periodType5 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months6 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period7 = months6.toPeriod();
    org.joda.time.DurationFieldType durationFieldType8 = months6.getFieldType();
    int i9 = periodType5.indexOf(durationFieldType8);
    boolean b10 = localDate3.isSupported(durationFieldType8);
    org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology12);
    org.joda.time.LocalDate localDate14 = new org.joda.time.LocalDate(0L, chronology13);
    org.joda.time.LocalDate.Property property15 = localDate14.monthOfYear();
    org.joda.time.LocalDate localDate17 = localDate14.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone19 = null;
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, dateTimeZone19);
    boolean b21 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate20);
    boolean b22 = localDate14.equals((java.lang.Object)localDate20);
    boolean b23 = localDate3.isEqual((org.joda.time.ReadablePartial)localDate14);
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate26 = localDate14.withField(dateTimeFieldType24, (-863999990));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1969-12-31"+ "'", str4.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay7 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.chrono.GregorianChronology gregorianChronology9 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology10 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology9);
    org.joda.time.LocalDate localDate11 = new org.joda.time.LocalDate(0L, chronology10);
    java.lang.String str12 = localDate11.toString();
    org.joda.time.PeriodType periodType13 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months14 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period15 = months14.toPeriod();
    org.joda.time.DurationFieldType durationFieldType16 = months14.getFieldType();
    int i17 = periodType13.indexOf(durationFieldType16);
    boolean b18 = localDate11.isSupported(durationFieldType16);
    org.joda.time.MonthDay monthDay20 = monthDay7.withFieldAdded(durationFieldType16, 100);
    org.joda.time.chrono.GregorianChronology gregorianChronology21 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.MonthDay monthDay22 = monthDay7.withChronologyRetainFields((org.joda.time.Chronology)gregorianChronology21);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay24 = monthDay7.withMonthOfYear((-863999990));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1969-12-31"+ "'", str12.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay22);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeekDay();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.ReadablePartial readablePartial2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, readablePartial2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.joda.time.Days days1 = org.joda.time.Days.days(100);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Days days3 = days1.multipliedBy((-863999990));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.joda.time.format.PeriodPrinter periodPrinter0 = null;
    org.joda.time.format.PeriodParser periodParser1 = null;
    org.joda.time.format.PeriodFormatter periodFormatter2 = new org.joda.time.format.PeriodFormatter(periodPrinter0, periodParser1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period4 = periodFormatter2.parsePeriod("");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter1.withZoneUTC();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay3 = org.joda.time.MonthDay.parse("", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    // The following exception was thrown during execution in test generation
    try {
      long long15 = iSOChronology7.getDateTimeMillis(12, (-1), 31, 1, (-863999990), 3, 100);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.dateElementParser();
    boolean b2 = periodType0.equals((java.lang.Object)dateTimeFormatter1);
    java.io.Writer writer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter1.printTo(writer3, 1L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.minutes();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    boolean b5 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate3);
    java.lang.String str6 = localDate3.toString();
    int[] i_array7 = localDate3.getValues();
    org.joda.time.ReadablePartial readablePartial8 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = localDate3.isAfter(readablePartial8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12-31"+ "'", str6.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.joda.time.format.PeriodFormatter periodFormatter0 = org.joda.time.format.ISOPeriodFormat.alternateWithWeeks();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.Months months2 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period3 = months2.toPeriod();
    org.joda.time.DurationFieldType durationFieldType4 = months2.getFieldType();
    // The following exception was thrown during execution in test generation
    try {
      periodFormatter0.printTo(stringBuffer1, (org.joda.time.ReadablePeriod)months2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType4);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(0L);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    long long15 = offsetDateTimeField13.roundHalfCeiling((-863999990L));
    java.util.Locale locale18 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long19 = offsetDateTimeField13.set((-8730000001L), "1969-12-31", locale18);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 104, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.LocalDate localDate8 = localDate6.plusMonths(100);
    org.joda.time.chrono.GregorianChronology gregorianChronology10 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology11 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology10);
    org.joda.time.LocalDate localDate12 = new org.joda.time.LocalDate(0L, chronology11);
    org.joda.time.LocalDate.Property property13 = localDate12.monthOfYear();
    org.joda.time.LocalDate localDate15 = localDate12.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone17 = null;
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, dateTimeZone17);
    boolean b19 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate18);
    boolean b20 = localDate12.equals((java.lang.Object)localDate18);
    int i21 = localDate18.getYear();
    int i22 = localDate6.compareTo((org.joda.time.ReadablePartial)localDate18);
    org.joda.time.LocalDate.Property property23 = localDate18.dayOfMonth();
    java.util.Locale locale25 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str26 = localDate18.toString("", locale25);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property23);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months1 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period2 = months1.toPeriod();
    org.joda.time.DurationFieldType durationFieldType3 = months1.getFieldType();
    int i4 = periodType0.indexOf(durationFieldType3);
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException(durationFieldType3, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number9 = illegalFieldValueException8.getLowerBound();
    java.util.TimeZone timeZone10 = null;
    org.joda.time.DateTimeZone dateTimeZone11 = org.joda.time.DateTimeZone.forTimeZone(timeZone10);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate12 = new org.joda.time.LocalDate((java.lang.Object)number9, dateTimeZone11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 4+ "'", number9.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    java.util.Locale locale15 = null;
    java.lang.String str16 = offsetDateTimeField13.getAsText((-8643600001L), locale15);
    org.joda.time.chrono.GregorianChronology gregorianChronology18 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology18);
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, chronology19);
    org.joda.time.LocalDate.Property property21 = localDate20.monthOfYear();
    boolean b22 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate20);
    java.lang.String str23 = localDate20.toString();
    org.joda.time.LocalDate localDate25 = localDate20.plusWeeks(4);
    int[] i_array29 = new int[] { 0, 1 };
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array31 = offsetDateTimeField13.addWrapField((org.joda.time.ReadablePartial)localDate20, (-863999990), i_array29, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "100"+ "'", str16.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1969-12-31"+ "'", str23.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1, 54, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.LocalDate localDate2 = new org.joda.time.LocalDate(0L, dateTimeZone1);
    boolean b3 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate2);
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.DateTime dateTime5 = localDate2.toDateTime(readableInstant4);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i7 = localDate2.get(dateTimeFieldType6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "100");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    java.lang.Number number1 = null;
    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("08:05:54.174", number1, number2, (java.lang.Number)(byte)1);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);

  }

  @Test
  public void test113() {}
// Defects4J: flaky method
//   @Test
//   public void test113() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter1.withPivotYear(100);
//     org.joda.time.ReadableInstant readableInstant4 = null;
//     java.lang.String str5 = dateTimeFormatter1.print(readableInstant4);
//     org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone10 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
//     int i12 = fixedDateTimeZone10.getOffsetFromLocal((-8643600001L));
//     org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone10);
//     org.joda.time.DateTimeZone dateTimeZone14 = iSOChronology13.getZone();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter15 = dateTimeFormatter1.withChronology((org.joda.time.Chronology)iSOChronology13);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter16 = dateTimeFormatter1.withZoneUTC();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate17 = org.joda.time.LocalDate.parse("100", dateTimeFormatter16);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "23:59:59.999"+ "'", str5.equals("23:59:59.999"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter16);
// 
//   }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.joda.time.format.DateTimeFormat.patternForStyle("hi!", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.joda.time.field.RemainderDateTimeField remainderDateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField2 = new org.joda.time.field.DividedDateTimeField(remainderDateTimeField0, dateTimeFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDateTime localDateTime2 = dateTimeFormatter0.parseLocalDateTime("YearDayTime");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology3);
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, chronology4);
    org.joda.time.LocalDate.Property property6 = localDate5.monthOfYear();
    org.joda.time.LocalDate localDate8 = localDate5.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.LocalDate localDate11 = new org.joda.time.LocalDate(0L, dateTimeZone10);
    boolean b12 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate11);
    boolean b13 = localDate5.equals((java.lang.Object)localDate11);
    int i14 = localDate11.getYear();
    org.joda.time.chrono.ISOChronology iSOChronology15 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField16 = iSOChronology15.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology15.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone19 = null;
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, dateTimeZone19);
    long long22 = iSOChronology15.set((org.joda.time.ReadablePartial)localDate20, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone27 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology28 = iSOChronology15.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone27);
    org.joda.time.DateMidnight dateMidnight29 = localDate11.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone27);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, (org.joda.time.ReadableInstant)dateMidnight29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight29);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.DateTimeFormat.forStyle("23:59:59.998");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "1969-12-31");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() {}
// Defects4J: flaky method
//   @Test
//   public void test120() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(100);
//     org.joda.time.ReadableInstant readableInstant3 = null;
//     java.lang.String str4 = dateTimeFormatter0.print(readableInstant3);
//     org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone9 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
//     int i11 = fixedDateTimeZone9.getOffsetFromLocal((-8643600001L));
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone9);
//     org.joda.time.DateTimeZone dateTimeZone13 = iSOChronology12.getZone();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter14 = dateTimeFormatter0.withChronology((org.joda.time.Chronology)iSOChronology12);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate16 = dateTimeFormatter0.parseLocalDate("YearDayTime");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "23:59:59.999"+ "'", str4.equals("23:59:59.999"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter14);
// 
//   }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone11 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i13 = fixedDateTimeZone11.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay14 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone11);
    org.joda.time.chrono.GregorianChronology gregorianChronology16 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology16);
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, chronology17);
    java.lang.String str19 = localDate18.toString();
    org.joda.time.PeriodType periodType20 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months21 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period22 = months21.toPeriod();
    org.joda.time.DurationFieldType durationFieldType23 = months21.getFieldType();
    int i24 = periodType20.indexOf(durationFieldType23);
    boolean b25 = localDate18.isSupported(durationFieldType23);
    org.joda.time.MonthDay monthDay27 = monthDay14.withFieldAdded(durationFieldType23, 100);
    org.joda.time.LocalDate localDate28 = localDate6.withFields((org.joda.time.ReadablePartial)monthDay27);
    org.joda.time.chrono.GregorianChronology gregorianChronology30 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology31 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology30);
    org.joda.time.LocalDate localDate32 = new org.joda.time.LocalDate(0L, chronology31);
    org.joda.time.LocalDate.Property property33 = localDate32.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter34 = org.joda.time.format.ISODateTimeFormat.tTimeNoMillis();
    boolean b35 = localDate32.equals((java.lang.Object)dateTimeFormatter34);
    // The following exception was thrown during execution in test generation
    try {
      boolean b36 = monthDay27.isBefore((org.joda.time.ReadablePartial)localDate32);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1969-12-31"+ "'", str19.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    java.util.Collection collection0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = org.joda.time.format.ISODateTimeFormat.forFields(collection0, false, false);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1, 10);
    long long5 = dateTimeZone2.adjustOffset(2419199998L, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 2419199998L);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinute();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime2 = dateTimeFormatter0.parseMutableDateTime("08:05:54.174");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    java.util.Locale locale15 = null;
    java.lang.String str16 = offsetDateTimeField13.getAsText((-8643600001L), locale15);
    long long18 = offsetDateTimeField13.roundCeiling(0L);
    long long21 = offsetDateTimeField13.add((-863999990L), 1969);
    org.joda.time.chrono.GregorianChronology gregorianChronology23 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology24 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology23);
    org.joda.time.LocalDate localDate25 = new org.joda.time.LocalDate(0L, chronology24);
    org.joda.time.LocalDate.Property property26 = localDate25.monthOfYear();
    org.joda.time.LocalDate localDate28 = localDate25.minusMonths(10);
    org.joda.time.LocalDate localDate30 = localDate28.plusMonths(100);
    org.joda.time.chrono.GregorianChronology gregorianChronology32 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology33 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology32);
    org.joda.time.LocalDate localDate34 = new org.joda.time.LocalDate(0L, chronology33);
    org.joda.time.LocalDate.Property property35 = localDate34.monthOfYear();
    org.joda.time.LocalDate localDate37 = localDate34.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone39 = null;
    org.joda.time.LocalDate localDate40 = new org.joda.time.LocalDate(0L, dateTimeZone39);
    boolean b41 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate40);
    boolean b42 = localDate34.equals((java.lang.Object)localDate40);
    int i43 = localDate40.getYear();
    int i44 = localDate28.compareTo((org.joda.time.ReadablePartial)localDate40);
    int[] i_array47 = new int[] { 0 };
    java.util.Locale locale49 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array50 = offsetDateTimeField13.set((org.joda.time.ReadablePartial)localDate40, 1969, i_array47, "08:05:54.174", locale49);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "100"+ "'", str16.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 62134732800010L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value 0 for months must be in the range [4,1.0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay1 = org.joda.time.MonthDay.fromCalendarFields(calendar0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay7 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.chrono.GregorianChronology gregorianChronology9 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology10 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology9);
    org.joda.time.LocalDate localDate11 = new org.joda.time.LocalDate(0L, chronology10);
    java.lang.String str12 = localDate11.toString();
    org.joda.time.PeriodType periodType13 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months14 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period15 = months14.toPeriod();
    org.joda.time.DurationFieldType durationFieldType16 = months14.getFieldType();
    int i17 = periodType13.indexOf(durationFieldType16);
    boolean b18 = localDate11.isSupported(durationFieldType16);
    org.joda.time.MonthDay monthDay20 = monthDay7.withFieldAdded(durationFieldType16, 100);
    org.joda.time.chrono.GregorianChronology gregorianChronology21 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.MonthDay monthDay22 = monthDay7.withChronologyRetainFields((org.joda.time.Chronology)gregorianChronology21);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay24 = monthDay7.withMonthOfYear(1969);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1969-12-31"+ "'", str12.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay22);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.tTimeNoMillis();
    boolean b6 = localDate3.equals((java.lang.Object)dateTimeFormatter5);
    java.lang.StringBuffer stringBuffer7 = null;
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.LocalDate localDate10 = new org.joda.time.LocalDate(0L, dateTimeZone9);
    boolean b11 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate10);
    org.joda.time.ReadableInstant readableInstant12 = null;
    org.joda.time.DateTime dateTime13 = localDate10.toDateTime(readableInstant12);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone18 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i20 = fixedDateTimeZone18.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone18);
    org.joda.time.DateTimeZone dateTimeZone22 = iSOChronology21.getZone();
    org.joda.time.DateTime dateTime23 = localDate10.toDateTimeAtCurrentTime(dateTimeZone22);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter5.printTo(stringBuffer7, (org.joda.time.ReadableInstant)dateTime23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    long long1 = org.joda.time.DateTimeUtils.toJulianDayNumber((-8643600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2440487L);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekDateTime();
    java.io.Writer writer1 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology3);
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, chronology4);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer1, (org.joda.time.ReadablePartial)localDate5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology7.getZone();
    org.joda.time.chrono.GregorianChronology gregorianChronology10 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology11 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology10);
    org.joda.time.LocalDate localDate12 = new org.joda.time.LocalDate(0L, chronology11);
    org.joda.time.LocalDate.Property property13 = localDate12.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter14 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str15 = localDate12.toString(dateTimeFormatter14);
    org.joda.time.DateTimeZone dateTimeZone17 = null;
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, dateTimeZone17);
    boolean b19 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate18);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone24 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i26 = fixedDateTimeZone24.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone24);
    int i29 = fixedDateTimeZone24.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight30 = localDate18.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone24);
    org.joda.time.DateMidnight dateMidnight31 = localDate12.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone24);
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = null;
    boolean b33 = localDate12.isSupported(dateTimeFieldType32);
    org.joda.time.DateTime dateTime34 = localDate12.toDateTimeAtCurrentTime();
    int i35 = dateTimeZone8.getOffset((org.joda.time.ReadableInstant)dateTime34);
    boolean b37 = dateTimeZone8.isStandardOffset(62134732800010L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1969-12"+ "'", str15.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.days();
    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology3);
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, chronology4);
    org.joda.time.LocalDate.Property property6 = localDate5.monthOfYear();
    boolean b7 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate5);
    java.lang.String str8 = localDate5.toString();
    org.joda.time.LocalDate localDate10 = localDate5.plusWeeks(4);
    long long12 = gregorianChronology0.set((org.joda.time.ReadablePartial)localDate10, (-1L));
    org.joda.time.format.DateTimeFormatter dateTimeFormatter13 = org.joda.time.format.ISODateTimeFormat.dateTimeParser();
    org.joda.time.format.DateTimeParser dateTimeParser14 = dateTimeFormatter13.getParser();
    boolean b15 = gregorianChronology0.equals((java.lang.Object)dateTimeParser14);
    // The following exception was thrown during execution in test generation
    try {
      long long23 = gregorianChronology0.getDateTimeMillis(31, 12, 54, 1969, 104, 0, 100);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "1969-12-31"+ "'", str8.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2419199999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    java.lang.String str4 = localDate3.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate6 = localDate3.withMonthOfYear(31);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1969-12-31"+ "'", str4.equals("1969-12-31"));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    java.lang.StringBuffer stringBuffer1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, 2419199998L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.joda.time.MonthDay monthDay0 = org.joda.time.MonthDay.now();
    // The following exception was thrown during execution in test generation
    try {
      int i2 = monthDay0.getValue(1969);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay0);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(100);
    org.joda.time.ReadableInstant readableInstant3 = null;
    java.lang.String str4 = dateTimeFormatter0.print(readableInstant3);
    java.io.Writer writer5 = null;
    org.joda.time.ReadableInstant readableInstant6 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer5, readableInstant6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "23:59:59.999"+ "'", str4.equals("23:59:59.999"));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.joda.time.MonthDay monthDay1 = new org.joda.time.MonthDay(2440615L);
    org.joda.time.DateTimeFieldType dateTimeFieldType2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay4 = monthDay1.withField(dateTimeFieldType2, 104);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.LocalDate localDate8 = localDate6.plusMonths(100);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeField dateTimeField10 = localDate6.getField(365);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate8);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "YearDayTimeNoMillis");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    boolean b11 = localDate3.equals((java.lang.Object)localDate9);
    int i12 = localDate9.getYear();
    org.joda.time.LocalTime localTime13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDateTime localDateTime14 = localDate9.toLocalDateTime(localTime13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1969);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.joda.time.MonthDay monthDay1 = new org.joda.time.MonthDay(1L);
    // The following exception was thrown during execution in test generation
    try {
      int i3 = monthDay1.getValue(54);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset(100L);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.LocalDate localDate8 = localDate6.plusMonths(100);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate10 = localDate8.withEra(3);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate8);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.Months months1 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period2 = months1.toPeriod();
    org.joda.time.DurationFieldType durationFieldType3 = months1.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField5 = new org.joda.time.field.PreciseDurationField(durationFieldType3, (-8730000001L));
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.clockhourOfHalfday();
    org.joda.time.DurationField durationField8 = iSOChronology6.days();
    long long11 = durationField8.subtract(10L, 10L);
    long long14 = durationField8.subtract((-8643600001L), 1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDateTimeField preciseDateTimeField15 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType0, (org.joda.time.DurationField)preciseDurationField5, durationField8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == (-863999990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == (-8730000001L));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone12 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology13 = iSOChronology0.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GregorianChronology gregorianChronology15 = org.joda.time.chrono.GregorianChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone12, 365);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate.Property property6 = localDate3.property(dateTimeFieldType5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay4 = new org.joda.time.MonthDay(2000, (-863999990), (org.joda.time.Chronology)iSOChronology2);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.days();
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.millisOfDay();
    org.joda.time.DateTimeField dateTimeField3 = gregorianChronology0.yearOfCentury();
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology0.centuryOfEra();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = gregorianChronology0.getDateTimeMillis(100, 2, 1969, 1);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    java.util.Locale locale15 = null;
    java.lang.String str16 = offsetDateTimeField13.getAsText((-8643600001L), locale15);
    org.joda.time.MonthDay monthDay17 = new org.joda.time.MonthDay();
    int i18 = offsetDateTimeField13.getMinimumValue((org.joda.time.ReadablePartial)monthDay17);
    org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField21 = iSOChronology19.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone23 = null;
    org.joda.time.LocalDate localDate24 = new org.joda.time.LocalDate(0L, dateTimeZone23);
    long long26 = iSOChronology19.set((org.joda.time.ReadablePartial)localDate24, 0L);
    org.joda.time.chrono.GregorianChronology gregorianChronology28 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology29 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology28);
    org.joda.time.LocalDate localDate30 = new org.joda.time.LocalDate(0L, chronology29);
    org.joda.time.LocalDate.Property property31 = localDate30.monthOfYear();
    org.joda.time.LocalDate localDate33 = localDate30.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone35 = null;
    org.joda.time.LocalDate localDate36 = new org.joda.time.LocalDate(0L, dateTimeZone35);
    boolean b37 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate36);
    boolean b38 = localDate30.equals((java.lang.Object)localDate36);
    org.joda.time.chrono.GregorianChronology gregorianChronology40 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology41 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology40);
    org.joda.time.LocalDate localDate42 = new org.joda.time.LocalDate(0L, chronology41);
    java.lang.String str43 = localDate42.toString();
    boolean b44 = localDate30.isBefore((org.joda.time.ReadablePartial)localDate42);
    boolean b45 = localDate24.isBefore((org.joda.time.ReadablePartial)localDate30);
    org.joda.time.chrono.GregorianChronology gregorianChronology48 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology49 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology48);
    org.joda.time.LocalDate localDate50 = new org.joda.time.LocalDate(0L, chronology49);
    org.joda.time.LocalDate.Property property51 = localDate50.monthOfYear();
    boolean b52 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate50);
    java.lang.String str53 = localDate50.toString();
    int[] i_array54 = localDate50.getValues();
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array56 = offsetDateTimeField13.add((org.joda.time.ReadablePartial)localDate24, 0, i_array54, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "100"+ "'", str16.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "1969-12-31"+ "'", str43.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "1969-12-31"+ "'", str53.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(104, 104);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10816);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period1 = months0.toPeriod();
    org.joda.time.DurationFieldType durationFieldType2 = months0.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField4 = new org.joda.time.field.PreciseDurationField(durationFieldType2, (-8730000001L));
    int i6 = preciseDurationField4.getValue((-8730000000L));
    // The following exception was thrown during execution in test generation
    try {
      long long9 = preciseDurationField4.add(100L, (-8730000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField2 = gregorianChronology1.days();
    long long5 = durationField2.subtract((-1L), 100L);
    boolean b6 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-1.0f), (java.lang.Object)(-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == (-8640000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter1.withPivotYear(100);
    org.joda.time.Chronology chronology4 = dateTimeFormatter3.getChronology();
    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology5.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology5.weekyearOfCentury();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter8 = dateTimeFormatter3.withChronology((org.joda.time.Chronology)iSOChronology5);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate9 = org.joda.time.LocalDate.parse("org.joda.time.IllegalInstantException: Illegal instant due to time zone offset transition (daylight savings time 'gap'): 1970-01-01T00:00:00.010 (hi!)", dateTimeFormatter8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter8);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearMonthDayTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDateTime();
    java.lang.Integer i1 = dateTimeFormatter0.getPivotYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter0.withPivotYear((java.lang.Integer)1969);
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter3.printTo(writer4, 2440487L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    boolean b5 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate3);
    java.lang.String str6 = localDate3.toString();
    int[] i_array7 = localDate3.getValues();
    org.joda.time.LocalDate.Property property8 = localDate3.dayOfYear();
    org.joda.time.Months months9 = org.joda.time.Months.MAX_VALUE;
    org.joda.time.LocalDate localDate10 = localDate3.minus((org.joda.time.ReadablePeriod)months9);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate12 = localDate10.withYearOfCentury(104);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12-31"+ "'", str6.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate10);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetMillis(1970);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.joda.time.Days days0 = org.joda.time.Days.MIN_VALUE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateOptionalTimeParser();
    java.lang.Appendable appendable1 = null;
    org.joda.time.ReadablePartial readablePartial2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(appendable1, readablePartial2);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetHours((-863999990));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset(2419200001L);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("-00:00:00.001");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.LocalDate localDate8 = localDate6.plusMonths(100);
    org.joda.time.chrono.GregorianChronology gregorianChronology10 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology11 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology10);
    org.joda.time.LocalDate localDate12 = new org.joda.time.LocalDate(0L, chronology11);
    org.joda.time.LocalDate.Property property13 = localDate12.monthOfYear();
    org.joda.time.LocalDate localDate15 = localDate12.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone17 = null;
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, dateTimeZone17);
    boolean b19 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate18);
    boolean b20 = localDate12.equals((java.lang.Object)localDate18);
    int i21 = localDate18.getYear();
    int i22 = localDate6.compareTo((org.joda.time.ReadablePartial)localDate18);
    org.joda.time.PeriodType periodType23 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.PeriodType periodType24 = periodType23.withWeeksRemoved();
    org.joda.time.chrono.GregorianChronology gregorianChronology26 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology27 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology26);
    org.joda.time.LocalDate localDate28 = new org.joda.time.LocalDate(0L, chronology27);
    org.joda.time.LocalDate.Property property29 = localDate28.monthOfYear();
    org.joda.time.LocalDate localDate31 = localDate28.minusMonths(10);
    org.joda.time.LocalDate localDate33 = localDate31.plusMonths(100);
    org.joda.time.chrono.GregorianChronology gregorianChronology35 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology35);
    org.joda.time.LocalDate localDate37 = new org.joda.time.LocalDate(0L, chronology36);
    org.joda.time.LocalDate.Property property38 = localDate37.monthOfYear();
    org.joda.time.LocalDate localDate40 = localDate37.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone42 = null;
    org.joda.time.LocalDate localDate43 = new org.joda.time.LocalDate(0L, dateTimeZone42);
    boolean b44 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate43);
    boolean b45 = localDate37.equals((java.lang.Object)localDate43);
    int i46 = localDate43.getYear();
    int i47 = localDate31.compareTo((org.joda.time.ReadablePartial)localDate43);
    boolean b48 = periodType23.equals((java.lang.Object)localDate31);
    org.joda.time.LocalDate.Property property49 = localDate31.monthOfYear();
    int i50 = localDate18.compareTo((org.joda.time.ReadablePartial)localDate31);
    org.joda.time.Interval interval51 = localDate18.toInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(interval51);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localDateOptionalTimeParser();
    java.lang.Integer i1 = dateTimeFormatter0.getPivotYear();
    org.joda.time.Chronology chronology2 = dateTimeFormatter0.getChronolgy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(chronology2);

  }

  @Test
  public void test167() {}
// Defects4J: flaky method
//   @Test
//   public void test167() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     org.joda.time.MonthDay monthDay2 = org.joda.time.MonthDay.now(dateTimeZone1);
//     org.joda.time.Months months3 = org.joda.time.Months.TWELVE;
//     org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
//     org.joda.time.Months months6 = months4.multipliedBy(10);
//     boolean b7 = months3.isGreaterThan(months4);
//     org.joda.time.MonthDay monthDay8 = monthDay2.minus((org.joda.time.ReadablePeriod)months4);
//     int i9 = monthDay8.getDayOfMonth();
//     org.joda.time.Days days10 = org.joda.time.Days.MAX_VALUE;
//     org.joda.time.Days days11 = days10.negated();
//     org.joda.time.Days days12 = days10.negated();
//     org.joda.time.PeriodType periodType13 = org.joda.time.PeriodType.yearWeekDayTime();
//     org.joda.time.Months months14 = org.joda.time.Months.TWELVE;
//     org.joda.time.Period period15 = months14.toPeriod();
//     org.joda.time.DurationFieldType durationFieldType16 = months14.getFieldType();
//     int i17 = periodType13.indexOf(durationFieldType16);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException(durationFieldType16, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
//     java.lang.Number number22 = illegalFieldValueException21.getLowerBound();
//     org.joda.time.DurationFieldType durationFieldType23 = illegalFieldValueException21.getDurationFieldType();
//     boolean b24 = days10.isSupported(durationFieldType23);
//     org.joda.time.MonthDay monthDay26 = monthDay8.withFieldAdded(durationFieldType23, (-1));
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTimeFieldType dateTimeFieldType28 = monthDay8.getFieldType(4);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(monthDay2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(months3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(months4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(months6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(monthDay8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(days10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(days11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(days12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(periodType13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(months14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(period15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationFieldType16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + number22 + "' != '" + 4+ "'", number22.equals(4));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationFieldType23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(monthDay26);
// 
//   }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearDayTime();
    org.joda.time.PeriodType periodType1 = periodType0.withMillisRemoved();
    org.joda.time.PeriodType periodType2 = periodType1.withSecondsRemoved();
    java.lang.String str3 = periodType1.getName();
    org.joda.time.PeriodType periodType4 = periodType1.withMinutesRemoved();
    boolean b6 = periodType4.equals((java.lang.Object)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "YearDayTimeNoMillis"+ "'", str3.equals("YearDayTimeNoMillis"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    long long1 = org.joda.time.DateTimeUtils.getDurationMillis(readableDuration0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.hours();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = gregorianChronology0.getDateTimeMillis(104, (-863999990), 12, 2, 12, 10, 10);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology0);
    // The following exception was thrown during execution in test generation
    try {
      long long9 = gregorianChronology0.getDateTimeMillis(1, 3, (-1), 54, 100, 12, (-863999990));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    boolean b3 = iSOChronology0.equals((java.lang.Object)100.0f);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone8 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.MonthDay monthDay9 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone8);
    long long12 = fixedDateTimeZone8.adjustOffset(10L, true);
    org.joda.time.Chronology chronology13 = iSOChronology0.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone8);
    org.joda.time.DurationField durationField14 = iSOChronology0.centuries();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.tTimeNoMillis();
    boolean b6 = localDate3.equals((java.lang.Object)dateTimeFormatter5);
    org.joda.time.LocalTime localTime7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDateTime localDateTime8 = localDate3.toLocalDateTime(localTime7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    boolean b11 = localDate3.equals((java.lang.Object)localDate9);
    int i12 = localDate9.getYear();
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology13.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone17 = null;
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, dateTimeZone17);
    long long20 = iSOChronology13.set((org.joda.time.ReadablePartial)localDate18, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone25 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology26 = iSOChronology13.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone25);
    org.joda.time.DateMidnight dateMidnight27 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone25);
    java.util.Locale locale29 = null;
    java.lang.String str30 = fixedDateTimeZone25.getShortName(2440487L, locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "-00:00:00.001"+ "'", str30.equals("-00:00:00.001"));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-12));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    java.lang.Object obj0 = null;
    org.joda.time.MonthDay monthDay1 = new org.joda.time.MonthDay(obj0);
    org.joda.time.ReadablePartial readablePartial2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = monthDay1.isBefore(readablePartial2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone11 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i13 = fixedDateTimeZone11.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay14 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone11);
    org.joda.time.chrono.GregorianChronology gregorianChronology16 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology16);
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, chronology17);
    java.lang.String str19 = localDate18.toString();
    org.joda.time.PeriodType periodType20 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months21 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period22 = months21.toPeriod();
    org.joda.time.DurationFieldType durationFieldType23 = months21.getFieldType();
    int i24 = periodType20.indexOf(durationFieldType23);
    boolean b25 = localDate18.isSupported(durationFieldType23);
    org.joda.time.MonthDay monthDay27 = monthDay14.withFieldAdded(durationFieldType23, 100);
    org.joda.time.LocalDate localDate28 = localDate6.withFields((org.joda.time.ReadablePartial)monthDay27);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone34 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i36 = fixedDateTimeZone34.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone34);
    int i39 = fixedDateTimeZone34.getOffsetFromLocal(0L);
    int i41 = fixedDateTimeZone34.getOffsetFromLocal(0L);
    org.joda.time.LocalDate localDate42 = new org.joda.time.LocalDate((-863999990L), (org.joda.time.DateTimeZone)fixedDateTimeZone34);
    org.joda.time.Months months43 = org.joda.time.Months.monthsBetween((org.joda.time.ReadablePartial)localDate6, (org.joda.time.ReadablePartial)localDate42);
    org.joda.time.LocalDate localDate45 = localDate42.withYearOfCentury(0);
    org.joda.time.chrono.GregorianChronology gregorianChronology47 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology48 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology47);
    org.joda.time.LocalDate localDate49 = new org.joda.time.LocalDate(0L, chronology48);
    org.joda.time.LocalDate.Property property50 = localDate49.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter51 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str52 = localDate49.toString(dateTimeFormatter51);
    org.joda.time.DateTimeZone dateTimeZone54 = null;
    org.joda.time.LocalDate localDate55 = new org.joda.time.LocalDate(0L, dateTimeZone54);
    boolean b56 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate55);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone61 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i63 = fixedDateTimeZone61.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone61);
    int i66 = fixedDateTimeZone61.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight67 = localDate55.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone61);
    org.joda.time.DateMidnight dateMidnight68 = localDate49.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone61);
    org.joda.time.DateTimeFieldType dateTimeFieldType69 = null;
    boolean b70 = localDate49.isSupported(dateTimeFieldType69);
    org.joda.time.DateTime dateTime71 = localDate49.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone72 = null;
    org.joda.time.chrono.ISOChronology iSOChronology73 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone72);
    org.joda.time.DateTimeField dateTimeField74 = iSOChronology73.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField76 = new org.joda.time.field.OffsetDateTimeField(dateTimeField74, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType77 = offsetDateTimeField76.getType();
    boolean b78 = localDate49.isSupported(dateTimeFieldType77);
    // The following exception was thrown during execution in test generation
    try {
      int i79 = localDate42.get(dateTimeFieldType77);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1969-12-31"+ "'", str19.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "1969-12"+ "'", str52.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.DateTimeFormat.forPattern("hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    java.lang.Number number19 = illegalFieldValueException18.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + (byte)1+ "'", number19.equals((byte)1));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Days days3 = days1.multipliedBy(10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.joda.time.tz.NameProvider nameProvider0 = org.joda.time.DateTimeZone.getNameProvider();
    org.joda.time.DateTimeZone.setNameProvider(nameProvider0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nameProvider0);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.tTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-8643600001L), (-12));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 103723200012L);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    org.joda.time.Months months1 = org.joda.time.Months.months(54);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Days days2 = org.joda.time.Days.standardDaysIn((org.joda.time.ReadablePeriod)months1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months1);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicWeekDateTime();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.LocalDate localDate4 = new org.joda.time.LocalDate(0L, dateTimeZone3);
    boolean b5 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate4);
    org.joda.time.ReadableInstant readableInstant6 = null;
    org.joda.time.DateTime dateTime7 = localDate4.toDateTime(readableInstant6);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, readableInstant6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    // The following exception was thrown during execution in test generation
    try {
      int i25 = unsupportedDurationField23.getValue(2440487L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.joda.time.format.PeriodPrinter periodPrinter0 = null;
    org.joda.time.format.PeriodParser periodParser1 = null;
    org.joda.time.format.PeriodFormatter periodFormatter2 = new org.joda.time.format.PeriodFormatter(periodPrinter0, periodParser1);
    org.joda.time.Days days3 = org.joda.time.Days.THREE;
    org.joda.time.Minutes minutes4 = days3.toStandardMinutes();
    org.joda.time.Period period5 = days3.toPeriod();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = periodFormatter2.print((org.joda.time.ReadablePeriod)period5);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(minutes4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);

  }

  @Test
  public void test188() {}
// Defects4J: flaky method
//   @Test
//   public void test188() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }
// 
// 
//     java.util.TimeZone timeZone0 = null;
//     org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
//     org.joda.time.MonthDay monthDay2 = org.joda.time.MonthDay.now(dateTimeZone1);
//     org.joda.time.Months months3 = org.joda.time.Months.TWELVE;
//     org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
//     org.joda.time.Months months6 = months4.multipliedBy(10);
//     boolean b7 = months3.isGreaterThan(months4);
//     org.joda.time.MonthDay monthDay8 = monthDay2.minus((org.joda.time.ReadablePeriod)months4);
//     int i9 = monthDay8.getDayOfMonth();
//     org.joda.time.chrono.ISOChronology iSOChronology10 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
//     org.joda.time.DateTimeField dateTimeField11 = iSOChronology10.clockhourOfHalfday();
//     org.joda.time.DateTimeField dateTimeField12 = iSOChronology10.centuryOfEra();
//     org.joda.time.DateTimeZone dateTimeZone14 = null;
//     org.joda.time.LocalDate localDate15 = new org.joda.time.LocalDate(0L, dateTimeZone14);
//     long long17 = iSOChronology10.set((org.joda.time.ReadablePartial)localDate15, 0L);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology10.weekyearOfCentury();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalDate localDate19 = new org.joda.time.LocalDate((java.lang.Object)monthDay8, (org.joda.time.Chronology)iSOChronology10);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(monthDay2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(months3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(months4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(months6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(monthDay8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long17 == (-86400000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
// 
//   }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(103723200012L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1037232000120L);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-10));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localDateParser();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology3);
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, chronology4);
    org.joda.time.LocalDate.Property property6 = localDate5.monthOfYear();
    org.joda.time.LocalDate localDate8 = localDate5.minusMonths(10);
    org.joda.time.LocalDate localDate10 = localDate8.plusMonths(100);
    org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology12);
    org.joda.time.LocalDate localDate14 = new org.joda.time.LocalDate(0L, chronology13);
    org.joda.time.LocalDate.Property property15 = localDate14.monthOfYear();
    org.joda.time.LocalDate localDate17 = localDate14.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone19 = null;
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, dateTimeZone19);
    boolean b21 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate20);
    boolean b22 = localDate14.equals((java.lang.Object)localDate20);
    int i23 = localDate20.getYear();
    int i24 = localDate8.compareTo((org.joda.time.ReadablePartial)localDate20);
    org.joda.time.chrono.GregorianChronology gregorianChronology26 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology27 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology26);
    org.joda.time.LocalDate localDate28 = new org.joda.time.LocalDate(0L, chronology27);
    org.joda.time.LocalDate.Property property29 = localDate28.monthOfYear();
    org.joda.time.LocalDate localDate31 = localDate28.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone33 = null;
    org.joda.time.LocalDate localDate34 = new org.joda.time.LocalDate(0L, dateTimeZone33);
    boolean b35 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate34);
    boolean b36 = localDate28.equals((java.lang.Object)localDate34);
    int i37 = localDate34.getYear();
    org.joda.time.chrono.ISOChronology iSOChronology38 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField39 = iSOChronology38.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField40 = iSOChronology38.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone42 = null;
    org.joda.time.LocalDate localDate43 = new org.joda.time.LocalDate(0L, dateTimeZone42);
    long long45 = iSOChronology38.set((org.joda.time.ReadablePartial)localDate43, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone50 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology51 = iSOChronology38.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone50);
    org.joda.time.DateMidnight dateMidnight52 = localDate34.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone50);
    org.joda.time.LocalDateTime localDateTime53 = null;
    boolean b54 = fixedDateTimeZone50.isLocalDateTimeGap(localDateTime53);
    org.joda.time.DateTime dateTime55 = localDate20.toDateTimeAtMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone50);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, (org.joda.time.ReadableInstant)dateTime55);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long45 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime55);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    boolean b24 = unsupportedDurationField23.isSupported();
    // The following exception was thrown during execution in test generation
    try {
      long long26 = unsupportedDurationField23.getValueAsLong(227210054400000100L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    org.joda.time.MonthDay monthDay2 = org.joda.time.MonthDay.now(dateTimeZone1);
    org.joda.time.Months months3 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months6 = months4.multipliedBy(10);
    boolean b7 = months3.isGreaterThan(months4);
    org.joda.time.MonthDay monthDay8 = monthDay2.minus((org.joda.time.ReadablePeriod)months4);
    org.joda.time.MonthDay.Property property9 = monthDay2.monthOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    org.joda.time.DurationField durationField5 = offsetDateTimeField4.getDurationField();
    int i7 = offsetDateTimeField4.getMinimumValue(0L);
    long long9 = offsetDateTimeField4.remainder(100L);
    long long11 = offsetDateTimeField4.roundHalfEven(62134732800010L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 62134732800001L);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    java.lang.String str6 = offsetDateTimeField4.getAsShortText(2419199999L);
    long long8 = offsetDateTimeField4.roundHalfCeiling(2419199999L);
    long long10 = offsetDateTimeField4.roundCeiling(0L);
    org.joda.time.chrono.GregorianChronology gregorianChronology11 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField12 = gregorianChronology11.days();
    org.joda.time.DateTimeField dateTimeField13 = gregorianChronology11.millisOfDay();
    org.joda.time.DateTimeField dateTimeField14 = gregorianChronology11.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone15 = gregorianChronology11.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone20 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i22 = fixedDateTimeZone20.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology23 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone20);
    org.joda.time.DateTimeZone dateTimeZone24 = iSOChronology23.getZone();
    org.joda.time.Chronology chronology25 = gregorianChronology11.withZone(dateTimeZone24);
    org.joda.time.chrono.GregorianChronology gregorianChronology27 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology28 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology27);
    org.joda.time.LocalDate localDate29 = new org.joda.time.LocalDate(0L, chronology28);
    org.joda.time.LocalDate.Property property30 = localDate29.monthOfYear();
    org.joda.time.LocalDate.Property property31 = localDate29.yearOfCentury();
    int i32 = localDate29.getDayOfYear();
    long long34 = gregorianChronology11.set((org.joda.time.ReadablePartial)localDate29, (-86400000L));
    int i35 = offsetDateTimeField4.getMinimumValue((org.joda.time.ReadablePartial)localDate29);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate37 = localDate29.withYearOfCentury(0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "54"+ "'", str6.equals("54"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 2419200001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 31);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    boolean b14 = offsetDateTimeField13.isLenient();
    org.joda.time.DateTimeZone dateTimeZone16 = null;
    org.joda.time.LocalDate localDate17 = new org.joda.time.LocalDate(0L, dateTimeZone16);
    boolean b18 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate17);
    org.joda.time.ReadableInstant readableInstant19 = null;
    org.joda.time.DateTime dateTime20 = localDate17.toDateTime(readableInstant19);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone25 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i27 = fixedDateTimeZone25.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology28 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone25);
    org.joda.time.DateTimeZone dateTimeZone29 = iSOChronology28.getZone();
    org.joda.time.DateTime dateTime30 = localDate17.toDateTimeAtCurrentTime(dateTimeZone29);
    org.joda.time.Days days31 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.LocalDate localDate32 = localDate17.plus((org.joda.time.ReadablePeriod)days31);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter34 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter35 = dateTimeFormatter34.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology36 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField37 = iSOChronology36.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField38 = iSOChronology36.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone40 = null;
    org.joda.time.LocalDate localDate41 = new org.joda.time.LocalDate(0L, dateTimeZone40);
    long long43 = iSOChronology36.set((org.joda.time.ReadablePartial)localDate41, 0L);
    org.joda.time.DateTimeField dateTimeField44 = iSOChronology36.weekyearOfCentury();
    boolean b45 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter35, (java.lang.Object)dateTimeField44);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField47 = new org.joda.time.field.OffsetDateTimeField(dateTimeField44, 31);
    int i49 = offsetDateTimeField47.getMinimumValue((-86399999L));
    org.joda.time.DateTimeZone dateTimeZone51 = null;
    org.joda.time.LocalDate localDate52 = new org.joda.time.LocalDate(0L, dateTimeZone51);
    boolean b53 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate52);
    org.joda.time.ReadableInstant readableInstant54 = null;
    org.joda.time.DateTime dateTime55 = localDate52.toDateTime(readableInstant54);
    org.joda.time.chrono.GregorianChronology gregorianChronology57 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology58 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology57);
    org.joda.time.LocalDate localDate59 = new org.joda.time.LocalDate(0L, chronology58);
    org.joda.time.LocalDate.Property property60 = localDate59.monthOfYear();
    org.joda.time.LocalDate.Property property61 = localDate59.yearOfCentury();
    int i62 = localDate59.size();
    int[] i_array63 = localDate59.getValues();
    org.joda.time.LocalDate localDate64 = localDate52.withFields((org.joda.time.ReadablePartial)localDate59);
    org.joda.time.chrono.GregorianChronology gregorianChronology67 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology68 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology67);
    org.joda.time.LocalDate localDate69 = new org.joda.time.LocalDate(0L, chronology68);
    org.joda.time.LocalDate.Property property70 = localDate69.monthOfYear();
    boolean b71 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate69);
    java.lang.String str72 = localDate69.toString();
    int[] i_array73 = localDate69.getValues();
    int[] i_array75 = offsetDateTimeField47.addWrapPartial((org.joda.time.ReadablePartial)localDate52, 0, i_array73, 31);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array77 = offsetDateTimeField13.set((org.joda.time.ReadablePartial)localDate32, (-863999990), i_array75, 20);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "1969-12-31"+ "'", str72.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array75);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period1 = months0.toPeriod();
    org.joda.time.DurationFieldType durationFieldType2 = months0.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField4 = new org.joda.time.field.PreciseDurationField(durationFieldType2, (-8730000001L));
    long long7 = preciseDurationField4.getMillis((-863999990L), 0L);
    java.lang.String str8 = preciseDurationField4.getName();
    // The following exception was thrown during execution in test generation
    try {
      long long11 = preciseDurationField4.subtract(77018372899199998L, 62134732799910L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "months"+ "'", str8.equals("months"));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearDayTime();
    org.joda.time.PeriodType periodType1 = periodType0.withMillisRemoved();
    org.joda.time.PeriodType periodType2 = periodType1.withSecondsRemoved();
    java.lang.String str3 = periodType1.getName();
    org.joda.time.PeriodType periodType4 = periodType1.withMinutesRemoved();
    org.joda.time.PeriodType periodType5 = periodType4.withYearsRemoved();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "YearDayTimeNoMillis"+ "'", str3.equals("YearDayTimeNoMillis"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType5);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology7.getZone();
    org.joda.time.DurationField durationField9 = iSOChronology7.months();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.joda.time.ReadableInterval readableInterval0 = null;
    org.joda.time.ReadableInterval readableInterval1 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval0);
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getIntervalChronology(readableInterval0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    boolean b24 = unsupportedDurationField23.isSupported();
    // The following exception was thrown during execution in test generation
    try {
      int i26 = unsupportedDurationField23.getValue(62134732800001L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(227210054400000100L);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    boolean b11 = localDate3.equals((java.lang.Object)localDate9);
    int i12 = localDate9.getYear();
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology13.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone17 = null;
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, dateTimeZone17);
    long long20 = iSOChronology13.set((org.joda.time.ReadablePartial)localDate18, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone25 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology26 = iSOChronology13.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone25);
    org.joda.time.DateMidnight dateMidnight27 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone25);
    org.joda.time.Chronology chronology28 = localDate9.getChronology();
    int i29 = localDate9.getMonthOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 12);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyearOfCentury();
    org.joda.time.ReadableInterval readableInterval3 = null;
    org.joda.time.ReadableInterval readableInterval4 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval3);
    org.joda.time.Months months5 = org.joda.time.Months.monthsIn(readableInterval4);
    long long8 = iSOChronology0.add((org.joda.time.ReadablePeriod)months5, (-8730000001L), 104);
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology0.millisOfSecond();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology0.yearOfEra();
    // The following exception was thrown during execution in test generation
    try {
      long long18 = iSOChronology0.getDateTimeMillis(0, 31, 1970, 1, 0, 1969, 10);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == (-8730000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearDayTime();
    org.joda.time.PeriodType periodType1 = periodType0.withMillisRemoved();
    org.joda.time.PeriodType periodType2 = periodType1.withSecondsRemoved();
    java.lang.String str3 = periodType2.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DurationFieldType durationFieldType5 = periodType2.getFieldType(2000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "PeriodType[YearDayTimeNoMillisNoSeconds]"+ "'", str3.equals("PeriodType[YearDayTimeNoMillisNoSeconds]"));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(2000, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2010);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("YearDayTimeNoMillis", 4, (-12), 104);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    int i15 = offsetDateTimeField13.getLeapAmount(2419199999L);
    long long17 = offsetDateTimeField13.roundHalfEven(2419199999L);
    org.joda.time.LocalDate localDate19 = new org.joda.time.LocalDate(10L);
    org.joda.time.chrono.GregorianChronology gregorianChronology21 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology22 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology21);
    org.joda.time.LocalDate localDate23 = new org.joda.time.LocalDate(0L, chronology22);
    org.joda.time.LocalDate.Property property24 = localDate23.monthOfYear();
    boolean b25 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate23);
    java.lang.String str26 = localDate23.toString();
    int[] i_array27 = localDate23.getValues();
    int i28 = offsetDateTimeField13.getMinimumValue((org.joda.time.ReadablePartial)localDate19, i_array27);
    // The following exception was thrown during execution in test generation
    try {
      long long31 = offsetDateTimeField13.set((-86399999L), 10);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "1969-12-31"+ "'", str26.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 31);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(100);
    org.joda.time.Chronology chronology3 = dateTimeFormatter2.getChronology();
    org.joda.time.ReadWritableInstant readWritableInstant4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i7 = dateTimeFormatter2.parseInto(readWritableInstant4, "YearDayTime", 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(chronology3);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    long long1 = org.joda.time.DateTimeUtils.fromJulianDay(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-210866760000000L));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(10, 2000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2010);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTime dateTime7 = localDate3.toDateTimeAtMidnight();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate9 = localDate3.withEra(20);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.text.DateFormatSymbols dateFormatSymbols1 = org.joda.time.DateTimeUtils.getDateFormatSymbols(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.DateTimeFormat.forPattern("1969-12-31");
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate3 = dateTimeFormatter1.parseLocalDate("org.joda.time.IllegalFieldValueException: Value null for 08:05:54.174 must not be larger than 1");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.joda.time.Months months0 = org.joda.time.Months.FOUR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    int i15 = offsetDateTimeField13.getLeapAmount(2419199999L);
    long long17 = offsetDateTimeField13.roundHalfEven(2419199999L);
    // The following exception was thrown during execution in test generation
    try {
      long long20 = offsetDateTimeField13.set(7542719913563999990L, "hi!");
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(31, 0, 19, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    int i6 = offsetDateTimeField4.getMaximumValue(62134732800010L);
    org.joda.time.MonthDay monthDay8 = org.joda.time.MonthDay.parse("1969-12");
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.chrono.ISOChronology iSOChronology10 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone9);
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology10.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField11, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = offsetDateTimeField13.getType();
    boolean b15 = monthDay8.isSupported(dateTimeFieldType14);
    org.joda.time.chrono.GregorianChronology gregorianChronology18 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology18);
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, chronology19);
    org.joda.time.LocalDate.Property property21 = localDate20.monthOfYear();
    boolean b22 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate20);
    java.lang.String str23 = localDate20.toString();
    int[] i_array24 = localDate20.getValues();
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array26 = offsetDateTimeField4.add((org.joda.time.ReadablePartial)monthDay8, 104, i_array24, 1969);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1969-12-31"+ "'", str23.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    boolean b24 = unsupportedDurationField23.isSupported();
    org.joda.time.chrono.GregorianChronology gregorianChronology26 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology27 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology26);
    org.joda.time.LocalDate localDate28 = new org.joda.time.LocalDate(0L, chronology27);
    org.joda.time.LocalDate.Property property29 = localDate28.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter30 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str31 = localDate28.toString(dateTimeFormatter30);
    org.joda.time.DateTimeZone dateTimeZone33 = null;
    org.joda.time.LocalDate localDate34 = new org.joda.time.LocalDate(0L, dateTimeZone33);
    boolean b35 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate34);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone40 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i42 = fixedDateTimeZone40.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone40);
    int i45 = fixedDateTimeZone40.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight46 = localDate34.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone40);
    org.joda.time.DateMidnight dateMidnight47 = localDate28.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone40);
    org.joda.time.DateTimeFieldType dateTimeFieldType48 = null;
    boolean b49 = localDate28.isSupported(dateTimeFieldType48);
    org.joda.time.DateTime dateTime50 = localDate28.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone51 = null;
    org.joda.time.chrono.ISOChronology iSOChronology52 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone51);
    org.joda.time.DateTimeField dateTimeField53 = iSOChronology52.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField55 = new org.joda.time.field.OffsetDateTimeField(dateTimeField53, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType56 = offsetDateTimeField55.getType();
    boolean b57 = localDate28.isSupported(dateTimeFieldType56);
    boolean b58 = unsupportedDurationField23.equals((java.lang.Object)dateTimeFieldType56);
    // The following exception was thrown during execution in test generation
    try {
      long long61 = unsupportedDurationField23.getValueAsLong((-86399990L), (-8730000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "1969-12"+ "'", str31.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology0.year();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    java.lang.String str24 = unsupportedDurationField23.toString();
    // The following exception was thrown during execution in test generation
    try {
      long long26 = unsupportedDurationField23.getMillis(1037232000120L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "UnsupportedDurationField[months]"+ "'", str24.equals("UnsupportedDurationField[months]"));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateTime();
    java.lang.Integer i1 = dateTimeFormatter0.getPivotYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i1);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    boolean b11 = localDate3.equals((java.lang.Object)localDate9);
    org.joda.time.chrono.GregorianChronology gregorianChronology13 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology14 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology13);
    org.joda.time.LocalDate localDate15 = new org.joda.time.LocalDate(0L, chronology14);
    java.lang.String str16 = localDate15.toString();
    boolean b17 = localDate3.isBefore((org.joda.time.ReadablePartial)localDate15);
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = null;
    boolean b19 = localDate15.isSupported(dateTimeFieldType18);
    org.joda.time.DateTime dateTime20 = localDate15.toDateTimeAtMidnight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1969-12-31"+ "'", str16.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    org.joda.time.format.PeriodFormatter periodFormatter0 = org.joda.time.format.ISOPeriodFormat.alternateWithWeeks();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period2 = periodFormatter0.parsePeriod("P1D");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter0);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    int i6 = offsetDateTimeField4.getMaximumValue(62134732800010L);
    // The following exception was thrown during execution in test generation
    try {
      long long9 = offsetDateTimeField4.set(7542719913563999990L, 2010);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 54);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology0);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i8 = fixedDateTimeZone6.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone6);
    boolean b10 = fixedDateTimeZone6.isFixed();
    org.joda.time.Chronology chronology11 = gregorianChronology0.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone6);
    int i13 = fixedDateTimeZone6.getOffsetFromLocal(0L);
    org.joda.time.chrono.GregorianChronology gregorianChronology14 = org.joda.time.chrono.GregorianChronology.getInstance();
    int i15 = gregorianChronology14.getMinimumDaysInFirstWeek();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay16 = new org.joda.time.MonthDay((java.lang.Object)fixedDateTimeZone6, (org.joda.time.Chronology)gregorianChronology14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 4);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.joda.time.format.PeriodFormatter periodFormatter0 = org.joda.time.format.ISOPeriodFormat.alternateExtendedWithWeeks();
    java.util.Locale locale1 = null;
    org.joda.time.format.PeriodFormatter periodFormatter2 = periodFormatter0.withLocale(locale1);
    org.joda.time.format.PeriodPrinter periodPrinter3 = periodFormatter0.getPrinter();
    org.joda.time.format.PeriodParser periodParser4 = null;
    org.joda.time.format.PeriodFormatter periodFormatter5 = new org.joda.time.format.PeriodFormatter(periodPrinter3, periodParser4);
    org.joda.time.format.PeriodFormatter periodFormatter6 = org.joda.time.format.ISOPeriodFormat.alternateExtendedWithWeeks();
    org.joda.time.format.PeriodParser periodParser7 = periodFormatter6.getParser();
    org.joda.time.format.PeriodFormatter periodFormatter8 = new org.joda.time.format.PeriodFormatter(periodPrinter3, periodParser7);
    org.joda.time.ReadablePeriod readablePeriod9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = periodFormatter8.print(readablePeriod9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodPrinter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodParser7);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "ZonedChronology[ISOChronology[UTC], ]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.timeNoMillis();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate2 = org.joda.time.LocalDate.parse("hi!", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone5 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i7 = fixedDateTimeZone5.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone5);
    int i10 = fixedDateTimeZone5.getOffsetFromLocal(0L);
    int i12 = fixedDateTimeZone5.getOffsetFromLocal(0L);
    org.joda.time.LocalDate localDate13 = new org.joda.time.LocalDate((-863999990L), (org.joda.time.DateTimeZone)fixedDateTimeZone5);
    org.joda.time.LocalDate.Property property14 = localDate13.yearOfEra();
    org.joda.time.LocalDate localDate16 = localDate13.withDayOfMonth(31);
    org.joda.time.LocalDate localDate18 = localDate16.plusWeeks(1);
    org.joda.time.LocalDate localDate20 = localDate18.plusDays(10816);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate22 = localDate18.withCenturyOfEra((-12));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate20);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period1 = months0.toPeriod();
    org.joda.time.DurationFieldType durationFieldType2 = months0.getFieldType();
    org.joda.time.Months months3 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months6 = months4.multipliedBy(10);
    boolean b7 = months3.isGreaterThan(months4);
    int i8 = months0.compareTo((org.joda.time.base.BaseSingleFieldPeriod)months3);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone13 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    boolean b14 = months3.equals((java.lang.Object)"");
    org.joda.time.chrono.GregorianChronology gregorianChronology16 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology16);
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, chronology17);
    org.joda.time.LocalDate.Property property19 = localDate18.monthOfYear();
    org.joda.time.LocalDate localDate21 = localDate18.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone23 = null;
    org.joda.time.LocalDate localDate24 = new org.joda.time.LocalDate(0L, dateTimeZone23);
    boolean b25 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate24);
    boolean b26 = localDate18.equals((java.lang.Object)localDate24);
    int i27 = localDate24.getYear();
    org.joda.time.chrono.ISOChronology iSOChronology28 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField29 = iSOChronology28.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField30 = iSOChronology28.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone32 = null;
    org.joda.time.LocalDate localDate33 = new org.joda.time.LocalDate(0L, dateTimeZone32);
    long long35 = iSOChronology28.set((org.joda.time.ReadablePartial)localDate33, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone40 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology41 = iSOChronology28.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone40);
    org.joda.time.DateMidnight dateMidnight42 = localDate24.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone40);
    org.joda.time.DateTimeZone dateTimeZone44 = org.joda.time.DateTimeZone.forOffsetMillis(100);
    org.joda.time.DateTime dateTime45 = localDate24.toDateTimeAtCurrentTime(dateTimeZone44);
    long long49 = dateTimeZone44.convertLocalToUTC(62134732800010L, false, 62134732800010L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate50 = new org.joda.time.LocalDate((java.lang.Object)months3, dateTimeZone44);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long35 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == 62134732799910L);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone5 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i7 = fixedDateTimeZone5.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone5);
    int i10 = fixedDateTimeZone5.getOffsetFromLocal(0L);
    int i12 = fixedDateTimeZone5.getOffsetFromLocal(0L);
    org.joda.time.LocalDate localDate13 = new org.joda.time.LocalDate((-863999990L), (org.joda.time.DateTimeZone)fixedDateTimeZone5);
    org.joda.time.LocalDate.Property property14 = localDate13.yearOfEra();
    org.joda.time.LocalDate localDate16 = localDate13.withDayOfMonth(31);
    org.joda.time.LocalDate localDate18 = localDate16.plusWeeks(1);
    org.joda.time.LocalDate localDate20 = localDate18.plusDays(10816);
    org.joda.time.LocalDate.Property property21 = localDate20.year();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property21);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    long long1 = org.joda.time.DateTimeUtils.toJulianDayNumber(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2440588L);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    // The following exception was thrown during execution in test generation
    try {
      int i25 = unsupportedDurationField23.getValue((-40266000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateTimeParser();
    org.joda.time.format.DateTimeParser dateTimeParser1 = dateTimeFormatter0.getParser();
    org.joda.time.DateTimeZone dateTimeZone2 = null;
    org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone2);
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology3.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField6 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, 31);
    java.lang.String str8 = offsetDateTimeField6.getAsShortText(2419199999L);
    long long10 = offsetDateTimeField6.roundHalfCeiling(2419199999L);
    long long12 = offsetDateTimeField6.roundCeiling(0L);
    org.joda.time.chrono.GregorianChronology gregorianChronology13 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField14 = gregorianChronology13.days();
    org.joda.time.DateTimeField dateTimeField15 = gregorianChronology13.millisOfDay();
    org.joda.time.DateTimeField dateTimeField16 = gregorianChronology13.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone17 = gregorianChronology13.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone22 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i24 = fixedDateTimeZone22.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone22);
    org.joda.time.DateTimeZone dateTimeZone26 = iSOChronology25.getZone();
    org.joda.time.Chronology chronology27 = gregorianChronology13.withZone(dateTimeZone26);
    org.joda.time.chrono.GregorianChronology gregorianChronology29 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology30 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology29);
    org.joda.time.LocalDate localDate31 = new org.joda.time.LocalDate(0L, chronology30);
    org.joda.time.LocalDate.Property property32 = localDate31.monthOfYear();
    org.joda.time.LocalDate.Property property33 = localDate31.yearOfCentury();
    int i34 = localDate31.getDayOfYear();
    long long36 = gregorianChronology13.set((org.joda.time.ReadablePartial)localDate31, (-86400000L));
    int i37 = offsetDateTimeField6.getMinimumValue((org.joda.time.ReadablePartial)localDate31);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str38 = dateTimeFormatter0.print((org.joda.time.ReadablePartial)localDate31);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "54"+ "'", str8.equals("54"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 2419200001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 31);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.joda.time.DateTimeUtils.MillisProvider millisProvider0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeUtils.setCurrentMillisProvider(millisProvider0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.DateTimeFormat.longDateTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateParser();
    java.util.Locale locale1 = dateTimeFormatter0.getLocale();
    java.lang.Appendable appendable2 = null;
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    boolean b6 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate5);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.DateTime dateTime8 = localDate5.toDateTime(readableInstant7);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone13 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i15 = fixedDateTimeZone13.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone13);
    org.joda.time.DateTimeZone dateTimeZone17 = iSOChronology16.getZone();
    org.joda.time.DateTime dateTime18 = localDate5.toDateTimeAtCurrentTime(dateTimeZone17);
    org.joda.time.Days days19 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.LocalDate localDate20 = localDate5.plus((org.joda.time.ReadablePeriod)days19);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(appendable2, (org.joda.time.ReadablePartial)localDate5);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate20);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    int i15 = offsetDateTimeField13.getLeapAmount(2419199999L);
    long long17 = offsetDateTimeField13.roundHalfEven(2419199999L);
    java.lang.String str19 = offsetDateTimeField13.getAsText(1L);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter20 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter21 = dateTimeFormatter20.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology22 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField23 = iSOChronology22.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField24 = iSOChronology22.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.LocalDate localDate27 = new org.joda.time.LocalDate(0L, dateTimeZone26);
    long long29 = iSOChronology22.set((org.joda.time.ReadablePartial)localDate27, 0L);
    org.joda.time.DateTimeField dateTimeField30 = iSOChronology22.weekyearOfCentury();
    boolean b31 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter21, (java.lang.Object)dateTimeField30);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField33 = new org.joda.time.field.OffsetDateTimeField(dateTimeField30, 31);
    int i35 = offsetDateTimeField33.getLeapAmount(2419199999L);
    long long37 = offsetDateTimeField33.roundHalfEven(2419199999L);
    org.joda.time.LocalDate localDate39 = new org.joda.time.LocalDate(10L);
    org.joda.time.chrono.GregorianChronology gregorianChronology41 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology42 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology41);
    org.joda.time.LocalDate localDate43 = new org.joda.time.LocalDate(0L, chronology42);
    org.joda.time.LocalDate.Property property44 = localDate43.monthOfYear();
    boolean b45 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate43);
    java.lang.String str46 = localDate43.toString();
    int[] i_array47 = localDate43.getValues();
    int i48 = offsetDateTimeField33.getMinimumValue((org.joda.time.ReadablePartial)localDate39, i_array47);
    org.joda.time.DateTime dateTime49 = localDate39.toDateTimeAtStartOfDay();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter51 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter52 = dateTimeFormatter51.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology53 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField54 = iSOChronology53.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField55 = iSOChronology53.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone57 = null;
    org.joda.time.LocalDate localDate58 = new org.joda.time.LocalDate(0L, dateTimeZone57);
    long long60 = iSOChronology53.set((org.joda.time.ReadablePartial)localDate58, 0L);
    org.joda.time.DateTimeField dateTimeField61 = iSOChronology53.weekyearOfCentury();
    boolean b62 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter52, (java.lang.Object)dateTimeField61);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField64 = new org.joda.time.field.OffsetDateTimeField(dateTimeField61, 31);
    int i66 = offsetDateTimeField64.getMinimumValue((-86399999L));
    org.joda.time.DateTimeZone dateTimeZone68 = null;
    org.joda.time.LocalDate localDate69 = new org.joda.time.LocalDate(0L, dateTimeZone68);
    boolean b70 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate69);
    org.joda.time.ReadableInstant readableInstant71 = null;
    org.joda.time.DateTime dateTime72 = localDate69.toDateTime(readableInstant71);
    org.joda.time.chrono.GregorianChronology gregorianChronology74 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology74);
    org.joda.time.LocalDate localDate76 = new org.joda.time.LocalDate(0L, chronology75);
    org.joda.time.LocalDate.Property property77 = localDate76.monthOfYear();
    org.joda.time.LocalDate.Property property78 = localDate76.yearOfCentury();
    int i79 = localDate76.size();
    int[] i_array80 = localDate76.getValues();
    org.joda.time.LocalDate localDate81 = localDate69.withFields((org.joda.time.ReadablePartial)localDate76);
    org.joda.time.chrono.GregorianChronology gregorianChronology84 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology85 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology84);
    org.joda.time.LocalDate localDate86 = new org.joda.time.LocalDate(0L, chronology85);
    org.joda.time.LocalDate.Property property87 = localDate86.monthOfYear();
    boolean b88 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate86);
    java.lang.String str89 = localDate86.toString();
    int[] i_array90 = localDate86.getValues();
    int[] i_array92 = offsetDateTimeField64.addWrapPartial((org.joda.time.ReadablePartial)localDate69, 0, i_array90, 31);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array94 = offsetDateTimeField13.addWrapField((org.joda.time.ReadablePartial)localDate39, 4, i_array92, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "101"+ "'", str19.equals("101"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "1969-12-31"+ "'", str46.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long60 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str89 + "' != '" + "1969-12-31"+ "'", str89.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array92);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateElementParser();
    org.joda.time.format.DateTimeParser dateTimeParser1 = dateTimeFormatter0.getParser();
    java.lang.Appendable appendable2 = null;
    org.joda.time.ReadableInstant readableInstant3 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(appendable2, readableInstant3);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser1);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    // The following exception was thrown during execution in test generation
    try {
      long long26 = unsupportedDurationField23.getMillis((-86399999L), (-8643600001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.days();
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.millisOfDay();
    org.joda.time.DateTimeField dateTimeField3 = gregorianChronology0.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone4 = gregorianChronology0.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone9 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i11 = fixedDateTimeZone9.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone9);
    org.joda.time.DateTimeZone dateTimeZone13 = iSOChronology12.getZone();
    org.joda.time.Chronology chronology14 = gregorianChronology0.withZone(dateTimeZone13);
    org.joda.time.DateTimeField dateTimeField15 = gregorianChronology0.weekyear();
    org.joda.time.chrono.GregorianChronology gregorianChronology17 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology18 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology17);
    org.joda.time.LocalDate localDate19 = new org.joda.time.LocalDate(0L, chronology18);
    org.joda.time.LocalDate.Property property20 = localDate19.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter21 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str22 = localDate19.toString(dateTimeFormatter21);
    org.joda.time.DateTimeZone dateTimeZone24 = null;
    org.joda.time.LocalDate localDate25 = new org.joda.time.LocalDate(0L, dateTimeZone24);
    boolean b26 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate25);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone31 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i33 = fixedDateTimeZone31.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone31);
    int i36 = fixedDateTimeZone31.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight37 = localDate25.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone31);
    org.joda.time.DateMidnight dateMidnight38 = localDate19.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone31);
    org.joda.time.DateTimeFieldType dateTimeFieldType39 = null;
    boolean b40 = localDate19.isSupported(dateTimeFieldType39);
    org.joda.time.DateTime dateTime41 = localDate19.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone42 = null;
    org.joda.time.chrono.ISOChronology iSOChronology43 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone42);
    org.joda.time.DateTimeField dateTimeField44 = iSOChronology43.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField46 = new org.joda.time.field.OffsetDateTimeField(dateTimeField44, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType47 = offsetDateTimeField46.getType();
    boolean b48 = localDate19.isSupported(dateTimeFieldType47);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField50 = new org.joda.time.field.RemainderDateTimeField(dateTimeField15, dateTimeFieldType47, 19);
    java.lang.String str52 = remainderDateTimeField50.getAsShortText(1L);
    // The following exception was thrown during execution in test generation
    try {
      long long55 = remainderDateTimeField50.set((-8730000000L), "YearDayTimeNoMillis");
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "1969-12"+ "'", str22.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "13"+ "'", str52.equals("13"));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    org.joda.time.DateTime dateTime8 = localDate5.toDateTimeAtStartOfDay();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate10 = localDate5.withYearOfCentury(104);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    boolean b5 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate3);
    java.lang.String str6 = localDate3.toString();
    org.joda.time.LocalDate localDate8 = localDate3.plusWeeks(4);
    org.joda.time.DateTime dateTime9 = localDate8.toDateTimeAtMidnight();
    org.joda.time.Days days10 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days11 = days10.negated();
    org.joda.time.Days days12 = days10.negated();
    org.joda.time.PeriodType periodType13 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months14 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period15 = months14.toPeriod();
    org.joda.time.DurationFieldType durationFieldType16 = months14.getFieldType();
    int i17 = periodType13.indexOf(durationFieldType16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException(durationFieldType16, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number22 = illegalFieldValueException21.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType23 = illegalFieldValueException21.getDurationFieldType();
    boolean b24 = days10.isSupported(durationFieldType23);
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException(durationFieldType23, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException32 = new org.joda.time.IllegalFieldValueException(durationFieldType23, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    boolean b33 = localDate8.isSupported(durationFieldType23);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField34 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType23);
    // The following exception was thrown during execution in test generation
    try {
      long long37 = unsupportedDurationField34.getValueAsLong((-86400000L), 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12-31"+ "'", str6.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 4+ "'", number22.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField34);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    java.lang.String str24 = unsupportedDurationField23.toString();
    // The following exception was thrown during execution in test generation
    try {
      long long27 = unsupportedDurationField23.subtract((-1L), (-10));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "UnsupportedDurationField[months]"+ "'", str24.equals("UnsupportedDurationField[months]"));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone12 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology13 = iSOChronology0.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    long long17 = fixedDateTimeZone12.convertLocalToUTC((-1L), true, (-1L));
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone18 = org.joda.time.tz.CachedDateTimeZone.forZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    org.joda.time.LocalDate localDate19 = new org.joda.time.LocalDate((org.joda.time.DateTimeZone)cachedDateTimeZone18);
    org.joda.time.DateTimeZone dateTimeZone20 = cachedDateTimeZone18.getUncachedZone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone20);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-8730000000L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.days();
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.weekyearOfCentury();
    // The following exception was thrown during execution in test generation
    try {
      long long10 = gregorianChronology0.getDateTimeMillis(20, (-3), 12, 12, (-863999990), 20, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    org.joda.time.DateTime dateTime8 = localDate5.toDateTimeAtStartOfDay();
    org.joda.time.LocalDate.Property property9 = localDate5.yearOfCentury();
    org.joda.time.DateTime dateTime10 = localDate5.toDateTimeAtStartOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicWeekDateTimeNoMillis();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withOffsetParsed();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime3 = dateTimeFormatter1.parseMutableDateTime("23:59:59.998");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateTimeParser();
    org.joda.time.format.DateTimeParser dateTimeParser1 = dateTimeFormatter0.getParser();
    org.joda.time.format.DateTimePrinter dateTimePrinter2 = dateTimeFormatter0.getPrinter();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimePrinter2);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    java.util.Map map0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeUtils.setDefaultTimeZoneNames(map0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    org.joda.time.MonthDay monthDay2 = org.joda.time.MonthDay.now(dateTimeZone1);
    org.joda.time.Months months3 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months6 = months4.multipliedBy(10);
    boolean b7 = months3.isGreaterThan(months4);
    org.joda.time.MonthDay monthDay8 = monthDay2.minus((org.joda.time.ReadablePeriod)months4);
    org.joda.time.MonthDay.Property property9 = monthDay2.dayOfMonth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone12 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology13 = iSOChronology0.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    long long17 = fixedDateTimeZone12.convertLocalToUTC((-1L), true, (-1L));
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone18 = org.joda.time.tz.CachedDateTimeZone.forZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    org.joda.time.LocalDate localDate19 = new org.joda.time.LocalDate((org.joda.time.DateTimeZone)cachedDateTimeZone18);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter20 = org.joda.time.format.ISODateTimeFormat.dateTimeParser();
    boolean b21 = cachedDateTimeZone18.equals((java.lang.Object)dateTimeFormatter20);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalTime localTime23 = dateTimeFormatter20.parseLocalTime("DateTimeField[hourOfDay]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.joda.time.Months months0 = org.joda.time.Months.THREE;
    java.lang.String str1 = months0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "P3M"+ "'", str1.equals("P3M"));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology7.getZone();
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(dateTimeZone8);
    org.joda.time.LocalDate localDate10 = new org.joda.time.LocalDate(dateTimeZone8);
    org.joda.time.LocalDate.Property property11 = localDate10.monthOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDateTime();
    java.lang.Integer i1 = dateTimeFormatter0.getPivotYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter0.withPivotYear((java.lang.Integer)1969);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime5 = dateTimeFormatter0.parseMutableDateTime("P3M");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(2010, 0, 19);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.timeNoMillis();
    java.util.Locale locale1 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withLocale(locale1);
    java.util.Locale locale3 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter4 = dateTimeFormatter0.withLocale(locale3);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalTime localTime6 = dateTimeFormatter4.parseLocalTime("31");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter4);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("1969-12-31", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetMillis(100);
    org.joda.time.MonthDay monthDay2 = new org.joda.time.MonthDay(dateTimeZone1);
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay.Property property4 = monthDay2.property(dateTimeFieldType3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.joda.time.LocalDate localDate0 = new org.joda.time.LocalDate();

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    java.lang.String str6 = offsetDateTimeField4.getAsShortText(2419199999L);
    long long8 = offsetDateTimeField4.roundHalfCeiling(2419199999L);
    long long10 = offsetDateTimeField4.roundCeiling(0L);
    org.joda.time.chrono.GregorianChronology gregorianChronology11 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField12 = gregorianChronology11.days();
    org.joda.time.DateTimeField dateTimeField13 = gregorianChronology11.millisOfDay();
    org.joda.time.DateTimeField dateTimeField14 = gregorianChronology11.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone15 = gregorianChronology11.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone20 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i22 = fixedDateTimeZone20.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology23 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone20);
    org.joda.time.DateTimeZone dateTimeZone24 = iSOChronology23.getZone();
    org.joda.time.Chronology chronology25 = gregorianChronology11.withZone(dateTimeZone24);
    org.joda.time.chrono.GregorianChronology gregorianChronology27 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology28 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology27);
    org.joda.time.LocalDate localDate29 = new org.joda.time.LocalDate(0L, chronology28);
    org.joda.time.LocalDate.Property property30 = localDate29.monthOfYear();
    org.joda.time.LocalDate.Property property31 = localDate29.yearOfCentury();
    int i32 = localDate29.getDayOfYear();
    long long34 = gregorianChronology11.set((org.joda.time.ReadablePartial)localDate29, (-86400000L));
    int i35 = offsetDateTimeField4.getMinimumValue((org.joda.time.ReadablePartial)localDate29);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate37 = localDate29.withYearOfCentury((-12));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "54"+ "'", str6.equals("54"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 2419200001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 31);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Days days1 = org.joda.time.Days.parseDays("UnsupportedDurationField[months]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.joda.time.Days days0 = org.joda.time.Days.ONE;
    org.joda.time.Days days2 = days0.plus(2000);
    org.joda.time.Days days3 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days4 = days3.negated();
    boolean b5 = days0.isLessThan(days3);
    org.joda.time.Days days6 = null;
    boolean b7 = days3.isGreaterThan(days6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    int i6 = offsetDateTimeField4.getMaximumValue(62134732800010L);
    boolean b7 = offsetDateTimeField4.isLenient();
    java.util.Locale locale9 = null;
    java.lang.String str10 = offsetDateTimeField4.getAsText((-86399990L), locale9);
    org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology12);
    org.joda.time.LocalDate localDate14 = new org.joda.time.LocalDate(0L, chronology13);
    org.joda.time.LocalDate.Property property15 = localDate14.monthOfYear();
    org.joda.time.LocalDate localDate17 = localDate14.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone19 = null;
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, dateTimeZone19);
    boolean b21 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate20);
    boolean b22 = localDate14.equals((java.lang.Object)localDate20);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter24 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter25 = dateTimeFormatter24.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology26 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField27 = iSOChronology26.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology26.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone30 = null;
    org.joda.time.LocalDate localDate31 = new org.joda.time.LocalDate(0L, dateTimeZone30);
    long long33 = iSOChronology26.set((org.joda.time.ReadablePartial)localDate31, 0L);
    org.joda.time.DateTimeField dateTimeField34 = iSOChronology26.weekyearOfCentury();
    boolean b35 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter25, (java.lang.Object)dateTimeField34);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField37 = new org.joda.time.field.OffsetDateTimeField(dateTimeField34, 31);
    int i39 = offsetDateTimeField37.getMinimumValue((-86399999L));
    org.joda.time.DateTimeZone dateTimeZone41 = null;
    org.joda.time.LocalDate localDate42 = new org.joda.time.LocalDate(0L, dateTimeZone41);
    boolean b43 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate42);
    org.joda.time.ReadableInstant readableInstant44 = null;
    org.joda.time.DateTime dateTime45 = localDate42.toDateTime(readableInstant44);
    org.joda.time.chrono.GregorianChronology gregorianChronology47 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology48 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology47);
    org.joda.time.LocalDate localDate49 = new org.joda.time.LocalDate(0L, chronology48);
    org.joda.time.LocalDate.Property property50 = localDate49.monthOfYear();
    org.joda.time.LocalDate.Property property51 = localDate49.yearOfCentury();
    int i52 = localDate49.size();
    int[] i_array53 = localDate49.getValues();
    org.joda.time.LocalDate localDate54 = localDate42.withFields((org.joda.time.ReadablePartial)localDate49);
    org.joda.time.chrono.GregorianChronology gregorianChronology57 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology58 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology57);
    org.joda.time.LocalDate localDate59 = new org.joda.time.LocalDate(0L, chronology58);
    org.joda.time.LocalDate.Property property60 = localDate59.monthOfYear();
    boolean b61 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate59);
    java.lang.String str62 = localDate59.toString();
    int[] i_array63 = localDate59.getValues();
    int[] i_array65 = offsetDateTimeField37.addWrapPartial((org.joda.time.ReadablePartial)localDate42, 0, i_array63, 31);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array67 = offsetDateTimeField4.add((org.joda.time.ReadablePartial)localDate14, 1970, i_array65, 12);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "31"+ "'", str10.equals("31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "1969-12-31"+ "'", str62.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    java.lang.String str24 = unsupportedDurationField23.toString();
    // The following exception was thrown during execution in test generation
    try {
      long long27 = unsupportedDurationField23.getMillis(2419199999L, (-8643600001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "UnsupportedDurationField[months]"+ "'", str24.equals("UnsupportedDurationField[months]"));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    int i2 = gregorianChronology1.getMinimumDaysInFirstWeek();
    org.joda.time.MonthDay monthDay3 = new org.joda.time.MonthDay(227210054400000100L, (org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.chrono.GregorianChronology gregorianChronology4 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField5 = gregorianChronology4.days();
    org.joda.time.DateTimeField dateTimeField6 = gregorianChronology4.millisOfDay();
    org.joda.time.DateTimeField dateTimeField7 = gregorianChronology4.yearOfCentury();
    org.joda.time.DateTimeField dateTimeField8 = gregorianChronology4.centuryOfEra();
    org.joda.time.MonthDay monthDay9 = monthDay3.withChronologyRetainFields((org.joda.time.Chronology)gregorianChronology4);
    org.joda.time.MonthDay.Property property10 = monthDay9.dayOfMonth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("101", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone12 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology13 = iSOChronology0.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    long long17 = fixedDateTimeZone12.convertLocalToUTC((-1L), true, (-1L));
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone18 = org.joda.time.tz.CachedDateTimeZone.forZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    int i20 = fixedDateTimeZone12.getOffset(754271915205598021L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period1 = months0.toPeriod();
    org.joda.time.DurationFieldType durationFieldType2 = months0.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField4 = new org.joda.time.field.PreciseDurationField(durationFieldType2, (-8730000001L));
    long long7 = preciseDurationField4.getMillis((-863999990L), 0L);
    java.lang.String str8 = preciseDurationField4.getName();
    org.joda.time.Months months9 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period10 = months9.toPeriod();
    org.joda.time.DurationFieldType durationFieldType11 = months9.getFieldType();
    org.joda.time.field.DecoratedDurationField decoratedDurationField12 = new org.joda.time.field.DecoratedDurationField((org.joda.time.DurationField)preciseDurationField4, durationFieldType11);
    boolean b13 = decoratedDurationField12.isPrecise();
    // The following exception was thrown during execution in test generation
    try {
      long long16 = decoratedDurationField12.add(227210054400000100L, 2419198031L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "months"+ "'", str8.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.ReadablePartial readablePartial2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, readablePartial2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = offsetDateTimeField4.getType();
    org.joda.time.field.FieldUtils.verifyValueBounds((org.joda.time.DateTimeField)offsetDateTimeField4, 3, (-1), 3);
    org.joda.time.ReadablePartial readablePartial10 = null;
    org.joda.time.DateTimeZone dateTimeZone12 = null;
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone12);
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField16 = new org.joda.time.field.OffsetDateTimeField(dateTimeField14, 31);
    org.joda.time.DurationField durationField17 = offsetDateTimeField16.getDurationField();
    int i19 = offsetDateTimeField16.getMinimumValue(0L);
    long long21 = offsetDateTimeField16.remainder(100L);
    org.joda.time.chrono.GregorianChronology gregorianChronology23 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology24 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology23);
    org.joda.time.LocalDate localDate25 = new org.joda.time.LocalDate(0L, chronology24);
    org.joda.time.LocalDate.Property property26 = localDate25.monthOfYear();
    org.joda.time.chrono.GregorianChronology gregorianChronology28 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology29 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology28);
    org.joda.time.LocalDate localDate30 = new org.joda.time.LocalDate(0L, chronology29);
    org.joda.time.LocalDate.Property property31 = localDate30.monthOfYear();
    boolean b32 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate30);
    java.lang.String str33 = localDate30.toString();
    int[] i_array34 = localDate30.getValues();
    int i35 = offsetDateTimeField16.getMaximumValue((org.joda.time.ReadablePartial)localDate25, i_array34);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array37 = offsetDateTimeField4.addWrapPartial(readablePartial10, 19, i_array34, 10816);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1969-12-31"+ "'", str33.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 54);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.joda.time.format.PeriodFormatter periodFormatter0 = org.joda.time.format.ISOPeriodFormat.alternateExtendedWithWeeks();
    java.util.Locale locale1 = null;
    org.joda.time.format.PeriodFormatter periodFormatter2 = periodFormatter0.withLocale(locale1);
    org.joda.time.format.PeriodPrinter periodPrinter3 = periodFormatter0.getPrinter();
    org.joda.time.format.PeriodParser periodParser4 = null;
    org.joda.time.format.PeriodFormatter periodFormatter5 = new org.joda.time.format.PeriodFormatter(periodPrinter3, periodParser4);
    java.util.Locale locale6 = null;
    org.joda.time.format.PeriodFormatter periodFormatter7 = periodFormatter5.withLocale(locale6);
    java.io.Writer writer8 = null;
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.LocalDate localDate11 = new org.joda.time.LocalDate(0L, dateTimeZone10);
    boolean b12 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate11);
    org.joda.time.ReadableInstant readableInstant13 = null;
    org.joda.time.DateTime dateTime14 = localDate11.toDateTime(readableInstant13);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone19 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i21 = fixedDateTimeZone19.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology22 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone19);
    org.joda.time.DateTimeZone dateTimeZone23 = iSOChronology22.getZone();
    org.joda.time.DateTime dateTime24 = localDate11.toDateTimeAtCurrentTime(dateTimeZone23);
    org.joda.time.Days days25 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.LocalDate localDate26 = localDate11.plus((org.joda.time.ReadablePeriod)days25);
    org.joda.time.Days days27 = org.joda.time.Days.THREE;
    org.joda.time.Minutes minutes28 = days27.toStandardMinutes();
    org.joda.time.Period period29 = days27.toPeriod();
    org.joda.time.Minutes minutes30 = days27.toStandardMinutes();
    org.joda.time.Days days31 = days25.minus(days27);
    // The following exception was thrown during execution in test generation
    try {
      periodFormatter7.printTo(writer8, (org.joda.time.ReadablePeriod)days27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodPrinter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(minutes28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(minutes30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days31);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DurationField durationField2 = iSOChronology1.minutes();
    java.lang.String str3 = iSOChronology1.toString();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.secondOfMinute();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "ISOChronology[]"+ "'", str3.equals("ISOChronology[]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.joda.time.format.PeriodFormatter periodFormatter0 = org.joda.time.format.ISOPeriodFormat.alternateExtendedWithWeeks();
    java.util.Locale locale1 = null;
    org.joda.time.format.PeriodFormatter periodFormatter2 = periodFormatter0.withLocale(locale1);
    java.util.Locale locale3 = null;
    org.joda.time.format.PeriodFormatter periodFormatter4 = periodFormatter0.withLocale(locale3);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Period period6 = periodFormatter0.parsePeriod("T00:00:00-00:00:00.001");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter4);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone11 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i13 = fixedDateTimeZone11.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay14 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone11);
    org.joda.time.chrono.GregorianChronology gregorianChronology16 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology16);
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, chronology17);
    java.lang.String str19 = localDate18.toString();
    org.joda.time.PeriodType periodType20 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months21 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period22 = months21.toPeriod();
    org.joda.time.DurationFieldType durationFieldType23 = months21.getFieldType();
    int i24 = periodType20.indexOf(durationFieldType23);
    boolean b25 = localDate18.isSupported(durationFieldType23);
    org.joda.time.MonthDay monthDay27 = monthDay14.withFieldAdded(durationFieldType23, 100);
    org.joda.time.LocalDate localDate28 = localDate6.withFields((org.joda.time.ReadablePartial)monthDay27);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone34 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i36 = fixedDateTimeZone34.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone34);
    int i39 = fixedDateTimeZone34.getOffsetFromLocal(0L);
    int i41 = fixedDateTimeZone34.getOffsetFromLocal(0L);
    org.joda.time.LocalDate localDate42 = new org.joda.time.LocalDate((-863999990L), (org.joda.time.DateTimeZone)fixedDateTimeZone34);
    org.joda.time.Months months43 = org.joda.time.Months.monthsBetween((org.joda.time.ReadablePartial)localDate6, (org.joda.time.ReadablePartial)localDate42);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate45 = localDate42.withCenturyOfEra((-12));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1969-12-31"+ "'", str19.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months43);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    boolean b11 = localDate3.equals((java.lang.Object)localDate9);
    org.joda.time.chrono.GregorianChronology gregorianChronology13 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology14 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology13);
    org.joda.time.LocalDate localDate15 = new org.joda.time.LocalDate(0L, chronology14);
    java.lang.String str16 = localDate15.toString();
    boolean b17 = localDate3.isBefore((org.joda.time.ReadablePartial)localDate15);
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = null;
    boolean b19 = localDate15.isSupported(dateTimeFieldType18);
    org.joda.time.LocalDate.Property property20 = localDate15.dayOfYear();
    org.joda.time.LocalDate localDate22 = localDate15.minusDays((-3));
    org.joda.time.Days days23 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days24 = days23.negated();
    org.joda.time.Days days25 = days23.negated();
    org.joda.time.PeriodType periodType26 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months27 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period28 = months27.toPeriod();
    org.joda.time.DurationFieldType durationFieldType29 = months27.getFieldType();
    int i30 = periodType26.indexOf(durationFieldType29);
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException(durationFieldType29, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number35 = illegalFieldValueException34.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType36 = illegalFieldValueException34.getDurationFieldType();
    boolean b37 = days23.isSupported(durationFieldType36);
    org.joda.time.IllegalFieldValueException illegalFieldValueException41 = new org.joda.time.IllegalFieldValueException(durationFieldType36, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException45 = new org.joda.time.IllegalFieldValueException(durationFieldType36, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField46 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType36);
    boolean b47 = unsupportedDurationField46.isSupported();
    org.joda.time.chrono.GregorianChronology gregorianChronology49 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology50 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology49);
    org.joda.time.LocalDate localDate51 = new org.joda.time.LocalDate(0L, chronology50);
    org.joda.time.LocalDate.Property property52 = localDate51.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter53 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str54 = localDate51.toString(dateTimeFormatter53);
    org.joda.time.DateTimeZone dateTimeZone56 = null;
    org.joda.time.LocalDate localDate57 = new org.joda.time.LocalDate(0L, dateTimeZone56);
    boolean b58 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate57);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone63 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i65 = fixedDateTimeZone63.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone63);
    int i68 = fixedDateTimeZone63.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight69 = localDate57.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone63);
    org.joda.time.DateMidnight dateMidnight70 = localDate51.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone63);
    org.joda.time.DateTimeFieldType dateTimeFieldType71 = null;
    boolean b72 = localDate51.isSupported(dateTimeFieldType71);
    org.joda.time.DateTime dateTime73 = localDate51.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone74 = null;
    org.joda.time.chrono.ISOChronology iSOChronology75 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone74);
    org.joda.time.DateTimeField dateTimeField76 = iSOChronology75.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField78 = new org.joda.time.field.OffsetDateTimeField(dateTimeField76, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType79 = offsetDateTimeField78.getType();
    boolean b80 = localDate51.isSupported(dateTimeFieldType79);
    boolean b81 = unsupportedDurationField46.equals((java.lang.Object)dateTimeFieldType79);
    boolean b82 = localDate15.isSupported(dateTimeFieldType79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1969-12-31"+ "'", str16.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number35 + "' != '" + 4+ "'", number35.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "1969-12"+ "'", str54.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    org.joda.time.Days days1 = org.joda.time.Days.days(100);
    org.joda.time.Weeks weeks2 = days1.toStandardWeeks();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Days days4 = days1.dividedBy(0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weeks2);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    boolean b24 = unsupportedDurationField23.isSupported();
    boolean b25 = unsupportedDurationField23.isPrecise();
    // The following exception was thrown during execution in test generation
    try {
      long long28 = unsupportedDurationField23.getMillis(2419200001L, 62134732800001L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.LocalDate localDate2 = new org.joda.time.LocalDate(0L, dateTimeZone1);
    boolean b3 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate2);
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.DateTime dateTime5 = localDate2.toDateTime(readableInstant4);
    org.joda.time.LocalDate localDate7 = localDate2.withYearOfEra(104);
    org.joda.time.Chronology chronology8 = localDate2.getChronology();
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period1 = months0.toPeriod();
    org.joda.time.DurationFieldType durationFieldType2 = months0.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField4 = new org.joda.time.field.PreciseDurationField(durationFieldType2, (-8730000001L));
    long long7 = preciseDurationField4.getMillis((-863999990L), 0L);
    java.lang.String str8 = preciseDurationField4.getName();
    org.joda.time.Months months9 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period10 = months9.toPeriod();
    org.joda.time.DurationFieldType durationFieldType11 = months9.getFieldType();
    org.joda.time.field.DecoratedDurationField decoratedDurationField12 = new org.joda.time.field.DecoratedDurationField((org.joda.time.DurationField)preciseDurationField4, durationFieldType11);
    boolean b13 = preciseDurationField4.isPrecise();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "months"+ "'", str8.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.weekDateTimeNoMillis();
    boolean b2 = dateTimeFormatter1.isOffsetParsed();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate3 = org.joda.time.LocalDate.parse("", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.days();
    long long4 = durationField1.subtract((-1L), 100L);
    org.joda.time.chrono.GregorianChronology gregorianChronology6 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology7 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology6);
    org.joda.time.LocalDate localDate8 = new org.joda.time.LocalDate(0L, chronology7);
    org.joda.time.LocalDate.Property property9 = localDate8.monthOfYear();
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate8);
    java.lang.String str11 = localDate8.toString();
    org.joda.time.LocalDate localDate13 = localDate8.plusWeeks(4);
    org.joda.time.DateTime dateTime14 = localDate13.toDateTimeAtMidnight();
    org.joda.time.Days days15 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days16 = days15.negated();
    org.joda.time.Days days17 = days15.negated();
    org.joda.time.PeriodType periodType18 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months19 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period20 = months19.toPeriod();
    org.joda.time.DurationFieldType durationFieldType21 = months19.getFieldType();
    int i22 = periodType18.indexOf(durationFieldType21);
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException(durationFieldType21, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number27 = illegalFieldValueException26.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException26.getDurationFieldType();
    boolean b29 = days15.isSupported(durationFieldType28);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException(durationFieldType28, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException37 = new org.joda.time.IllegalFieldValueException(durationFieldType28, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    boolean b38 = localDate13.isSupported(durationFieldType28);
    org.joda.time.field.DecoratedDurationField decoratedDurationField39 = new org.joda.time.field.DecoratedDurationField(durationField1, durationFieldType28);
    long long42 = decoratedDurationField39.getMillis(365, 7542719913563999990L);
    // The following exception was thrown during execution in test generation
    try {
      long long45 = decoratedDurationField39.getMillis(7542719913563999989L, (-950399999L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == (-8640000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1969-12-31"+ "'", str11.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + 4+ "'", number27.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == 31536000000L);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    int i6 = offsetDateTimeField4.getMaximumValue(62134732800010L);
    boolean b7 = offsetDateTimeField4.isLenient();
    java.util.Locale locale9 = null;
    java.lang.String str10 = offsetDateTimeField4.getAsText((-86399990L), locale9);
    org.joda.time.ReadablePartial readablePartial11 = null;
    int[] i_array13 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array15 = offsetDateTimeField4.set(readablePartial11, 1, i_array13, 104);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "31"+ "'", str10.equals("31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(31536000000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(365, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 36500);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField2 = gregorianChronology1.days();
    org.joda.time.DateTimeField dateTimeField3 = gregorianChronology1.millisOfDay();
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology1.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone5 = gregorianChronology1.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone10 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i12 = fixedDateTimeZone10.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone10);
    org.joda.time.DateTimeZone dateTimeZone14 = iSOChronology13.getZone();
    org.joda.time.Chronology chronology15 = gregorianChronology1.withZone(dateTimeZone14);
    org.joda.time.DateTimeField dateTimeField16 = gregorianChronology1.weekyear();
    org.joda.time.chrono.GregorianChronology gregorianChronology18 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology18);
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, chronology19);
    org.joda.time.LocalDate.Property property21 = localDate20.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter22 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str23 = localDate20.toString(dateTimeFormatter22);
    org.joda.time.DateTimeZone dateTimeZone25 = null;
    org.joda.time.LocalDate localDate26 = new org.joda.time.LocalDate(0L, dateTimeZone25);
    boolean b27 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate26);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone32 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i34 = fixedDateTimeZone32.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone32);
    int i37 = fixedDateTimeZone32.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight38 = localDate26.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone32);
    org.joda.time.DateMidnight dateMidnight39 = localDate20.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone32);
    org.joda.time.DateTimeFieldType dateTimeFieldType40 = null;
    boolean b41 = localDate20.isSupported(dateTimeFieldType40);
    org.joda.time.DateTime dateTime42 = localDate20.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone43 = null;
    org.joda.time.chrono.ISOChronology iSOChronology44 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone43);
    org.joda.time.DateTimeField dateTimeField45 = iSOChronology44.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField47 = new org.joda.time.field.OffsetDateTimeField(dateTimeField45, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType48 = offsetDateTimeField47.getType();
    boolean b49 = localDate20.isSupported(dateTimeFieldType48);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField51 = new org.joda.time.field.RemainderDateTimeField(dateTimeField16, dateTimeFieldType48, 19);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField52 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0, dateTimeFieldType48);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1969-12"+ "'", str23.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    boolean b24 = unsupportedDurationField23.isSupported();
    boolean b25 = unsupportedDurationField23.isPrecise();
    // The following exception was thrown during execution in test generation
    try {
      long long28 = unsupportedDurationField23.getMillis(2440615L, 99L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(1969, (-12));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.DateTimeFormat.shortTime();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology3);
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, chronology4);
    org.joda.time.LocalDate.Property property6 = localDate5.monthOfYear();
    org.joda.time.LocalDate localDate8 = localDate5.minusMonths(10);
    org.joda.time.LocalDate localDate10 = localDate8.plusMonths(100);
    org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology12);
    org.joda.time.LocalDate localDate14 = new org.joda.time.LocalDate(0L, chronology13);
    org.joda.time.LocalDate.Property property15 = localDate14.monthOfYear();
    org.joda.time.LocalDate localDate17 = localDate14.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone19 = null;
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, dateTimeZone19);
    boolean b21 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate20);
    boolean b22 = localDate14.equals((java.lang.Object)localDate20);
    int i23 = localDate20.getYear();
    int i24 = localDate8.compareTo((org.joda.time.ReadablePartial)localDate20);
    org.joda.time.PeriodType periodType25 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.PeriodType periodType26 = periodType25.withWeeksRemoved();
    org.joda.time.chrono.GregorianChronology gregorianChronology28 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology29 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology28);
    org.joda.time.LocalDate localDate30 = new org.joda.time.LocalDate(0L, chronology29);
    org.joda.time.LocalDate.Property property31 = localDate30.monthOfYear();
    org.joda.time.LocalDate localDate33 = localDate30.minusMonths(10);
    org.joda.time.LocalDate localDate35 = localDate33.plusMonths(100);
    org.joda.time.chrono.GregorianChronology gregorianChronology37 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology38 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology37);
    org.joda.time.LocalDate localDate39 = new org.joda.time.LocalDate(0L, chronology38);
    org.joda.time.LocalDate.Property property40 = localDate39.monthOfYear();
    org.joda.time.LocalDate localDate42 = localDate39.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone44 = null;
    org.joda.time.LocalDate localDate45 = new org.joda.time.LocalDate(0L, dateTimeZone44);
    boolean b46 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate45);
    boolean b47 = localDate39.equals((java.lang.Object)localDate45);
    int i48 = localDate45.getYear();
    int i49 = localDate33.compareTo((org.joda.time.ReadablePartial)localDate45);
    boolean b50 = periodType25.equals((java.lang.Object)localDate33);
    org.joda.time.LocalDate.Property property51 = localDate33.monthOfYear();
    int i52 = localDate20.compareTo((org.joda.time.ReadablePartial)localDate33);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, (org.joda.time.ReadablePartial)localDate33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicWeekDateTimeNoMillis();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withOffsetParsed();
    java.io.Writer writer2 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology4 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology4);
    org.joda.time.LocalDate localDate6 = new org.joda.time.LocalDate(0L, chronology5);
    org.joda.time.LocalDate.Property property7 = localDate6.monthOfYear();
    boolean b8 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate6);
    java.lang.String str9 = localDate6.toString();
    org.joda.time.LocalDate localDate11 = localDate6.plusWeeks(4);
    org.joda.time.DateTime dateTime12 = localDate11.toDateTimeAtMidnight();
    org.joda.time.DateTime dateTime13 = localDate11.toDateTimeAtCurrentTime();
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter1.printTo(writer2, (org.joda.time.ReadableInstant)dateTime13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "1969-12-31"+ "'", str9.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay2 = new org.joda.time.MonthDay(1970, 3);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(2419200001L, (-259199999L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    org.joda.time.MonthDay monthDay2 = org.joda.time.MonthDay.now(dateTimeZone1);
    org.joda.time.Months months3 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months6 = months4.multipliedBy(10);
    boolean b7 = months3.isGreaterThan(months4);
    org.joda.time.MonthDay monthDay8 = monthDay2.minus((org.joda.time.ReadablePeriod)months4);
    int i9 = monthDay8.getDayOfMonth();
    org.joda.time.Days days10 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days11 = days10.negated();
    org.joda.time.Days days12 = days10.negated();
    org.joda.time.PeriodType periodType13 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months14 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period15 = months14.toPeriod();
    org.joda.time.DurationFieldType durationFieldType16 = months14.getFieldType();
    int i17 = periodType13.indexOf(durationFieldType16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException(durationFieldType16, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number22 = illegalFieldValueException21.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType23 = illegalFieldValueException21.getDurationFieldType();
    boolean b24 = days10.isSupported(durationFieldType23);
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException(durationFieldType23, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException32 = new org.joda.time.IllegalFieldValueException(durationFieldType23, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField33 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType23);
    boolean b34 = unsupportedDurationField33.isSupported();
    org.joda.time.chrono.GregorianChronology gregorianChronology36 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology37 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology36);
    org.joda.time.LocalDate localDate38 = new org.joda.time.LocalDate(0L, chronology37);
    org.joda.time.LocalDate.Property property39 = localDate38.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter40 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str41 = localDate38.toString(dateTimeFormatter40);
    org.joda.time.DateTimeZone dateTimeZone43 = null;
    org.joda.time.LocalDate localDate44 = new org.joda.time.LocalDate(0L, dateTimeZone43);
    boolean b45 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate44);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone50 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i52 = fixedDateTimeZone50.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone50);
    int i55 = fixedDateTimeZone50.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight56 = localDate44.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone50);
    org.joda.time.DateMidnight dateMidnight57 = localDate38.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone50);
    org.joda.time.DateTimeFieldType dateTimeFieldType58 = null;
    boolean b59 = localDate38.isSupported(dateTimeFieldType58);
    org.joda.time.DateTime dateTime60 = localDate38.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone61 = null;
    org.joda.time.chrono.ISOChronology iSOChronology62 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone61);
    org.joda.time.DateTimeField dateTimeField63 = iSOChronology62.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField65 = new org.joda.time.field.OffsetDateTimeField(dateTimeField63, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType66 = offsetDateTimeField65.getType();
    boolean b67 = localDate38.isSupported(dateTimeFieldType66);
    boolean b68 = unsupportedDurationField33.equals((java.lang.Object)dateTimeFieldType66);
    org.joda.time.IllegalFieldValueException illegalFieldValueException71 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType66, (java.lang.Number)2440487L, "months");
    // The following exception was thrown during execution in test generation
    try {
      int i72 = monthDay8.get(dateTimeFieldType66);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 4+ "'", number22.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "1969-12"+ "'", str41.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months1 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months3 = months1.multipliedBy(10);
    boolean b4 = months0.isGreaterThan(months1);
    org.joda.time.Months months6 = months1.plus(0);
    org.joda.time.PeriodType periodType7 = months1.getPeriodType();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DurationFieldType durationFieldType9 = periodType7.getFieldType(2010);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType7);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyearOfCentury();
    org.joda.time.ReadableInterval readableInterval3 = null;
    org.joda.time.ReadableInterval readableInterval4 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval3);
    org.joda.time.Months months5 = org.joda.time.Months.monthsIn(readableInterval4);
    long long8 = iSOChronology0.add((org.joda.time.ReadablePeriod)months5, (-8730000001L), 104);
    org.joda.time.DurationField durationField9 = iSOChronology0.minutes();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == (-8730000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(1, 365, 18);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetMillis(100);
    org.joda.time.MonthDay monthDay2 = new org.joda.time.MonthDay(dateTimeZone1);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone8 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i10 = fixedDateTimeZone8.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone8);
    int i13 = fixedDateTimeZone8.getOffsetFromLocal(0L);
    int i15 = fixedDateTimeZone8.getOffsetFromLocal(0L);
    org.joda.time.LocalDate localDate16 = new org.joda.time.LocalDate((-863999990L), (org.joda.time.DateTimeZone)fixedDateTimeZone8);
    org.joda.time.LocalDate.Property property17 = localDate16.yearOfEra();
    // The following exception was thrown during execution in test generation
    try {
      boolean b18 = monthDay2.isAfter((org.joda.time.ReadablePartial)localDate16);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property17);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.joda.time.IllegalInstantException illegalInstantException2 = new org.joda.time.IllegalInstantException(10L, "hi!");
    java.lang.String str3 = illegalInstantException2.toString();
    java.lang.Throwable[] throwable_array4 = illegalInstantException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalInstantException: Illegal instant due to time zone offset transition (daylight savings time 'gap'): 1970-01-01T00:00:00.010 (hi!)"+ "'", str3.equals("org.joda.time.IllegalInstantException: Illegal instant due to time zone offset transition (daylight savings time 'gap'): 1970-01-01T00:00:00.010 (hi!)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.joda.time.MonthDay monthDay0 = org.joda.time.MonthDay.now();
    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone1);
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = offsetDateTimeField5.getType();
    int i7 = monthDay0.indexOf(dateTimeFieldType6);
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = monthDay0.getFieldType(0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = monthDay0.toString("hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType9);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicOrdinalDateTimeNoMillis();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.weekyearOfCentury();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology7.millisOfDay();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeZone dateTimeZone19 = iSOChronology18.getZone();
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, dateTimeZone19);
    org.joda.time.chrono.ZonedChronology zonedChronology21 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology7, dateTimeZone19);
    org.joda.time.chrono.GregorianChronology gregorianChronology23 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology24 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology23);
    org.joda.time.LocalDate localDate25 = new org.joda.time.LocalDate(0L, chronology24);
    org.joda.time.LocalDate.Property property26 = localDate25.monthOfYear();
    boolean b27 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate25);
    java.lang.String str28 = localDate25.toString();
    org.joda.time.LocalDate localDate30 = localDate25.plusWeeks(4);
    org.joda.time.DateTime dateTime31 = localDate30.toDateTimeAtMidnight();
    int i32 = dateTimeZone19.getOffset((org.joda.time.ReadableInstant)dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "1969-12-31"+ "'", str28.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == (-1));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    // The following exception was thrown during execution in test generation
    try {
      long long26 = unsupportedDurationField23.getMillis(12, (-8640000001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.MonthDay monthDay1 = new org.joda.time.MonthDay((org.joda.time.Chronology)gregorianChronology0);
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.dayOfYear();
    org.joda.time.chrono.GregorianChronology gregorianChronology4 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology4);
    org.joda.time.LocalDate localDate6 = new org.joda.time.LocalDate(0L, chronology5);
    org.joda.time.LocalDate.Property property7 = localDate6.monthOfYear();
    boolean b8 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate6);
    org.joda.time.chrono.GregorianChronology gregorianChronology10 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology11 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology10);
    org.joda.time.LocalDate localDate12 = new org.joda.time.LocalDate(0L, chronology11);
    org.joda.time.LocalDate.Property property13 = localDate12.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter14 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str15 = localDate12.toString(dateTimeFormatter14);
    org.joda.time.DateTimeZone dateTimeZone17 = null;
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, dateTimeZone17);
    boolean b19 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate18);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone24 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i26 = fixedDateTimeZone24.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone24);
    int i29 = fixedDateTimeZone24.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight30 = localDate18.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone24);
    org.joda.time.DateMidnight dateMidnight31 = localDate12.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone24);
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = null;
    boolean b33 = localDate12.isSupported(dateTimeFieldType32);
    org.joda.time.DateTime dateTime34 = localDate12.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone35 = null;
    org.joda.time.chrono.ISOChronology iSOChronology36 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone35);
    org.joda.time.DateTimeField dateTimeField37 = iSOChronology36.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField39 = new org.joda.time.field.OffsetDateTimeField(dateTimeField37, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType40 = offsetDateTimeField39.getType();
    boolean b41 = localDate12.isSupported(dateTimeFieldType40);
    boolean b42 = localDate6.isSupported(dateTimeFieldType40);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField44 = new org.joda.time.field.DividedDateTimeField(dateTimeField2, dateTimeFieldType40, (-3));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1969-12"+ "'", str15.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    java.util.Collection collection0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = org.joda.time.format.ISODateTimeFormat.forFields(collection0, true, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.LocalDate localDate2 = new org.joda.time.LocalDate(0L, dateTimeZone1);
    boolean b3 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate2);
    int i4 = localDate2.getWeekOfWeekyear();
    org.joda.time.DateTimeFieldType[] dateTimeFieldType_array5 = localDate2.getFieldTypes();
    boolean b6 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate2);
    org.joda.time.LocalTime localTime7 = null;
    org.joda.time.DateTime dateTime8 = localDate2.toDateTime(localTime7);
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.DateTime dateTime10 = localDate2.toDateTimeAtMidnight(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    java.util.TimeZone timeZone8 = null;
    org.joda.time.DateTimeZone dateTimeZone9 = org.joda.time.DateTimeZone.forTimeZone(timeZone8);
    org.joda.time.MonthDay monthDay10 = org.joda.time.MonthDay.now(dateTimeZone9);
    org.joda.time.Months months11 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months12 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months14 = months12.multipliedBy(10);
    boolean b15 = months11.isGreaterThan(months12);
    org.joda.time.MonthDay monthDay16 = monthDay10.minus((org.joda.time.ReadablePeriod)months12);
    org.joda.time.MonthDay monthDay18 = org.joda.time.MonthDay.parse("1969-12");
    org.joda.time.DateTimeZone dateTimeZone19 = null;
    org.joda.time.chrono.ISOChronology iSOChronology20 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone19);
    org.joda.time.DateTimeField dateTimeField21 = iSOChronology20.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField23 = new org.joda.time.field.OffsetDateTimeField(dateTimeField21, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = offsetDateTimeField23.getType();
    boolean b25 = monthDay18.isSupported(dateTimeFieldType24);
    int i26 = monthDay10.indexOf(dateTimeFieldType24);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate28 = localDate5.withField(dateTimeFieldType24, 2010);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("1969-12-31", 36500, 20, (-863999990));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1L, 77018372899199998L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 77018372899199998L);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(94527403210829L, (-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-945274032108290L));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology4 = org.joda.time.chrono.GregorianChronology.getInstance();
    int i5 = gregorianChronology4.getMinimumDaysInFirstWeek();
    org.joda.time.MonthDay monthDay6 = new org.joda.time.MonthDay(227210054400000100L, (org.joda.time.Chronology)gregorianChronology4);
    org.joda.time.Chronology chronology7 = monthDay6.getChronology();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate8 = new org.joda.time.LocalDate(4, 0, 1969, chronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology7);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearWeekDay();
    org.joda.time.PeriodType periodType1 = periodType0.withMonthsRemoved();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDateTime();
    java.lang.Integer i1 = dateTimeFormatter0.getPivotYear();
    boolean b2 = dateTimeFormatter0.isPrinter();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    boolean b11 = localDate3.equals((java.lang.Object)localDate9);
    int i12 = localDate9.getYear();
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology13.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone17 = null;
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, dateTimeZone17);
    long long20 = iSOChronology13.set((org.joda.time.ReadablePartial)localDate18, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone25 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology26 = iSOChronology13.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone25);
    org.joda.time.DateMidnight dateMidnight27 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone25);
    org.joda.time.LocalDateTime localDateTime28 = null;
    boolean b29 = fixedDateTimeZone25.isLocalDateTimeGap(localDateTime28);
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone25);
    java.lang.String str32 = fixedDateTimeZone25.getName((-86399990L));
    org.joda.time.chrono.GregorianChronology gregorianChronology34 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology35 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology34);
    org.joda.time.LocalDate localDate36 = new org.joda.time.LocalDate(0L, chronology35);
    org.joda.time.LocalDate.Property property37 = localDate36.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter38 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str39 = localDate36.toString(dateTimeFormatter38);
    org.joda.time.DateTimeZone dateTimeZone41 = null;
    org.joda.time.LocalDate localDate42 = new org.joda.time.LocalDate(0L, dateTimeZone41);
    boolean b43 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate42);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone48 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i50 = fixedDateTimeZone48.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone48);
    int i53 = fixedDateTimeZone48.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight54 = localDate42.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone48);
    org.joda.time.DateMidnight dateMidnight55 = localDate36.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone48);
    long long58 = fixedDateTimeZone48.convertLocalToUTC((-8730000001L), true);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone59 = org.joda.time.tz.CachedDateTimeZone.forZone((org.joda.time.DateTimeZone)fixedDateTimeZone48);
    org.joda.time.LocalDate localDate60 = new org.joda.time.LocalDate((org.joda.time.DateTimeZone)cachedDateTimeZone59);
    long long62 = fixedDateTimeZone25.getMillisKeepLocal((org.joda.time.DateTimeZone)cachedDateTimeZone59, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "-00:00:00.001"+ "'", str32.equals("-00:00:00.001"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "1969-12"+ "'", str39.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long58 == (-8730000000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long62 == 10L);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField4 = gregorianChronology3.days();
    org.joda.time.chrono.GregorianChronology gregorianChronology6 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology7 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology6);
    org.joda.time.LocalDate localDate8 = new org.joda.time.LocalDate(0L, chronology7);
    org.joda.time.LocalDate.Property property9 = localDate8.monthOfYear();
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate8);
    java.lang.String str11 = localDate8.toString();
    org.joda.time.LocalDate localDate13 = localDate8.plusWeeks(4);
    long long15 = gregorianChronology3.set((org.joda.time.ReadablePartial)localDate13, (-1L));
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate16 = new org.joda.time.LocalDate(1969, (-10), (-1), (org.joda.time.Chronology)gregorianChronology3);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1969-12-31"+ "'", str11.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 2419199999L);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetHours(2010);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    // The following exception was thrown during execution in test generation
    try {
      long long45 = unsupportedDateTimeField43.roundFloor(103723200012L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    boolean b11 = localDate3.equals((java.lang.Object)localDate9);
    org.joda.time.Months months12 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months13 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months15 = months13.multipliedBy(10);
    boolean b16 = months12.isGreaterThan(months13);
    org.joda.time.MutablePeriod mutablePeriod17 = months13.toMutablePeriod();
    java.util.TimeZone timeZone18 = null;
    org.joda.time.DateTimeZone dateTimeZone19 = org.joda.time.DateTimeZone.forTimeZone(timeZone18);
    org.joda.time.MonthDay monthDay20 = org.joda.time.MonthDay.now(dateTimeZone19);
    org.joda.time.Months months21 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months22 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months24 = months22.multipliedBy(10);
    boolean b25 = months21.isGreaterThan(months22);
    org.joda.time.MonthDay monthDay26 = monthDay20.minus((org.joda.time.ReadablePeriod)months22);
    org.joda.time.Months months27 = months13.plus(months22);
    org.joda.time.Months months29 = months27.plus(1);
    org.joda.time.LocalDate localDate30 = localDate3.minus((org.joda.time.ReadablePeriod)months27);
    org.joda.time.MonthDay monthDay32 = org.joda.time.MonthDay.parse("1969-12");
    // The following exception was thrown during execution in test generation
    try {
      int i33 = localDate3.compareTo((org.joda.time.ReadablePartial)monthDay32);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutablePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay32);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    boolean b11 = localDate3.equals((java.lang.Object)localDate9);
    org.joda.time.chrono.GregorianChronology gregorianChronology13 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology14 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology13);
    org.joda.time.LocalDate localDate15 = new org.joda.time.LocalDate(0L, chronology14);
    java.lang.String str16 = localDate15.toString();
    boolean b17 = localDate3.isBefore((org.joda.time.ReadablePartial)localDate15);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter18 = null;
    java.lang.String str19 = localDate15.toString(dateTimeFormatter18);
    // The following exception was thrown during execution in test generation
    try {
      int i21 = localDate15.getValue(104);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1969-12-31"+ "'", str16.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1969-12-31"+ "'", str19.equals("1969-12-31"));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    boolean b3 = iSOChronology0.equals((java.lang.Object)100.0f);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone8 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.MonthDay monthDay9 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone8);
    long long12 = fixedDateTimeZone8.adjustOffset(10L, true);
    org.joda.time.Chronology chronology13 = iSOChronology0.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone8);
    int i15 = fixedDateTimeZone8.getOffsetFromLocal(77018372899199998L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.tTimeNoMillis();
    boolean b6 = localDate3.equals((java.lang.Object)dateTimeFormatter5);
    java.lang.String str8 = dateTimeFormatter5.print(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "T23:59:59-00:00:00.001"+ "'", str8.equals("T23:59:59-00:00:00.001"));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField4 = iSOChronology3.days();
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(100, 1, 2, (org.joda.time.Chronology)iSOChronology3);
    // The following exception was thrown during execution in test generation
    try {
      long long11 = iSOChronology3.getDateTimeMillis((-1L), 31, 31, 2000, 12);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.chrono.GregorianChronology gregorianChronology45 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology46 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology45);
    org.joda.time.LocalDate localDate47 = new org.joda.time.LocalDate(0L, chronology46);
    org.joda.time.LocalDate.Property property48 = localDate47.monthOfYear();
    org.joda.time.LocalDate localDate50 = localDate47.minusMonths(10);
    org.joda.time.LocalDate localDate52 = localDate50.plusMonths(100);
    org.joda.time.chrono.GregorianChronology gregorianChronology54 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology55 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology54);
    org.joda.time.LocalDate localDate56 = new org.joda.time.LocalDate(0L, chronology55);
    org.joda.time.LocalDate.Property property57 = localDate56.monthOfYear();
    org.joda.time.LocalDate localDate59 = localDate56.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone61 = null;
    org.joda.time.LocalDate localDate62 = new org.joda.time.LocalDate(0L, dateTimeZone61);
    boolean b63 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate62);
    boolean b64 = localDate56.equals((java.lang.Object)localDate62);
    int i65 = localDate62.getYear();
    int i66 = localDate50.compareTo((org.joda.time.ReadablePartial)localDate62);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone71 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i73 = fixedDateTimeZone71.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone71);
    int i76 = fixedDateTimeZone71.getOffsetFromLocal(0L);
    org.joda.time.chrono.GregorianChronology gregorianChronology77 = org.joda.time.chrono.GregorianChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone71);
    org.joda.time.Days days78 = org.joda.time.Days.THREE;
    org.joda.time.Hours hours79 = days78.toStandardHours();
    int[] i_array81 = gregorianChronology77.get((org.joda.time.ReadablePeriod)hours79, (-8643600001L));
    // The following exception was thrown during execution in test generation
    try {
      int i82 = unsupportedDateTimeField43.getMaximumValue((org.joda.time.ReadablePartial)localDate62, i_array81);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hours79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array81);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months1 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period2 = months1.toPeriod();
    org.joda.time.DurationFieldType durationFieldType3 = months1.getFieldType();
    int i4 = periodType0.indexOf(durationFieldType3);
    org.joda.time.PeriodType periodType5 = org.joda.time.DateTimeUtils.getPeriodType(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType5);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "P8M");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getRangeDurationField();
    // The following exception was thrown during execution in test generation
    try {
      int i46 = unsupportedDateTimeField43.get((-950399999L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField44);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.joda.time.Days days0 = org.joda.time.Days.FIVE;
    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone1);
    org.joda.time.Days days3 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days4 = days3.negated();
    org.joda.time.Days days5 = days3.negated();
    int[] i_array8 = iSOChronology2.get((org.joda.time.ReadablePeriod)days3, 227210054400000100L, 227210054400000100L);
    boolean b9 = days0.isLessThan(days3);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Days days11 = days3.dividedBy(0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("10", (java.lang.Number)227210054400000100L, (java.lang.Number)31, (java.lang.Number)3);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.joda.time.format.PeriodFormatter periodFormatter0 = org.joda.time.format.ISOPeriodFormat.alternateExtendedWithWeeks();
    java.util.Locale locale1 = null;
    org.joda.time.format.PeriodFormatter periodFormatter2 = periodFormatter0.withLocale(locale1);
    org.joda.time.format.PeriodPrinter periodPrinter3 = periodFormatter0.getPrinter();
    org.joda.time.format.PeriodParser periodParser4 = null;
    org.joda.time.format.PeriodFormatter periodFormatter5 = new org.joda.time.format.PeriodFormatter(periodPrinter3, periodParser4);
    java.util.Locale locale6 = periodFormatter5.getLocale();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodPrinter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(locale6);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField2 = gregorianChronology1.days();
    org.joda.time.DateTimeField dateTimeField3 = gregorianChronology1.millisOfDay();
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology1.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone5 = gregorianChronology1.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone10 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i12 = fixedDateTimeZone10.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone10);
    org.joda.time.DateTimeZone dateTimeZone14 = iSOChronology13.getZone();
    org.joda.time.Chronology chronology15 = gregorianChronology1.withZone(dateTimeZone14);
    org.joda.time.DateTimeField dateTimeField16 = gregorianChronology1.weekyear();
    org.joda.time.chrono.GregorianChronology gregorianChronology18 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology18);
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, chronology19);
    org.joda.time.LocalDate.Property property21 = localDate20.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter22 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str23 = localDate20.toString(dateTimeFormatter22);
    org.joda.time.DateTimeZone dateTimeZone25 = null;
    org.joda.time.LocalDate localDate26 = new org.joda.time.LocalDate(0L, dateTimeZone25);
    boolean b27 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate26);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone32 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i34 = fixedDateTimeZone32.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone32);
    int i37 = fixedDateTimeZone32.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight38 = localDate26.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone32);
    org.joda.time.DateMidnight dateMidnight39 = localDate20.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone32);
    org.joda.time.DateTimeFieldType dateTimeFieldType40 = null;
    boolean b41 = localDate20.isSupported(dateTimeFieldType40);
    org.joda.time.DateTime dateTime42 = localDate20.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone43 = null;
    org.joda.time.chrono.ISOChronology iSOChronology44 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone43);
    org.joda.time.DateTimeField dateTimeField45 = iSOChronology44.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField47 = new org.joda.time.field.OffsetDateTimeField(dateTimeField45, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType48 = offsetDateTimeField47.getType();
    boolean b49 = localDate20.isSupported(dateTimeFieldType48);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField51 = new org.joda.time.field.RemainderDateTimeField(dateTimeField16, dateTimeFieldType48, 19);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField53 = new org.joda.time.field.DividedDateTimeField(dateTimeField0, dateTimeFieldType48, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1969-12"+ "'", str23.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.joda.time.Days days0 = org.joda.time.Days.ONE;
    org.joda.time.Days days2 = days0.plus(2000);
    org.joda.time.Days days3 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days4 = days3.negated();
    boolean b5 = days0.isLessThan(days3);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology6.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone10 = null;
    org.joda.time.LocalDate localDate11 = new org.joda.time.LocalDate(0L, dateTimeZone10);
    long long13 = iSOChronology6.set((org.joda.time.ReadablePartial)localDate11, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone18 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology19 = iSOChronology6.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone18);
    long long23 = fixedDateTimeZone18.convertLocalToUTC((-1L), true, (-1L));
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone24 = org.joda.time.tz.CachedDateTimeZone.forZone((org.joda.time.DateTimeZone)fixedDateTimeZone18);
    int i26 = cachedDateTimeZone24.getStandardOffset(2440615L);
    java.lang.String str28 = cachedDateTimeZone24.getNameKey((-86400000L));
    org.joda.time.DateTimeZone dateTimeZone29 = cachedDateTimeZone24.getUncachedZone();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate30 = new org.joda.time.LocalDate((java.lang.Object)b5, (org.joda.time.DateTimeZone)cachedDateTimeZone24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + ""+ "'", str28.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone29);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    int i6 = offsetDateTimeField4.getMaximumValue(62134732800010L);
    long long8 = offsetDateTimeField4.roundHalfCeiling(62134732799910L);
    java.lang.String str9 = offsetDateTimeField4.toString();
    java.util.Locale locale10 = null;
    int i11 = offsetDateTimeField4.getMaximumShortTextLength(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 62134732800001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "DateTimeField[hourOfDay]"+ "'", str9.equals("DateTimeField[hourOfDay]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.joda.time.Months months0 = org.joda.time.Months.ELEVEN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    int i6 = offsetDateTimeField4.getMaximumValue(62134732800010L);
    long long8 = offsetDateTimeField4.roundHalfCeiling(62134732799910L);
    org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology9.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField11 = iSOChronology9.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone13 = null;
    org.joda.time.LocalDate localDate14 = new org.joda.time.LocalDate(0L, dateTimeZone13);
    long long16 = iSOChronology9.set((org.joda.time.ReadablePartial)localDate14, 0L);
    org.joda.time.chrono.GregorianChronology gregorianChronology18 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology18);
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, chronology19);
    org.joda.time.LocalDate.Property property21 = localDate20.monthOfYear();
    org.joda.time.LocalDate localDate23 = localDate20.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone25 = null;
    org.joda.time.LocalDate localDate26 = new org.joda.time.LocalDate(0L, dateTimeZone25);
    boolean b27 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate26);
    boolean b28 = localDate20.equals((java.lang.Object)localDate26);
    org.joda.time.chrono.GregorianChronology gregorianChronology30 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology31 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology30);
    org.joda.time.LocalDate localDate32 = new org.joda.time.LocalDate(0L, chronology31);
    java.lang.String str33 = localDate32.toString();
    boolean b34 = localDate20.isBefore((org.joda.time.ReadablePartial)localDate32);
    boolean b35 = localDate14.isBefore((org.joda.time.ReadablePartial)localDate20);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter37 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter38 = dateTimeFormatter37.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology39 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField40 = iSOChronology39.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField41 = iSOChronology39.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone43 = null;
    org.joda.time.LocalDate localDate44 = new org.joda.time.LocalDate(0L, dateTimeZone43);
    long long46 = iSOChronology39.set((org.joda.time.ReadablePartial)localDate44, 0L);
    org.joda.time.DateTimeField dateTimeField47 = iSOChronology39.weekyearOfCentury();
    boolean b48 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter38, (java.lang.Object)dateTimeField47);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField50 = new org.joda.time.field.OffsetDateTimeField(dateTimeField47, 31);
    int i52 = offsetDateTimeField50.getMinimumValue((-86399999L));
    org.joda.time.DateTimeZone dateTimeZone54 = null;
    org.joda.time.LocalDate localDate55 = new org.joda.time.LocalDate(0L, dateTimeZone54);
    boolean b56 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate55);
    org.joda.time.ReadableInstant readableInstant57 = null;
    org.joda.time.DateTime dateTime58 = localDate55.toDateTime(readableInstant57);
    org.joda.time.chrono.GregorianChronology gregorianChronology60 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology61 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology60);
    org.joda.time.LocalDate localDate62 = new org.joda.time.LocalDate(0L, chronology61);
    org.joda.time.LocalDate.Property property63 = localDate62.monthOfYear();
    org.joda.time.LocalDate.Property property64 = localDate62.yearOfCentury();
    int i65 = localDate62.size();
    int[] i_array66 = localDate62.getValues();
    org.joda.time.LocalDate localDate67 = localDate55.withFields((org.joda.time.ReadablePartial)localDate62);
    org.joda.time.chrono.GregorianChronology gregorianChronology70 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology71 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology70);
    org.joda.time.LocalDate localDate72 = new org.joda.time.LocalDate(0L, chronology71);
    org.joda.time.LocalDate.Property property73 = localDate72.monthOfYear();
    boolean b74 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate72);
    java.lang.String str75 = localDate72.toString();
    int[] i_array76 = localDate72.getValues();
    int[] i_array78 = offsetDateTimeField50.addWrapPartial((org.joda.time.ReadablePartial)localDate55, 0, i_array76, 31);
    int[] i_array80 = offsetDateTimeField4.addWrapField((org.joda.time.ReadablePartial)localDate14, 0, i_array78, 0);
    java.util.Locale locale82 = null;
    java.lang.String str83 = offsetDateTimeField4.getAsText(10816, locale82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 62134732800001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1969-12-31"+ "'", str33.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long46 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "1969-12-31"+ "'", str75.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "10816"+ "'", str83.equals("10816"));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.joda.time.Months months0 = org.joda.time.Months.SIX;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.ReadablePartial readablePartial44 = null;
    org.joda.time.DateTimeZone dateTimeZone46 = null;
    org.joda.time.LocalDate localDate47 = new org.joda.time.LocalDate(0L, dateTimeZone46);
    boolean b48 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate47);
    int[] i_array49 = localDate47.getValues();
    // The following exception was thrown during execution in test generation
    try {
      int i50 = unsupportedDateTimeField43.getMaximumValue(readablePartial44, i_array49);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months1 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period2 = months1.toPeriod();
    org.joda.time.DurationFieldType durationFieldType3 = months1.getFieldType();
    int i4 = periodType0.indexOf(durationFieldType3);
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException(durationFieldType3, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number9 = illegalFieldValueException8.getLowerBound();
    java.lang.Number number10 = illegalFieldValueException8.getUpperBound();
    boolean b11 = org.joda.time.IllegalInstantException.isIllegalInstant((java.lang.Throwable)illegalFieldValueException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 4+ "'", number9.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 1.0d+ "'", number10.equals(1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.joda.time.format.PeriodFormatterBuilder periodFormatterBuilder0 = new org.joda.time.format.PeriodFormatterBuilder();
    org.joda.time.format.PeriodFormatterBuilder periodFormatterBuilder1 = periodFormatterBuilder0.appendSecondsWithMillis();
    org.joda.time.format.PeriodFormatterBuilder periodFormatterBuilder2 = periodFormatterBuilder1.appendDays();
    org.joda.time.format.PeriodFormatterBuilder periodFormatterBuilder4 = periodFormatterBuilder2.minimumPrintedDigits((-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatterBuilder1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatterBuilder2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatterBuilder4);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField1 = iSOChronology0.days();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.joda.time.DurationField durationField0 = null;
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone5 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i7 = fixedDateTimeZone5.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay8 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone5);
    org.joda.time.chrono.GregorianChronology gregorianChronology10 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology11 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology10);
    org.joda.time.LocalDate localDate12 = new org.joda.time.LocalDate(0L, chronology11);
    java.lang.String str13 = localDate12.toString();
    org.joda.time.PeriodType periodType14 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months15 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period16 = months15.toPeriod();
    org.joda.time.DurationFieldType durationFieldType17 = months15.getFieldType();
    int i18 = periodType14.indexOf(durationFieldType17);
    boolean b19 = localDate12.isSupported(durationFieldType17);
    org.joda.time.MonthDay monthDay21 = monthDay8.withFieldAdded(durationFieldType17, 100);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DecoratedDurationField decoratedDurationField22 = new org.joda.time.field.DecoratedDurationField(durationField0, durationFieldType17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "1969-12-31"+ "'", str13.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay21);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicOrdinalDateTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    java.lang.String str4 = localDate3.toString();
    org.joda.time.PeriodType periodType5 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months6 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period7 = months6.toPeriod();
    org.joda.time.DurationFieldType durationFieldType8 = months6.getFieldType();
    int i9 = periodType5.indexOf(durationFieldType8);
    boolean b10 = localDate3.isSupported(durationFieldType8);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.DateMidnight dateMidnight16 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i17 = localDate3.getCenturyOfEra();
    java.util.TimeZone timeZone18 = null;
    org.joda.time.DateTimeZone dateTimeZone19 = org.joda.time.DateTimeZone.forTimeZone(timeZone18);
    org.joda.time.MonthDay monthDay20 = org.joda.time.MonthDay.now(dateTimeZone19);
    org.joda.time.Months months21 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months22 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months24 = months22.multipliedBy(10);
    boolean b25 = months21.isGreaterThan(months22);
    org.joda.time.MonthDay monthDay26 = monthDay20.minus((org.joda.time.ReadablePeriod)months22);
    org.joda.time.MonthDay monthDay28 = org.joda.time.MonthDay.parse("1969-12");
    org.joda.time.DateTimeZone dateTimeZone29 = null;
    org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone29);
    org.joda.time.DateTimeField dateTimeField31 = iSOChronology30.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField33 = new org.joda.time.field.OffsetDateTimeField(dateTimeField31, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType34 = offsetDateTimeField33.getType();
    boolean b35 = monthDay28.isSupported(dateTimeFieldType34);
    int i36 = monthDay20.indexOf(dateTimeFieldType34);
    org.joda.time.IllegalFieldValueException illegalFieldValueException40 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType34, (java.lang.Number)12, (java.lang.Number)2419198031L, (java.lang.Number)2000);
    // The following exception was thrown during execution in test generation
    try {
      int i41 = localDate3.get(dateTimeFieldType34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1969-12-31"+ "'", str4.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == (-1));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getRangeDurationField();
    org.joda.time.chrono.GregorianChronology gregorianChronology46 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology47 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology46);
    org.joda.time.LocalDate localDate48 = new org.joda.time.LocalDate(0L, chronology47);
    org.joda.time.LocalDate.Property property49 = localDate48.monthOfYear();
    org.joda.time.LocalDate localDate51 = localDate48.minusMonths(10);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone56 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i58 = fixedDateTimeZone56.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay59 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone56);
    org.joda.time.chrono.GregorianChronology gregorianChronology61 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology62 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology61);
    org.joda.time.LocalDate localDate63 = new org.joda.time.LocalDate(0L, chronology62);
    java.lang.String str64 = localDate63.toString();
    org.joda.time.PeriodType periodType65 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months66 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period67 = months66.toPeriod();
    org.joda.time.DurationFieldType durationFieldType68 = months66.getFieldType();
    int i69 = periodType65.indexOf(durationFieldType68);
    boolean b70 = localDate63.isSupported(durationFieldType68);
    org.joda.time.MonthDay monthDay72 = monthDay59.withFieldAdded(durationFieldType68, 100);
    org.joda.time.LocalDate localDate73 = localDate51.withFields((org.joda.time.ReadablePartial)monthDay72);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone79 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i81 = fixedDateTimeZone79.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone79);
    int i84 = fixedDateTimeZone79.getOffsetFromLocal(0L);
    int i86 = fixedDateTimeZone79.getOffsetFromLocal(0L);
    org.joda.time.LocalDate localDate87 = new org.joda.time.LocalDate((-863999990L), (org.joda.time.DateTimeZone)fixedDateTimeZone79);
    org.joda.time.Months months88 = org.joda.time.Months.monthsBetween((org.joda.time.ReadablePartial)localDate51, (org.joda.time.ReadablePartial)localDate87);
    org.joda.time.LocalDate localDate90 = localDate51.minusWeeks(0);
    org.joda.time.DateMidnight dateMidnight91 = localDate90.toDateMidnight();
    // The following exception was thrown during execution in test generation
    try {
      int i92 = unsupportedDateTimeField43.getMaximumValue((org.joda.time.ReadablePartial)localDate90);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "1969-12-31"+ "'", str64.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight91);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(12, 1969, 12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.weekyearOfCentury();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology7.millisOfDay();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeZone dateTimeZone19 = iSOChronology18.getZone();
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, dateTimeZone19);
    org.joda.time.chrono.ZonedChronology zonedChronology21 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology7, dateTimeZone19);
    org.joda.time.DateTimeZone dateTimeZone22 = zonedChronology21.getZone();
    org.joda.time.DateTimeField dateTimeField23 = zonedChronology21.minuteOfDay();
    // The following exception was thrown during execution in test generation
    try {
      long long28 = zonedChronology21.getDateTimeMillis((-863999990), 19, 0, 10816);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField23);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.weekyearOfCentury();
    org.joda.time.ReadableInterval readableInterval3 = null;
    org.joda.time.ReadableInterval readableInterval4 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval3);
    org.joda.time.Months months5 = org.joda.time.Months.monthsIn(readableInterval4);
    long long8 = iSOChronology0.add((org.joda.time.ReadablePeriod)months5, (-8730000001L), 104);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone13 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.MonthDay monthDay14 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone13);
    long long17 = fixedDateTimeZone13.adjustOffset(10L, true);
    org.joda.time.chrono.ZonedChronology zonedChronology18 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology0, (org.joda.time.DateTimeZone)fixedDateTimeZone13);
    org.joda.time.DurationField durationField19 = zonedChronology18.millis();
    // The following exception was thrown during execution in test generation
    try {
      long long27 = zonedChronology18.getDateTimeMillis(104, 3, 19, 20, 10816, 31, 5);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == (-8730000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField19);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("P12M");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getRangeDurationField();
    java.util.TimeZone timeZone45 = null;
    org.joda.time.DateTimeZone dateTimeZone46 = org.joda.time.DateTimeZone.forTimeZone(timeZone45);
    org.joda.time.MonthDay monthDay47 = org.joda.time.MonthDay.now(dateTimeZone46);
    org.joda.time.Months months48 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months49 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months51 = months49.multipliedBy(10);
    boolean b52 = months48.isGreaterThan(months49);
    org.joda.time.MonthDay monthDay53 = monthDay47.minus((org.joda.time.ReadablePeriod)months49);
    org.joda.time.Chronology chronology54 = monthDay47.getChronology();
    org.joda.time.MonthDay monthDay56 = monthDay47.plusMonths(4);
    java.util.Locale locale58 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str59 = unsupportedDateTimeField43.getAsText((org.joda.time.ReadablePartial)monthDay47, 36500, locale58);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay56);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.weekyearOfCentury();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology7.millisOfDay();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeZone dateTimeZone19 = iSOChronology18.getZone();
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, dateTimeZone19);
    org.joda.time.chrono.ZonedChronology zonedChronology21 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology7, dateTimeZone19);
    java.lang.String str22 = zonedChronology21.toString();
    org.joda.time.LocalDate localDate23 = org.joda.time.LocalDate.now((org.joda.time.Chronology)zonedChronology21);
    org.joda.time.ReadablePeriod readablePeriod24 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array26 = zonedChronology21.get(readablePeriod24, (-86399990L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "ZonedChronology[ISOChronology[UTC], ]"+ "'", str22.equals("ZonedChronology[ISOChronology[UTC], ]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate23);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.days();
    org.joda.time.chrono.GregorianChronology gregorianChronology3 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology3);
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, chronology4);
    org.joda.time.LocalDate.Property property6 = localDate5.monthOfYear();
    boolean b7 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate5);
    java.lang.String str8 = localDate5.toString();
    org.joda.time.LocalDate localDate10 = localDate5.plusWeeks(4);
    long long12 = gregorianChronology0.set((org.joda.time.ReadablePartial)localDate10, (-1L));
    org.joda.time.DurationField durationField13 = gregorianChronology0.weeks();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "1969-12-31"+ "'", str8.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2419199999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField13);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    // The following exception was thrown during execution in test generation
    try {
      long long45 = unsupportedDateTimeField43.remainder((-86399999L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.joda.time.MonthDay monthDay0 = org.joda.time.MonthDay.now();
    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone1);
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField5 = new org.joda.time.field.OffsetDateTimeField(dateTimeField3, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = offsetDateTimeField5.getType();
    int i7 = monthDay0.indexOf(dateTimeFieldType6);
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = monthDay0.getFieldType(0);
    org.joda.time.chrono.GregorianChronology gregorianChronology11 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology12 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology11);
    org.joda.time.LocalDate localDate13 = new org.joda.time.LocalDate(0L, chronology12);
    org.joda.time.LocalDate.Property property14 = localDate13.monthOfYear();
    boolean b15 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate13);
    java.lang.String str16 = localDate13.toString();
    org.joda.time.LocalDate localDate18 = localDate13.plusWeeks(4);
    org.joda.time.DateTime dateTime19 = localDate18.toDateTimeAtMidnight();
    org.joda.time.Days days20 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days21 = days20.negated();
    org.joda.time.Days days22 = days20.negated();
    org.joda.time.PeriodType periodType23 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months24 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period25 = months24.toPeriod();
    org.joda.time.DurationFieldType durationFieldType26 = months24.getFieldType();
    int i27 = periodType23.indexOf(durationFieldType26);
    org.joda.time.IllegalFieldValueException illegalFieldValueException31 = new org.joda.time.IllegalFieldValueException(durationFieldType26, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number32 = illegalFieldValueException31.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType33 = illegalFieldValueException31.getDurationFieldType();
    boolean b34 = days20.isSupported(durationFieldType33);
    org.joda.time.IllegalFieldValueException illegalFieldValueException38 = new org.joda.time.IllegalFieldValueException(durationFieldType33, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException(durationFieldType33, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    boolean b43 = localDate18.isSupported(durationFieldType33);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField44 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType33);
    org.joda.time.chrono.ISOChronology iSOChronology45 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField46 = iSOChronology45.clockhourOfHalfday();
    org.joda.time.DurationField durationField47 = iSOChronology45.days();
    long long50 = durationField47.subtract(10L, 10L);
    long long53 = durationField47.subtract((-8643600001L), 1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDateTimeField preciseDateTimeField54 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType9, (org.joda.time.DurationField)unsupportedDurationField44, durationField47);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1969-12-31"+ "'", str16.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number32 + "' != '" + 4+ "'", number32.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long50 == (-863999990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long53 == (-8730000001L));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "P3M");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.clockhourOfHalfday();
    org.joda.time.MonthDay monthDay3 = new org.joda.time.MonthDay((-1L), (org.joda.time.Chronology)iSOChronology1);
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology1.centuryOfEra();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField4, 5, 130, 5);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    java.util.Locale locale15 = null;
    java.lang.String str16 = offsetDateTimeField13.getAsText((-8643600001L), locale15);
    org.joda.time.MonthDay monthDay17 = new org.joda.time.MonthDay();
    int i18 = offsetDateTimeField13.getMinimumValue((org.joda.time.ReadablePartial)monthDay17);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay20 = monthDay17.withMonthOfYear((-863999990));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "100"+ "'", str16.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 31);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("T23:59:59-00:00:00.001", "100");

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone5 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i7 = fixedDateTimeZone5.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone5);
    int i10 = fixedDateTimeZone5.getOffsetFromLocal(0L);
    int i12 = fixedDateTimeZone5.getOffsetFromLocal(0L);
    org.joda.time.LocalDate localDate13 = new org.joda.time.LocalDate((-863999990L), (org.joda.time.DateTimeZone)fixedDateTimeZone5);
    org.joda.time.LocalDate.Property property14 = localDate13.yearOfEra();
    org.joda.time.LocalDate localDate16 = localDate13.withDayOfMonth(31);
    org.joda.time.LocalDate localDate18 = localDate16.plusWeeks(1);
    org.joda.time.LocalDate.Property property19 = localDate18.dayOfMonth();
    org.joda.time.chrono.GregorianChronology gregorianChronology21 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology22 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology21);
    org.joda.time.LocalDate localDate23 = new org.joda.time.LocalDate(0L, chronology22);
    org.joda.time.LocalDate.Property property24 = localDate23.monthOfYear();
    org.joda.time.LocalDate.Property property25 = localDate23.yearOfCentury();
    int i26 = localDate23.getDayOfYear();
    org.joda.time.LocalTime localTime27 = null;
    java.util.TimeZone timeZone28 = null;
    org.joda.time.DateTimeZone dateTimeZone29 = org.joda.time.DateTimeZone.forTimeZone(timeZone28);
    org.joda.time.MonthDay monthDay30 = org.joda.time.MonthDay.now(dateTimeZone29);
    org.joda.time.DateTime dateTime31 = localDate23.toDateTime(localTime27, dateTimeZone29);
    // The following exception was thrown during execution in test generation
    try {
      boolean b32 = localDate18.isBefore((org.joda.time.ReadablePartial)localTime27);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months1 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months3 = months1.multipliedBy(10);
    boolean b4 = months0.isGreaterThan(months1);
    org.joda.time.MutablePeriod mutablePeriod5 = months1.toMutablePeriod();
    // The following exception was thrown during execution in test generation
    try {
      int i7 = months1.getValue(2010);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutablePeriod5);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder2 = dateTimeFormatterBuilder0.appendHourOfDay(1);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendYearOfEra(2000, 4);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder0.appendTimeZoneOffset("T00:00:00-00:00:00.001", false, 0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    java.util.Locale locale15 = null;
    java.lang.String str16 = offsetDateTimeField13.getAsText((-8643600001L), locale15);
    java.lang.String str17 = offsetDateTimeField13.toString();
    java.util.Locale locale19 = null;
    java.lang.String str20 = offsetDateTimeField13.getAsText(62134732800010L, locale19);
    // The following exception was thrown during execution in test generation
    try {
      long long23 = offsetDateTimeField13.set(754271915205598021L, "ISOChronology[UTC]");
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "100"+ "'", str16.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "DateTimeField[weekyearOfCentury]"+ "'", str17.equals("DateTimeField[weekyearOfCentury]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "69"+ "'", str20.equals("69"));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    // The following exception was thrown during execution in test generation
    try {
      long long46 = unsupportedDateTimeField43.roundHalfFloor((-86399990L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone5 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i7 = fixedDateTimeZone5.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone5);
    org.joda.time.DateTimeZone dateTimeZone9 = iSOChronology8.getZone();
    org.joda.time.LocalDate localDate10 = new org.joda.time.LocalDate(0L, dateTimeZone9);
    org.joda.time.LocalTime localTime11 = null;
    org.joda.time.DateTime dateTime12 = localDate10.toDateTime(localTime11);
    org.joda.time.MonthDay monthDay13 = org.joda.time.MonthDay.now();
    org.joda.time.DateTimeZone dateTimeZone14 = null;
    org.joda.time.chrono.ISOChronology iSOChronology15 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone14);
    org.joda.time.DateTimeField dateTimeField16 = iSOChronology15.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField18 = new org.joda.time.field.OffsetDateTimeField(dateTimeField16, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = offsetDateTimeField18.getType();
    int i20 = monthDay13.indexOf(dateTimeFieldType19);
    // The following exception was thrown during execution in test generation
    try {
      int i21 = localDate10.get(dateTimeFieldType19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-12));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 12);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateOptionalTimeParser();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = dateTimeFormatter0.print(94527403210829L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(100);
    org.joda.time.ReadableInstant readableInstant3 = null;
    java.lang.String str4 = dateTimeFormatter0.print(readableInstant3);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone9 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i11 = fixedDateTimeZone9.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone9);
    org.joda.time.DateTimeZone dateTimeZone13 = iSOChronology12.getZone();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter14 = dateTimeFormatter0.withChronology((org.joda.time.Chronology)iSOChronology12);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter16 = dateTimeFormatter14.withDefaultYear((-863999990));
    org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone21 = null;
    org.joda.time.LocalDate localDate22 = new org.joda.time.LocalDate(0L, dateTimeZone21);
    long long24 = iSOChronology17.set((org.joda.time.ReadablePartial)localDate22, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone29 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology30 = iSOChronology17.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone29);
    long long34 = fixedDateTimeZone29.convertLocalToUTC((-1L), true, (-1L));
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone35 = org.joda.time.tz.CachedDateTimeZone.forZone((org.joda.time.DateTimeZone)fixedDateTimeZone29);
    org.joda.time.LocalDate localDate36 = new org.joda.time.LocalDate((org.joda.time.DateTimeZone)cachedDateTimeZone35);
    org.joda.time.IllegalInstantException illegalInstantException39 = new org.joda.time.IllegalInstantException(10L, "hi!");
    boolean b40 = cachedDateTimeZone35.equals((java.lang.Object)10L);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter41 = dateTimeFormatter16.withZone((org.joda.time.DateTimeZone)cachedDateTimeZone35);
    java.lang.Appendable appendable42 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter16.printTo(appendable42, (-40266000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "00:00:00.099"+ "'", str4.equals("00:00:00.099"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter41);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.Days days1 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days2 = days1.negated();
    org.joda.time.Days days3 = days1.negated();
    org.joda.time.PeriodType periodType4 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months5 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period6 = months5.toPeriod();
    org.joda.time.DurationFieldType durationFieldType7 = months5.getFieldType();
    int i8 = periodType4.indexOf(durationFieldType7);
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException(durationFieldType7, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number13 = illegalFieldValueException12.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException12.getDurationFieldType();
    boolean b15 = days1.isSupported(durationFieldType14);
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException(durationFieldType14, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException(durationFieldType14, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField24 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType14);
    boolean b25 = unsupportedDurationField24.isSupported();
    org.joda.time.chrono.GregorianChronology gregorianChronology27 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology28 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology27);
    org.joda.time.LocalDate localDate29 = new org.joda.time.LocalDate(0L, chronology28);
    org.joda.time.LocalDate.Property property30 = localDate29.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter31 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str32 = localDate29.toString(dateTimeFormatter31);
    org.joda.time.DateTimeZone dateTimeZone34 = null;
    org.joda.time.LocalDate localDate35 = new org.joda.time.LocalDate(0L, dateTimeZone34);
    boolean b36 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate35);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone41 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i43 = fixedDateTimeZone41.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone41);
    int i46 = fixedDateTimeZone41.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight47 = localDate35.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone41);
    org.joda.time.DateMidnight dateMidnight48 = localDate29.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone41);
    org.joda.time.DateTimeFieldType dateTimeFieldType49 = null;
    boolean b50 = localDate29.isSupported(dateTimeFieldType49);
    org.joda.time.DateTime dateTime51 = localDate29.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone52 = null;
    org.joda.time.chrono.ISOChronology iSOChronology53 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone52);
    org.joda.time.DateTimeField dateTimeField54 = iSOChronology53.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField56 = new org.joda.time.field.OffsetDateTimeField(dateTimeField54, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType57 = offsetDateTimeField56.getType();
    boolean b58 = localDate29.isSupported(dateTimeFieldType57);
    boolean b59 = unsupportedDurationField24.equals((java.lang.Object)dateTimeFieldType57);
    boolean b60 = unsupportedDurationField24.isPrecise();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField61 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType0, (org.joda.time.DurationField)unsupportedDurationField24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 4+ "'", number13.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "1969-12"+ "'", str32.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinute();
    java.lang.Appendable appendable1 = null;
    org.joda.time.PeriodType periodType2 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.PeriodType periodType3 = periodType2.withWeeksRemoved();
    org.joda.time.chrono.GregorianChronology gregorianChronology5 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology6 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology5);
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, chronology6);
    org.joda.time.LocalDate.Property property8 = localDate7.monthOfYear();
    org.joda.time.LocalDate localDate10 = localDate7.minusMonths(10);
    org.joda.time.LocalDate localDate12 = localDate10.plusMonths(100);
    org.joda.time.chrono.GregorianChronology gregorianChronology14 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology14);
    org.joda.time.LocalDate localDate16 = new org.joda.time.LocalDate(0L, chronology15);
    org.joda.time.LocalDate.Property property17 = localDate16.monthOfYear();
    org.joda.time.LocalDate localDate19 = localDate16.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone21 = null;
    org.joda.time.LocalDate localDate22 = new org.joda.time.LocalDate(0L, dateTimeZone21);
    boolean b23 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate22);
    boolean b24 = localDate16.equals((java.lang.Object)localDate22);
    int i25 = localDate22.getYear();
    int i26 = localDate10.compareTo((org.joda.time.ReadablePartial)localDate22);
    boolean b27 = periodType2.equals((java.lang.Object)localDate10);
    org.joda.time.LocalDate.Property property28 = localDate10.monthOfYear();
    org.joda.time.LocalDate localDate30 = localDate10.withYearOfCentury(10);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(appendable1, (org.joda.time.ReadablePartial)localDate10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate30);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.joda.time.MonthDay monthDay1 = new org.joda.time.MonthDay(1L);
    org.joda.time.ReadablePeriod readablePeriod2 = null;
    org.joda.time.MonthDay monthDay4 = monthDay1.withPeriodAdded(readablePeriod2, 4);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay6 = monthDay4.withMonthOfYear(19);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay4);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(100);
    org.joda.time.ReadableInstant readableInstant3 = null;
    java.lang.String str4 = dateTimeFormatter0.print(readableInstant3);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone9 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i11 = fixedDateTimeZone9.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone9);
    org.joda.time.DateTimeZone dateTimeZone13 = iSOChronology12.getZone();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter14 = dateTimeFormatter0.withChronology((org.joda.time.Chronology)iSOChronology12);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter15 = dateTimeFormatter0.withZoneUTC();
    java.lang.StringBuffer stringBuffer16 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer16, 1048464000120L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "00:00:00.099"+ "'", str4.equals("00:00:00.099"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter15);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    java.lang.String str6 = offsetDateTimeField4.getAsShortText(2419199999L);
    long long8 = offsetDateTimeField4.roundHalfCeiling(2419199999L);
    long long10 = offsetDateTimeField4.roundCeiling(0L);
    org.joda.time.chrono.GregorianChronology gregorianChronology11 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField12 = gregorianChronology11.days();
    org.joda.time.DateTimeField dateTimeField13 = gregorianChronology11.millisOfDay();
    org.joda.time.DateTimeField dateTimeField14 = gregorianChronology11.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone15 = gregorianChronology11.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone20 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i22 = fixedDateTimeZone20.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology23 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone20);
    org.joda.time.DateTimeZone dateTimeZone24 = iSOChronology23.getZone();
    org.joda.time.Chronology chronology25 = gregorianChronology11.withZone(dateTimeZone24);
    org.joda.time.chrono.GregorianChronology gregorianChronology27 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology28 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology27);
    org.joda.time.LocalDate localDate29 = new org.joda.time.LocalDate(0L, chronology28);
    org.joda.time.LocalDate.Property property30 = localDate29.monthOfYear();
    org.joda.time.LocalDate.Property property31 = localDate29.yearOfCentury();
    int i32 = localDate29.getDayOfYear();
    long long34 = gregorianChronology11.set((org.joda.time.ReadablePartial)localDate29, (-86400000L));
    int i35 = offsetDateTimeField4.getMinimumValue((org.joda.time.ReadablePartial)localDate29);
    // The following exception was thrown during execution in test generation
    try {
      long long38 = offsetDateTimeField4.add(62134732800001L, 62229427199910L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "54"+ "'", str6.equals("54"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 2419200001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 31);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendCenturyOfEra((-10), 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    // The following exception was thrown during execution in test generation
    try {
      long long45 = unsupportedDateTimeField43.roundHalfCeiling(7542719913563999989L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology2 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField3 = gregorianChronology2.days();
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology2.millisOfDay();
    org.joda.time.DateTimeField dateTimeField5 = gregorianChronology2.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone6 = gregorianChronology2.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone11 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i13 = fixedDateTimeZone11.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology14 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone11);
    org.joda.time.DateTimeZone dateTimeZone15 = iSOChronology14.getZone();
    org.joda.time.Chronology chronology16 = gregorianChronology2.withZone(dateTimeZone15);
    org.joda.time.DateTimeField dateTimeField17 = gregorianChronology2.hourOfHalfday();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone22 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i24 = fixedDateTimeZone22.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone22);
    int i27 = fixedDateTimeZone22.getOffsetFromLocal(0L);
    org.joda.time.Chronology chronology28 = gregorianChronology2.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone22);
    org.joda.time.MonthDay monthDay29 = new org.joda.time.MonthDay(chronology28);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay30 = new org.joda.time.MonthDay((-3), 20, chronology28);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology28);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.tTimeNoMillis();
    boolean b6 = localDate3.equals((java.lang.Object)dateTimeFormatter5);
    org.joda.time.LocalDate.Property property7 = localDate3.weekyear();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone12 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i14 = fixedDateTimeZone12.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay15 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    org.joda.time.chrono.GregorianChronology gregorianChronology17 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology18 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology17);
    org.joda.time.LocalDate localDate19 = new org.joda.time.LocalDate(0L, chronology18);
    java.lang.String str20 = localDate19.toString();
    org.joda.time.PeriodType periodType21 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months22 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period23 = months22.toPeriod();
    org.joda.time.DurationFieldType durationFieldType24 = months22.getFieldType();
    int i25 = periodType21.indexOf(durationFieldType24);
    boolean b26 = localDate19.isSupported(durationFieldType24);
    org.joda.time.MonthDay monthDay28 = monthDay15.withFieldAdded(durationFieldType24, 100);
    // The following exception was thrown during execution in test generation
    try {
      int i29 = localDate3.compareTo((org.joda.time.ReadablePartial)monthDay28);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "1969-12-31"+ "'", str20.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay28);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicTimeNoMillis();
    org.joda.time.ReadWritableInstant readWritableInstant1 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i4 = dateTimeFormatter0.parseInto(readWritableInstant1, "", 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder1 = dateTimeFormatterBuilder0.appendEraText();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder1.appendDayOfYear((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder1);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    java.lang.Object obj7 = null;
    org.joda.time.MonthDay monthDay8 = new org.joda.time.MonthDay(obj7);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Months months9 = org.joda.time.Months.monthsBetween((org.joda.time.ReadablePartial)localDate3, (org.joda.time.ReadablePartial)monthDay8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder2 = dateTimeFormatterBuilder0.appendHourOfDay(1);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendYearOfEra(2000, 4);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendDayOfMonth(3);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder7.appendHourOfHalfday((-12));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.joda.time.DateTimeUtils.setCurrentMillisSystem();

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology7.getZone();
    java.util.Locale locale10 = null;
    java.lang.String str11 = dateTimeZone8.getShortName(227210054400000100L, locale10);
    long long14 = dateTimeZone8.convertLocalToUTC(94527403210829L, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "-00:00:00.001"+ "'", str11.equals("-00:00:00.001"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 94527403210830L);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.weekyearOfCentury();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology7.millisOfDay();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeZone dateTimeZone19 = iSOChronology18.getZone();
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, dateTimeZone19);
    org.joda.time.chrono.ZonedChronology zonedChronology21 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology7, dateTimeZone19);
    org.joda.time.DateTimeZone dateTimeZone22 = zonedChronology21.getZone();
    java.lang.String str23 = dateTimeZone22.getID();
    long long26 = dateTimeZone22.convertLocalToUTC(99L, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + ""+ "'", str23.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 100L);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    int i15 = offsetDateTimeField13.getLeapAmount(2419199999L);
    long long17 = offsetDateTimeField13.roundHalfEven(2419199999L);
    org.joda.time.LocalDate localDate19 = new org.joda.time.LocalDate(10L);
    org.joda.time.chrono.GregorianChronology gregorianChronology21 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology22 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology21);
    org.joda.time.LocalDate localDate23 = new org.joda.time.LocalDate(0L, chronology22);
    org.joda.time.LocalDate.Property property24 = localDate23.monthOfYear();
    boolean b25 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate23);
    java.lang.String str26 = localDate23.toString();
    int[] i_array27 = localDate23.getValues();
    int i28 = offsetDateTimeField13.getMinimumValue((org.joda.time.ReadablePartial)localDate19, i_array27);
    org.joda.time.DateTime dateTime29 = localDate19.toDateTimeAtStartOfDay();
    org.joda.time.MonthDay monthDay31 = new org.joda.time.MonthDay(1L);
    org.joda.time.ReadablePeriod readablePeriod32 = null;
    org.joda.time.MonthDay monthDay34 = monthDay31.withPeriodAdded(readablePeriod32, 4);
    // The following exception was thrown during execution in test generation
    try {
      boolean b35 = localDate19.isAfter((org.joda.time.ReadablePartial)monthDay31);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "1969-12-31"+ "'", str26.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay34);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    // The following exception was thrown during execution in test generation
    try {
      long long45 = unsupportedDateTimeField43.roundCeiling((-950399999L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.joda.time.format.DateTimeFormat.patternForStyle("", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    java.lang.Number number1 = null;
    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("08:05:54.174", number1, number2, (java.lang.Number)(byte)1);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for 08:05:54.174 must not be larger than 1"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value null for 08:05:54.174 must not be larger than 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)1+ "'", number7.equals((byte)1));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    int i9 = fixedDateTimeZone4.getStandardOffset(100L);
    long long11 = fixedDateTimeZone4.nextTransition((-259199999L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == (-259199999L));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.joda.time.format.PeriodFormatterBuilder periodFormatterBuilder0 = new org.joda.time.format.PeriodFormatterBuilder();
    org.joda.time.format.PeriodFormatterBuilder periodFormatterBuilder1 = periodFormatterBuilder0.printZeroRarelyFirst();
    org.joda.time.format.PeriodFormatterBuilder periodFormatterBuilder2 = periodFormatterBuilder0.printZeroIfSupported();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatterBuilder1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatterBuilder2);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    java.io.InputStream inputStream0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(inputStream0, "1900-12-22");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getRangeDurationField();
    org.joda.time.chrono.GregorianChronology gregorianChronology45 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField46 = gregorianChronology45.days();
    org.joda.time.DateTimeField dateTimeField47 = gregorianChronology45.millisOfDay();
    org.joda.time.DateTimeField dateTimeField48 = gregorianChronology45.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone49 = gregorianChronology45.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone54 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i56 = fixedDateTimeZone54.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone54);
    org.joda.time.DateTimeZone dateTimeZone58 = iSOChronology57.getZone();
    org.joda.time.Chronology chronology59 = gregorianChronology45.withZone(dateTimeZone58);
    org.joda.time.DateTimeField dateTimeField60 = gregorianChronology45.hourOfHalfday();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone65 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i67 = fixedDateTimeZone65.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone65);
    int i70 = fixedDateTimeZone65.getOffsetFromLocal(0L);
    org.joda.time.Chronology chronology71 = gregorianChronology45.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone65);
    org.joda.time.MonthDay monthDay72 = new org.joda.time.MonthDay(chronology71);
    java.util.Locale locale74 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str75 = unsupportedDateTimeField43.getAsText((org.joda.time.ReadablePartial)monthDay72, (-12), locale74);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology71);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateTimeNoMillis();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalTime localTime2 = dateTimeFormatter0.parseLocalTime("3938");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder2 = dateTimeFormatterBuilder0.appendHourOfDay(1);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendYearOfEra(2000, 4);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendDayOfMonth(3);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder0.appendTimeZoneName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder0.appendDayOfMonth(104);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder16 = dateTimeFormatterBuilder0.appendTimeZoneOffset("T00:00:00-00:00:00.001", "P1D", false, 86400000, 1970);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period1 = months0.toPeriod();
    org.joda.time.DurationFieldType durationFieldType2 = months0.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField4 = new org.joda.time.field.PreciseDurationField(durationFieldType2, (-8730000001L));
    long long7 = preciseDurationField4.getMillis((-863999990L), 0L);
    java.lang.String str8 = preciseDurationField4.getName();
    long long9 = preciseDurationField4.getUnitMillis();
    long long12 = preciseDurationField4.add(2440487L, 12);
    long long15 = preciseDurationField4.getValueAsLong(0L, 94527403210830L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "months"+ "'", str8.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-8730000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-104757559525L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology2 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology2);
    org.joda.time.LocalDate localDate4 = new org.joda.time.LocalDate(0L, chronology3);
    org.joda.time.LocalDate.Property property5 = localDate4.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter6 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str7 = localDate4.toString(dateTimeFormatter6);
    org.joda.time.DateTimeZone dateTimeZone9 = null;
    org.joda.time.LocalDate localDate10 = new org.joda.time.LocalDate(0L, dateTimeZone9);
    boolean b11 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate10);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone16 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i18 = fixedDateTimeZone16.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone16);
    int i21 = fixedDateTimeZone16.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight22 = localDate10.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone16);
    org.joda.time.DateMidnight dateMidnight23 = localDate4.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone16);
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = null;
    boolean b25 = localDate4.isSupported(dateTimeFieldType24);
    org.joda.time.DateTime dateTime26 = localDate4.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone27 = null;
    org.joda.time.chrono.ISOChronology iSOChronology28 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone27);
    org.joda.time.DateTimeField dateTimeField29 = iSOChronology28.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField31 = new org.joda.time.field.OffsetDateTimeField(dateTimeField29, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = offsetDateTimeField31.getType();
    boolean b33 = localDate4.isSupported(dateTimeFieldType32);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField35 = new org.joda.time.field.DividedDateTimeField(dateTimeField0, dateTimeFieldType32, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "1969-12"+ "'", str7.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    java.util.Locale locale15 = null;
    java.lang.String str16 = offsetDateTimeField13.getAsText((-8643600001L), locale15);
    long long19 = offsetDateTimeField13.add(2419199998L, 2440615L);
    java.util.Locale locale22 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long23 = offsetDateTimeField13.set(62135596800000L, "3938", locale22);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "100"+ "'", str16.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 77018372899199998L);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone12 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology13 = iSOChronology0.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    long long17 = fixedDateTimeZone12.convertLocalToUTC((-1L), true, (-1L));
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone18 = org.joda.time.tz.CachedDateTimeZone.forZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    java.lang.String str20 = fixedDateTimeZone12.getNameKey(227210054400000100L);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter21 = org.joda.time.format.ISODateTimeFormat.weekyear();
    boolean b22 = fixedDateTimeZone12.equals((java.lang.Object)dateTimeFormatter21);
    java.util.Locale locale23 = dateTimeFormatter21.getLocale();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(locale23);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.joda.time.MonthDay monthDay0 = org.joda.time.MonthDay.now();
    org.joda.time.MonthDay monthDay2 = monthDay0.plusMonths(1);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay4 = monthDay2.withDayOfMonth(36500);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay2);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-7));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    org.joda.time.chrono.GregorianChronology gregorianChronology46 = org.joda.time.chrono.GregorianChronology.getInstance();
    int i47 = gregorianChronology46.getMinimumDaysInFirstWeek();
    org.joda.time.MonthDay monthDay48 = new org.joda.time.MonthDay(227210054400000100L, (org.joda.time.Chronology)gregorianChronology46);
    java.util.Locale locale49 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str50 = unsupportedDateTimeField43.getAsText((org.joda.time.ReadablePartial)monthDay48, locale49);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 4);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    boolean b24 = unsupportedDurationField23.isSupported();
    boolean b25 = unsupportedDurationField23.isPrecise();
    // The following exception was thrown during execution in test generation
    try {
      long long28 = unsupportedDurationField23.getValueAsLong(0L, 2419199998L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    org.joda.time.DurationField durationField45 = unsupportedDateTimeField43.getDurationField();
    java.util.Locale locale48 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long49 = unsupportedDateTimeField43.set((-210858119999999L), "00:00:00.099", locale48);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField45);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateParser();
    java.util.Locale locale1 = dateTimeFormatter0.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = dateTimeFormatter0.print(62134732800001L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(locale1);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.weekyearOfCentury();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology7.millisOfDay();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeZone dateTimeZone19 = iSOChronology18.getZone();
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, dateTimeZone19);
    org.joda.time.chrono.ZonedChronology zonedChronology21 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology7, dateTimeZone19);
    java.lang.String str22 = zonedChronology21.toString();
    org.joda.time.chrono.GregorianChronology gregorianChronology23 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField24 = gregorianChronology23.days();
    org.joda.time.DateTimeField dateTimeField25 = gregorianChronology23.millisOfDay();
    org.joda.time.DateTimeField dateTimeField26 = gregorianChronology23.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone27 = gregorianChronology23.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone32 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i34 = fixedDateTimeZone32.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology35 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone32);
    org.joda.time.DateTimeZone dateTimeZone36 = iSOChronology35.getZone();
    org.joda.time.Chronology chronology37 = gregorianChronology23.withZone(dateTimeZone36);
    org.joda.time.DateTimeField dateTimeField38 = gregorianChronology23.hourOfHalfday();
    boolean b39 = zonedChronology21.equals((java.lang.Object)dateTimeField38);
    // The following exception was thrown during execution in test generation
    try {
      long long44 = zonedChronology21.getDateTimeMillis((-15382898), 2010, (-3), 130);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "ZonedChronology[ISOChronology[UTC], ]"+ "'", str22.equals("ZonedChronology[ISOChronology[UTC], ]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DateTimeZone dateTimeZone8 = iSOChronology7.getZone();
    org.joda.time.Chronology chronology9 = iSOChronology7.withUTC();
    org.joda.time.DateTimeZone dateTimeZone10 = org.joda.time.DateTimeZone.UTC;
    org.joda.time.Chronology chronology11 = iSOChronology7.withZone(dateTimeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder2 = dateTimeFormatterBuilder0.appendHourOfDay(1);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendYearOfEra(2000, 4);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendDayOfMonth(3);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder0.appendTimeZoneName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder8.appendTwoDigitWeekyear(4, true);
    dateTimeFormatterBuilder8.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder11);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.ordinalDateTime();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDateTime localDateTime2 = dateTimeFormatter0.parseLocalDateTime("P0000-W00-00T00:00:00");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    boolean b24 = unsupportedDurationField23.isSupported();
    org.joda.time.chrono.GregorianChronology gregorianChronology26 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology27 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology26);
    org.joda.time.LocalDate localDate28 = new org.joda.time.LocalDate(0L, chronology27);
    org.joda.time.LocalDate.Property property29 = localDate28.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter30 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str31 = localDate28.toString(dateTimeFormatter30);
    org.joda.time.DateTimeZone dateTimeZone33 = null;
    org.joda.time.LocalDate localDate34 = new org.joda.time.LocalDate(0L, dateTimeZone33);
    boolean b35 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate34);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone40 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i42 = fixedDateTimeZone40.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone40);
    int i45 = fixedDateTimeZone40.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight46 = localDate34.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone40);
    org.joda.time.DateMidnight dateMidnight47 = localDate28.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone40);
    org.joda.time.DateTimeFieldType dateTimeFieldType48 = null;
    boolean b49 = localDate28.isSupported(dateTimeFieldType48);
    org.joda.time.DateTime dateTime50 = localDate28.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone51 = null;
    org.joda.time.chrono.ISOChronology iSOChronology52 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone51);
    org.joda.time.DateTimeField dateTimeField53 = iSOChronology52.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField55 = new org.joda.time.field.OffsetDateTimeField(dateTimeField53, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType56 = offsetDateTimeField55.getType();
    boolean b57 = localDate28.isSupported(dateTimeFieldType56);
    boolean b58 = unsupportedDurationField23.equals((java.lang.Object)dateTimeFieldType56);
    // The following exception was thrown during execution in test generation
    try {
      long long60 = unsupportedDurationField23.getMillis((-8730000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "1969-12"+ "'", str31.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.DateTimeFormat.forPattern("31");
    java.io.Writer writer2 = null;
    org.joda.time.DateTimeZone dateTimeZone3 = null;
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone3);
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField7 = new org.joda.time.field.OffsetDateTimeField(dateTimeField5, 31);
    org.joda.time.DurationField durationField8 = offsetDateTimeField7.getDurationField();
    org.joda.time.MonthDay monthDay10 = new org.joda.time.MonthDay(1L);
    org.joda.time.ReadablePeriod readablePeriod11 = null;
    org.joda.time.MonthDay monthDay13 = monthDay10.withPeriodAdded(readablePeriod11, 4);
    org.joda.time.MonthDay monthDay15 = monthDay10.plusMonths(100);
    int i16 = offsetDateTimeField7.getMinimumValue((org.joda.time.ReadablePartial)monthDay15);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter1.printTo(writer2, (org.joda.time.ReadablePartial)monthDay15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 31);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.LocalDate localDate2 = new org.joda.time.LocalDate(0L, dateTimeZone1);
    org.joda.time.LocalDate localDate4 = localDate2.withDayOfWeek(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate4);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    java.lang.String str4 = localDate3.toString();
    org.joda.time.LocalDate.Property property5 = localDate3.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone6);
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField10 = new org.joda.time.field.OffsetDateTimeField(dateTimeField8, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = offsetDateTimeField10.getType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType11, (java.lang.Number)(-104757559525L), (java.lang.Number)2419199999L, (java.lang.Number)104);
    // The following exception was thrown during execution in test generation
    try {
      int i16 = localDate3.get(dateTimeFieldType11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1969-12-31"+ "'", str4.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType11);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(62134732799910L);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DateTimeZone dateTimeZone44 = null;
    org.joda.time.chrono.ISOChronology iSOChronology45 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone44);
    org.joda.time.DateTimeField dateTimeField46 = iSOChronology45.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField48 = new org.joda.time.field.OffsetDateTimeField(dateTimeField46, 31);
    java.lang.String str50 = offsetDateTimeField48.getAsShortText(2419199999L);
    long long52 = offsetDateTimeField48.roundHalfCeiling(2419199999L);
    long long54 = offsetDateTimeField48.roundCeiling(0L);
    org.joda.time.chrono.GregorianChronology gregorianChronology55 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField56 = gregorianChronology55.days();
    org.joda.time.DateTimeField dateTimeField57 = gregorianChronology55.millisOfDay();
    org.joda.time.DateTimeField dateTimeField58 = gregorianChronology55.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone59 = gregorianChronology55.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone64 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i66 = fixedDateTimeZone64.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology67 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone64);
    org.joda.time.DateTimeZone dateTimeZone68 = iSOChronology67.getZone();
    org.joda.time.Chronology chronology69 = gregorianChronology55.withZone(dateTimeZone68);
    org.joda.time.chrono.GregorianChronology gregorianChronology71 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology72 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology71);
    org.joda.time.LocalDate localDate73 = new org.joda.time.LocalDate(0L, chronology72);
    org.joda.time.LocalDate.Property property74 = localDate73.monthOfYear();
    org.joda.time.LocalDate.Property property75 = localDate73.yearOfCentury();
    int i76 = localDate73.getDayOfYear();
    long long78 = gregorianChronology55.set((org.joda.time.ReadablePartial)localDate73, (-86400000L));
    int i79 = offsetDateTimeField48.getMinimumValue((org.joda.time.ReadablePartial)localDate73);
    java.util.Locale locale81 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str82 = unsupportedDateTimeField43.getAsText((org.joda.time.ReadablePartial)localDate73, (-863999990), locale81);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "54"+ "'", str50.equals("54"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long52 == 2419200001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long54 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long78 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 31);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    org.joda.time.chrono.GregorianChronology gregorianChronology9 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology10 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology9);
    org.joda.time.LocalDate localDate11 = new org.joda.time.LocalDate(0L, chronology10);
    org.joda.time.LocalDate.Property property12 = localDate11.monthOfYear();
    org.joda.time.LocalDate localDate14 = localDate11.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone16 = null;
    org.joda.time.LocalDate localDate17 = new org.joda.time.LocalDate(0L, dateTimeZone16);
    boolean b18 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate17);
    boolean b19 = localDate11.equals((java.lang.Object)localDate17);
    org.joda.time.chrono.GregorianChronology gregorianChronology21 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology22 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology21);
    org.joda.time.LocalDate localDate23 = new org.joda.time.LocalDate(0L, chronology22);
    java.lang.String str24 = localDate23.toString();
    boolean b25 = localDate11.isBefore((org.joda.time.ReadablePartial)localDate23);
    boolean b26 = localDate5.isBefore((org.joda.time.ReadablePartial)localDate11);
    org.joda.time.Interval interval27 = localDate5.toInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "1969-12-31"+ "'", str24.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(interval27);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    org.joda.time.DurationField durationField45 = unsupportedDateTimeField43.getDurationField();
    // The following exception was thrown during execution in test generation
    try {
      long long48 = unsupportedDateTimeField43.set(103723200012L, "YearDayTime");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField45);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset(99L);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay7 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone12 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i14 = fixedDateTimeZone12.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology15 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    org.joda.time.DateTimeField dateTimeField16 = iSOChronology15.weekyearOfCentury();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology15.millisOfDay();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone23 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i25 = fixedDateTimeZone23.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology26 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone23);
    org.joda.time.DateTimeZone dateTimeZone27 = iSOChronology26.getZone();
    org.joda.time.LocalDate localDate28 = new org.joda.time.LocalDate(0L, dateTimeZone27);
    org.joda.time.chrono.ZonedChronology zonedChronology29 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)iSOChronology15, dateTimeZone27);
    long long31 = fixedDateTimeZone4.getMillisKeepLocal(dateTimeZone27, 0L);
    org.joda.time.DateTimeZone.setDefault(dateTimeZone27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 0L);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1L), 2440588L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2440587L);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    org.joda.time.DurationField durationField45 = unsupportedDateTimeField43.getDurationField();
    // The following exception was thrown during execution in test generation
    try {
      long long47 = unsupportedDateTimeField43.roundHalfEven(99L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField45);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    org.joda.time.DurationField durationField45 = unsupportedDateTimeField43.getDurationField();
    // The following exception was thrown during execution in test generation
    try {
      long long48 = unsupportedDateTimeField43.set(86400000L, "69");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField45);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay7 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.chrono.GregorianChronology gregorianChronology9 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology10 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology9);
    org.joda.time.LocalDate localDate11 = new org.joda.time.LocalDate(0L, chronology10);
    java.lang.String str12 = localDate11.toString();
    org.joda.time.PeriodType periodType13 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months14 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period15 = months14.toPeriod();
    org.joda.time.DurationFieldType durationFieldType16 = months14.getFieldType();
    int i17 = periodType13.indexOf(durationFieldType16);
    boolean b18 = localDate11.isSupported(durationFieldType16);
    org.joda.time.MonthDay monthDay20 = monthDay7.withFieldAdded(durationFieldType16, 100);
    org.joda.time.DateTimeZone dateTimeZone21 = null;
    org.joda.time.chrono.ISOChronology iSOChronology22 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone21);
    org.joda.time.DateTimeField dateTimeField23 = iSOChronology22.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField25 = new org.joda.time.field.OffsetDateTimeField(dateTimeField23, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = offsetDateTimeField25.getType();
    boolean b27 = monthDay20.isSupported(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1969-12-31"+ "'", str12.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    org.joda.time.DurationField durationField45 = unsupportedDateTimeField43.getDurationField();
    boolean b46 = unsupportedDateTimeField43.isLenient();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str48 = unsupportedDateTimeField43.getAsShortText(1037232000120L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);

  }

  @Test
  public void test428() {}
// Defects4J: flaky method
//   @Test
//   public void test428() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.MonthDay monthDay1 = new org.joda.time.MonthDay((org.joda.time.Chronology)gregorianChronology0);
//     int i2 = monthDay1.getMonthOfYear();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTimeFieldType dateTimeFieldType4 = monthDay1.getFieldType(18);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 2);
// 
//   }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(2000, 18, 0, (-3));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField4 = new org.joda.time.field.OffsetDateTimeField(dateTimeField2, 31);
    org.joda.time.DurationField durationField5 = offsetDateTimeField4.getDurationField();
    int i7 = offsetDateTimeField4.getMinimumValue(0L);
    boolean b9 = offsetDateTimeField4.isLeap(2440615L);
    int i10 = offsetDateTimeField4.getOffset();
    java.util.Locale locale11 = null;
    int i12 = offsetDateTimeField4.getMaximumTextLength(locale11);
    // The following exception was thrown during execution in test generation
    try {
      long long15 = offsetDateTimeField4.add(77018372899199999L, 94527403210828L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("54");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDate();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withDefaultYear(0);
    java.io.Writer writer3 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology5 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology6 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology5);
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, chronology6);
    org.joda.time.LocalDate.Property property8 = localDate7.monthOfYear();
    org.joda.time.LocalDate localDate10 = localDate7.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone12 = null;
    org.joda.time.LocalDate localDate13 = new org.joda.time.LocalDate(0L, dateTimeZone12);
    boolean b14 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate13);
    boolean b15 = localDate7.equals((java.lang.Object)localDate13);
    org.joda.time.chrono.GregorianChronology gregorianChronology17 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology18 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology17);
    org.joda.time.LocalDate localDate19 = new org.joda.time.LocalDate(0L, chronology18);
    java.lang.String str20 = localDate19.toString();
    boolean b21 = localDate7.isBefore((org.joda.time.ReadablePartial)localDate19);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = null;
    boolean b23 = localDate19.isSupported(dateTimeFieldType22);
    org.joda.time.LocalDate.Property property24 = localDate19.dayOfYear();
    org.joda.time.LocalDate localDate26 = localDate19.minusDays((-3));
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer3, (org.joda.time.ReadablePartial)localDate26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "1969-12-31"+ "'", str20.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate26);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDate();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withDefaultYear(0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = dateTimeFormatter0.parseMillis("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DurationField durationField2 = iSOChronology0.days();
    org.joda.time.MonthDay monthDay3 = org.joda.time.MonthDay.now((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.dayOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.joda.time.DateTimeZone dateTimeZone1 = null;
    org.joda.time.LocalDate localDate2 = new org.joda.time.LocalDate(0L, dateTimeZone1);
    boolean b3 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate2);
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.DateTime dateTime5 = localDate2.toDateTime(readableInstant4);
    org.joda.time.chrono.GregorianChronology gregorianChronology7 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology7);
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, chronology8);
    org.joda.time.LocalDate.Property property10 = localDate9.monthOfYear();
    org.joda.time.LocalDate.Property property11 = localDate9.yearOfCentury();
    int i12 = localDate9.size();
    int[] i_array13 = localDate9.getValues();
    org.joda.time.LocalDate localDate14 = localDate2.withFields((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.DateTime dateTime15 = localDate9.toDateTimeAtStartOfDay();
    long long16 = org.joda.time.DateTimeUtils.getInstantMillis((org.joda.time.ReadableInstant)dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-86399999L));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    org.joda.time.DurationField durationField45 = unsupportedDateTimeField43.getDurationField();
    boolean b46 = unsupportedDateTimeField43.isLenient();
    java.util.Locale locale48 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str49 = unsupportedDateTimeField43.getAsText(10827L, locale48);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.days();
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.millisOfDay();
    org.joda.time.DateTimeField dateTimeField3 = gregorianChronology0.yearOfCentury();
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology0.centuryOfEra();
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField4, 365, (-3), 1969);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder11 = dateTimeFormatterBuilder9.appendHourOfDay(1);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder14 = dateTimeFormatterBuilder9.appendYearOfEra(2000, 4);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder16 = dateTimeFormatterBuilder9.appendMonthOfYear(2);
    org.joda.time.chrono.GregorianChronology gregorianChronology18 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology18);
    org.joda.time.LocalDate localDate20 = new org.joda.time.LocalDate(0L, chronology19);
    org.joda.time.LocalDate.Property property21 = localDate20.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter22 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str23 = localDate20.toString(dateTimeFormatter22);
    org.joda.time.DateTimeZone dateTimeZone25 = null;
    org.joda.time.LocalDate localDate26 = new org.joda.time.LocalDate(0L, dateTimeZone25);
    boolean b27 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate26);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone32 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i34 = fixedDateTimeZone32.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone32);
    int i37 = fixedDateTimeZone32.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight38 = localDate26.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone32);
    org.joda.time.DateMidnight dateMidnight39 = localDate20.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone32);
    org.joda.time.DateTimeFieldType dateTimeFieldType40 = null;
    boolean b41 = localDate20.isSupported(dateTimeFieldType40);
    org.joda.time.DateTime dateTime42 = localDate20.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone43 = null;
    org.joda.time.chrono.ISOChronology iSOChronology44 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone43);
    org.joda.time.DateTimeField dateTimeField45 = iSOChronology44.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField47 = new org.joda.time.field.OffsetDateTimeField(dateTimeField45, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType48 = offsetDateTimeField47.getType();
    boolean b49 = localDate20.isSupported(dateTimeFieldType48);
    org.joda.time.Months months50 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period51 = months50.toPeriod();
    org.joda.time.DurationFieldType durationFieldType52 = months50.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField54 = new org.joda.time.field.PreciseDurationField(durationFieldType52, (-8730000001L));
    long long57 = preciseDurationField54.getMillis((-863999990L), 0L);
    java.lang.String str58 = preciseDurationField54.getName();
    java.lang.String str59 = preciseDurationField54.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField60 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType48, (org.joda.time.DurationField)preciseDurationField54);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder62 = dateTimeFormatterBuilder16.appendFixedDecimal(dateTimeFieldType48, 1970);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField66 = new org.joda.time.field.OffsetDateTimeField(dateTimeField4, dateTimeFieldType48, 19, 1969, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1969-12"+ "'", str23.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long57 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "months"+ "'", str58.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "DurationField[months]"+ "'", str59.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder62);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.localDateOptionalTimeParser();
    java.lang.Integer i2 = dateTimeFormatter1.getPivotYear();
    org.joda.time.MonthDay monthDay3 = org.joda.time.MonthDay.parse("54", dateTimeFormatter1);
    org.joda.time.chrono.ISOChronology iSOChronology4 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField5 = iSOChronology4.clockhourOfHalfday();
    boolean b7 = iSOChronology4.equals((java.lang.Object)100.0f);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone12 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.MonthDay monthDay13 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    long long16 = fixedDateTimeZone12.adjustOffset(10L, true);
    org.joda.time.Chronology chronology17 = iSOChronology4.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    org.joda.time.MonthDay monthDay18 = monthDay3.withChronologyRetainFields((org.joda.time.Chronology)iSOChronology4);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeField dateTimeField20 = monthDay18.getField((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay18);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology0);
    int i2 = gregorianChronology0.getMinimumDaysInFirstWeek();
    org.joda.time.DateTimeField dateTimeField3 = gregorianChronology0.millisOfDay();
    // The following exception was thrown during execution in test generation
    try {
      long long8 = gregorianChronology0.getDateTimeMillis(31, 86400000, 0, 1);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "hourOfDay");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology2 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField3 = gregorianChronology2.days();
    org.joda.time.DateTimeField dateTimeField4 = gregorianChronology2.millisOfDay();
    org.joda.time.DateTimeField dateTimeField5 = gregorianChronology2.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone6 = gregorianChronology2.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone11 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i13 = fixedDateTimeZone11.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology14 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone11);
    org.joda.time.DateTimeZone dateTimeZone15 = iSOChronology14.getZone();
    org.joda.time.Chronology chronology16 = gregorianChronology2.withZone(dateTimeZone15);
    org.joda.time.DateTimeField dateTimeField17 = gregorianChronology2.weekyear();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay18 = new org.joda.time.MonthDay(54, 12, (org.joda.time.Chronology)gregorianChronology2);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months1 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months3 = months1.multipliedBy(10);
    boolean b4 = months0.isGreaterThan(months1);
    org.joda.time.Months months5 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months6 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months8 = months6.multipliedBy(10);
    boolean b9 = months5.isGreaterThan(months6);
    boolean b10 = months1.equals((java.lang.Object)b9);
    org.joda.time.chrono.GregorianChronology gregorianChronology12 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology12);
    org.joda.time.LocalDate localDate14 = new org.joda.time.LocalDate(0L, chronology13);
    java.lang.String str15 = localDate14.toString();
    org.joda.time.PeriodType periodType16 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months17 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period18 = months17.toPeriod();
    org.joda.time.DurationFieldType durationFieldType19 = months17.getFieldType();
    int i20 = periodType16.indexOf(durationFieldType19);
    boolean b21 = localDate14.isSupported(durationFieldType19);
    boolean b22 = months1.isSupported(durationFieldType19);
    org.joda.time.field.PreciseDurationField preciseDurationField24 = new org.joda.time.field.PreciseDurationField(durationFieldType19, 103723200012L);
    // The following exception was thrown during execution in test generation
    try {
      long long27 = preciseDurationField24.add(7542719913563999989L, 62135596800000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1969-12-31"+ "'", str15.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone12 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology13 = iSOChronology0.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    long long17 = fixedDateTimeZone12.convertLocalToUTC((-1L), true, (-1L));
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone18 = org.joda.time.tz.CachedDateTimeZone.forZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    int i20 = cachedDateTimeZone18.getStandardOffset(2440615L);
    int i22 = cachedDateTimeZone18.getOffset(103723200012L);
    org.joda.time.chrono.GregorianChronology gregorianChronology23 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField24 = gregorianChronology23.days();
    org.joda.time.DateTimeField dateTimeField25 = gregorianChronology23.millisOfDay();
    org.joda.time.DateTimeField dateTimeField26 = gregorianChronology23.yearOfCentury();
    org.joda.time.DateTimeField dateTimeField27 = gregorianChronology23.weekyear();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay28 = new org.joda.time.MonthDay((java.lang.Object)i22, (org.joda.time.Chronology)gregorianChronology23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField27);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    boolean b11 = localDate3.equals((java.lang.Object)localDate9);
    org.joda.time.chrono.GregorianChronology gregorianChronology13 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology14 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology13);
    org.joda.time.LocalDate localDate15 = new org.joda.time.LocalDate(0L, chronology14);
    java.lang.String str16 = localDate15.toString();
    boolean b17 = localDate3.isBefore((org.joda.time.ReadablePartial)localDate15);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate19 = localDate15.withEra(100);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1969-12-31"+ "'", str16.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology3.clockhourOfHalfday();
    org.joda.time.MonthDay monthDay5 = new org.joda.time.MonthDay((-1L), (org.joda.time.Chronology)iSOChronology3);
    org.joda.time.DateTimeField dateTimeField6 = iSOChronology3.centuryOfEra();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology3.secondOfMinute();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay8 = new org.joda.time.MonthDay(0, 12, (org.joda.time.Chronology)iSOChronology3);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset(94527403210828L);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder2 = dateTimeFormatterBuilder0.appendHourOfDay(1);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendYearOfEra(2000, 4);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendSecondOfDay(3);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder0.appendTimeZoneOffset("16:06:00.348", true, 2000, (-3));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    // The following exception was thrown during execution in test generation
    try {
      long long47 = unsupportedDateTimeField43.set(0L, "16:05:56.828");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("00:00:00.099");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    int i15 = offsetDateTimeField13.getMinimumValue((-86399999L));
    java.lang.String str16 = offsetDateTimeField13.toString();
    long long18 = offsetDateTimeField13.roundCeiling(101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "DateTimeField[weekyearOfCentury]"+ "'", str16.equals("DateTimeField[weekyearOfCentury]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 31536000000L);

  }

  @Test
  public void test451() {}
// Defects4J: flaky method
//   @Test
//   public void test451() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
//     org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
//     org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
//     java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
//     org.joda.time.DateTimeZone dateTimeZone8 = null;
//     org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
//     boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
//     org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
//     int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
//     org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
//     int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
//     org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
//     org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
//     long long25 = fixedDateTimeZone15.convertLocalToUTC((-8730000001L), true);
//     org.joda.time.MonthDay monthDay26 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone15);
//     org.joda.time.chrono.GregorianChronology gregorianChronology27 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.DurationField durationField28 = gregorianChronology27.days();
//     org.joda.time.chrono.GregorianChronology gregorianChronology30 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.Chronology chronology31 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology30);
//     org.joda.time.LocalDate localDate32 = new org.joda.time.LocalDate(0L, chronology31);
//     org.joda.time.LocalDate.Property property33 = localDate32.monthOfYear();
//     boolean b34 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate32);
//     java.lang.String str35 = localDate32.toString();
//     org.joda.time.LocalDate localDate37 = localDate32.plusWeeks(4);
//     long long39 = gregorianChronology27.set((org.joda.time.ReadablePartial)localDate37, (-1L));
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter40 = org.joda.time.format.ISODateTimeFormat.dateTimeParser();
//     org.joda.time.format.DateTimeParser dateTimeParser41 = dateTimeFormatter40.getParser();
//     boolean b42 = gregorianChronology27.equals((java.lang.Object)dateTimeParser41);
//     org.joda.time.DateTimeZone dateTimeZone44 = org.joda.time.DateTimeZone.forOffsetMillis(100);
//     org.joda.time.MonthDay monthDay45 = new org.joda.time.MonthDay(dateTimeZone44);
//     long long47 = gregorianChronology27.set((org.joda.time.ReadablePartial)monthDay45, (-259199999L));
//     org.joda.time.DateTimeFieldType dateTimeFieldType49 = monthDay45.getFieldType(0);
//     org.joda.time.MonthDay.Property property50 = monthDay26.property(dateTimeFieldType49);
//     org.joda.time.DateTimeZone dateTimeZone52 = null;
//     org.joda.time.LocalDate localDate53 = new org.joda.time.LocalDate(0L, dateTimeZone52);
//     int i54 = localDate53.getDayOfMonth();
//     org.joda.time.chrono.GregorianChronology gregorianChronology56 = org.joda.time.chrono.GregorianChronology.getInstance();
//     org.joda.time.Chronology chronology57 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology56);
//     org.joda.time.LocalDate localDate58 = new org.joda.time.LocalDate(0L, chronology57);
//     org.joda.time.LocalDate.Property property59 = localDate58.monthOfYear();
//     boolean b60 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate58);
//     java.lang.String str61 = localDate58.toString();
//     int[] i_array62 = localDate58.getValues();
//     org.joda.time.LocalDate.Property property63 = localDate58.dayOfYear();
//     org.joda.time.Months months64 = org.joda.time.Months.MAX_VALUE;
//     org.joda.time.LocalDate localDate65 = localDate58.minus((org.joda.time.ReadablePeriod)months64);
//     boolean b66 = localDate53.isEqual((org.joda.time.ReadablePartial)localDate65);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i67 = monthDay26.compareTo((org.joda.time.ReadablePartial)localDate53);
//       org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
//     } catch (java.lang.ClassCastException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long25 == (-8730000000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(monthDay26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b34 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str35 + "' != '" + "1969-12-31"+ "'", str35.equals("1969-12-31"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long39 == 2419199999L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeParser41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long47 == (-12787199999L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i54 == 31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b60 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str61 + "' != '" + "1969-12-31"+ "'", str61.equals("1969-12-31"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(months64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDate65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b66 == false);
// 
//   }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("1970", "YearDayTimeNoMillis");

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.timeNoMillis();
    java.util.Locale locale2 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter1.withLocale(locale2);
    java.util.Locale locale4 = null;
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = dateTimeFormatter1.withLocale(locale4);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate6 = org.joda.time.LocalDate.parse("00:00:00.099", dateTimeFormatter5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone11 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i13 = fixedDateTimeZone11.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay14 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone11);
    org.joda.time.chrono.GregorianChronology gregorianChronology16 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology16);
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, chronology17);
    java.lang.String str19 = localDate18.toString();
    org.joda.time.PeriodType periodType20 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months21 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period22 = months21.toPeriod();
    org.joda.time.DurationFieldType durationFieldType23 = months21.getFieldType();
    int i24 = periodType20.indexOf(durationFieldType23);
    boolean b25 = localDate18.isSupported(durationFieldType23);
    org.joda.time.MonthDay monthDay27 = monthDay14.withFieldAdded(durationFieldType23, 100);
    org.joda.time.LocalDate localDate28 = localDate6.withFields((org.joda.time.ReadablePartial)monthDay27);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone34 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i36 = fixedDateTimeZone34.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone34);
    int i39 = fixedDateTimeZone34.getOffsetFromLocal(0L);
    int i41 = fixedDateTimeZone34.getOffsetFromLocal(0L);
    org.joda.time.LocalDate localDate42 = new org.joda.time.LocalDate((-863999990L), (org.joda.time.DateTimeZone)fixedDateTimeZone34);
    org.joda.time.Months months43 = org.joda.time.Months.monthsBetween((org.joda.time.ReadablePartial)localDate6, (org.joda.time.ReadablePartial)localDate42);
    org.joda.time.LocalDate localDate45 = localDate6.minusWeeks(0);
    int i47 = localDate45.getValue(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1969-12-31"+ "'", str19.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1969);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("org.joda.time.IllegalInstantException: Illegal instant due to time zone offset transition (daylight savings time 'gap'): 1970-01-01T00:00:00.010 (hi!)");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder2 = dateTimeFormatterBuilder0.appendHourOfDay(1);
    java.util.Map map3 = org.joda.time.DateTimeUtils.getDefaultTimeZoneNames();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder4 = dateTimeFormatterBuilder0.appendTimeZoneName(map3);
    org.joda.time.format.DateTimePrinter dateTimePrinter5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder0.append(dateTimePrinter5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(map3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder4);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone6 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i8 = fixedDateTimeZone6.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone6);
    int i11 = fixedDateTimeZone6.getOffsetFromLocal(0L);
    int i13 = fixedDateTimeZone6.getOffsetFromLocal(0L);
    org.joda.time.LocalDate localDate14 = new org.joda.time.LocalDate((-863999990L), (org.joda.time.DateTimeZone)fixedDateTimeZone6);
    boolean b15 = org.joda.time.field.FieldUtils.equals((java.lang.Object)62134732800001L, (java.lang.Object)localDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.time();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localDateOptionalTimeParser();
    java.lang.Integer i1 = dateTimeFormatter0.getPivotYear();
    java.lang.Appendable appendable2 = null;
    org.joda.time.ReadablePartial readablePartial3 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(appendable2, readablePartial3);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i1);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    double d1 = org.joda.time.DateTimeUtils.toJulianDay(77018372899199999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.938569405E8d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    org.joda.time.DurationField durationField45 = unsupportedDateTimeField43.getDurationField();
    boolean b46 = unsupportedDateTimeField43.isLenient();
    java.util.Locale locale48 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str49 = unsupportedDateTimeField43.getAsShortText(0, locale48);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone4 = null;
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(0L, dateTimeZone4);
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDate5, 0L);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone12 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.Chronology chronology13 = iSOChronology0.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    long long17 = fixedDateTimeZone12.convertLocalToUTC((-1L), true, (-1L));
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone18 = org.joda.time.tz.CachedDateTimeZone.forZone((org.joda.time.DateTimeZone)fixedDateTimeZone12);
    org.joda.time.LocalDate localDate19 = new org.joda.time.LocalDate((org.joda.time.DateTimeZone)cachedDateTimeZone18);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter20 = org.joda.time.format.ISODateTimeFormat.dateTimeParser();
    boolean b21 = cachedDateTimeZone18.equals((java.lang.Object)dateTimeFormatter20);
    long long23 = cachedDateTimeZone18.previousTransition(2419200001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 2419200001L);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    int i15 = offsetDateTimeField13.getLeapAmount(31536000000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicWeekDateTime();
    java.lang.Appendable appendable1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(appendable1, (-210858120000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.joda.time.Months months0 = org.joda.time.Months.TEN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate1 = new org.joda.time.LocalDate((java.lang.Object)(short)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.days();
    org.joda.time.DateTimeField dateTimeField2 = gregorianChronology0.millisOfDay();
    org.joda.time.DateTimeField dateTimeField3 = gregorianChronology0.yearOfCentury();
    org.joda.time.DateTimeZone dateTimeZone4 = gregorianChronology0.getZone();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone9 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i11 = fixedDateTimeZone9.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone9);
    org.joda.time.DateTimeZone dateTimeZone13 = iSOChronology12.getZone();
    org.joda.time.Chronology chronology14 = gregorianChronology0.withZone(dateTimeZone13);
    org.joda.time.DateTimeField dateTimeField15 = gregorianChronology0.weekyear();
    org.joda.time.chrono.GregorianChronology gregorianChronology17 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology18 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology17);
    org.joda.time.LocalDate localDate19 = new org.joda.time.LocalDate(0L, chronology18);
    org.joda.time.LocalDate.Property property20 = localDate19.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter21 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str22 = localDate19.toString(dateTimeFormatter21);
    org.joda.time.DateTimeZone dateTimeZone24 = null;
    org.joda.time.LocalDate localDate25 = new org.joda.time.LocalDate(0L, dateTimeZone24);
    boolean b26 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate25);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone31 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i33 = fixedDateTimeZone31.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone31);
    int i36 = fixedDateTimeZone31.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight37 = localDate25.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone31);
    org.joda.time.DateMidnight dateMidnight38 = localDate19.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone31);
    org.joda.time.DateTimeFieldType dateTimeFieldType39 = null;
    boolean b40 = localDate19.isSupported(dateTimeFieldType39);
    org.joda.time.DateTime dateTime41 = localDate19.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone42 = null;
    org.joda.time.chrono.ISOChronology iSOChronology43 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone42);
    org.joda.time.DateTimeField dateTimeField44 = iSOChronology43.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField46 = new org.joda.time.field.OffsetDateTimeField(dateTimeField44, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType47 = offsetDateTimeField46.getType();
    boolean b48 = localDate19.isSupported(dateTimeFieldType47);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField50 = new org.joda.time.field.RemainderDateTimeField(dateTimeField15, dateTimeFieldType47, 19);
    int i52 = remainderDateTimeField50.get(77018372899199998L);
    org.joda.time.chrono.GregorianChronology gregorianChronology54 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology55 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology54);
    org.joda.time.LocalDate localDate56 = new org.joda.time.LocalDate(0L, chronology55);
    org.joda.time.LocalDate.Property property57 = localDate56.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter58 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str59 = localDate56.toString(dateTimeFormatter58);
    org.joda.time.DateTimeZone dateTimeZone61 = null;
    org.joda.time.LocalDate localDate62 = new org.joda.time.LocalDate(0L, dateTimeZone61);
    boolean b63 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate62);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone68 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i70 = fixedDateTimeZone68.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone68);
    int i73 = fixedDateTimeZone68.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight74 = localDate62.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone68);
    org.joda.time.DateMidnight dateMidnight75 = localDate56.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone68);
    org.joda.time.DateTimeFieldType dateTimeFieldType76 = null;
    boolean b77 = localDate56.isSupported(dateTimeFieldType76);
    org.joda.time.DateTime dateTime78 = localDate56.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone79 = null;
    org.joda.time.chrono.ISOChronology iSOChronology80 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone79);
    org.joda.time.DateTimeField dateTimeField81 = iSOChronology80.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField83 = new org.joda.time.field.OffsetDateTimeField(dateTimeField81, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType84 = offsetDateTimeField83.getType();
    boolean b85 = localDate56.isSupported(dateTimeFieldType84);
    org.joda.time.field.DividedDateTimeField dividedDateTimeField86 = new org.joda.time.field.DividedDateTimeField(remainderDateTimeField50, dateTimeFieldType84);
    long long89 = dividedDateTimeField86.add(62134732800001L, (-4));
    int i90 = dividedDateTimeField86.getMaximumValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType91 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField92 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField86, dateTimeFieldType91);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "1969-12"+ "'", str22.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "1969-12"+ "'", str59.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long89 == 59736096000001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 15383104);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.joda.time.IllegalInstantException illegalInstantException2 = new org.joda.time.IllegalInstantException(100L, "31");

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    boolean b11 = localDate3.equals((java.lang.Object)localDate9);
    org.joda.time.LocalDate localDate13 = localDate9.withYear(12);
    org.joda.time.LocalTime localTime14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDateTime localDateTime15 = localDate9.toLocalDateTime(localTime14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate13);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.chrono.GregorianChronology gregorianChronology45 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology46 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology45);
    org.joda.time.LocalDate localDate47 = new org.joda.time.LocalDate(0L, chronology46);
    org.joda.time.DateTimeZone dateTimeZone49 = null;
    org.joda.time.chrono.ISOChronology iSOChronology50 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone49);
    org.joda.time.DateTimeField dateTimeField51 = iSOChronology50.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField53 = new org.joda.time.field.OffsetDateTimeField(dateTimeField51, 31);
    org.joda.time.DurationField durationField54 = offsetDateTimeField53.getDurationField();
    int i56 = offsetDateTimeField53.getMinimumValue(0L);
    long long58 = offsetDateTimeField53.remainder(100L);
    org.joda.time.chrono.GregorianChronology gregorianChronology60 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology61 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology60);
    org.joda.time.LocalDate localDate62 = new org.joda.time.LocalDate(0L, chronology61);
    org.joda.time.LocalDate.Property property63 = localDate62.monthOfYear();
    org.joda.time.chrono.GregorianChronology gregorianChronology65 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology65);
    org.joda.time.LocalDate localDate67 = new org.joda.time.LocalDate(0L, chronology66);
    org.joda.time.LocalDate.Property property68 = localDate67.monthOfYear();
    boolean b69 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate67);
    java.lang.String str70 = localDate67.toString();
    int[] i_array71 = localDate67.getValues();
    int i72 = offsetDateTimeField53.getMaximumValue((org.joda.time.ReadablePartial)localDate62, i_array71);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array74 = unsupportedDateTimeField43.set((org.joda.time.ReadablePartial)localDate47, 54, i_array71, 36500);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long58 == 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "1969-12-31"+ "'", str70.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 54);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder2 = dateTimeFormatterBuilder0.appendHourOfDay(1);
    java.util.Map map3 = org.joda.time.DateTimeUtils.getDefaultTimeZoneNames();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder4 = dateTimeFormatterBuilder0.appendTimeZoneName(map3);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder4.appendPattern("16:06:00.344");
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder4.appendSecondOfDay((-10));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(map3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i6 = fixedDateTimeZone4.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4);
    org.joda.time.DurationField durationField8 = iSOChronology7.halfdays();
    org.joda.time.DurationField durationField9 = iSOChronology7.hours();
    // The following exception was thrown during execution in test generation
    try {
      long long15 = iSOChronology7.getDateTimeMillis((-12787199999L), 3, 54, 1969, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField9);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.PeriodType periodType3 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period5 = months4.toPeriod();
    org.joda.time.DurationFieldType durationFieldType6 = months4.getFieldType();
    int i7 = periodType3.indexOf(durationFieldType6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException(durationFieldType6, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    boolean b14 = days0.isSupported(durationFieldType13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException(durationFieldType13, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField23 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType13);
    boolean b24 = unsupportedDurationField23.isSupported();
    org.joda.time.chrono.GregorianChronology gregorianChronology26 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology27 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology26);
    org.joda.time.LocalDate localDate28 = new org.joda.time.LocalDate(0L, chronology27);
    org.joda.time.LocalDate.Property property29 = localDate28.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter30 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str31 = localDate28.toString(dateTimeFormatter30);
    org.joda.time.DateTimeZone dateTimeZone33 = null;
    org.joda.time.LocalDate localDate34 = new org.joda.time.LocalDate(0L, dateTimeZone33);
    boolean b35 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate34);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone40 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i42 = fixedDateTimeZone40.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone40);
    int i45 = fixedDateTimeZone40.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight46 = localDate34.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone40);
    org.joda.time.DateMidnight dateMidnight47 = localDate28.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone40);
    org.joda.time.DateTimeFieldType dateTimeFieldType48 = null;
    boolean b49 = localDate28.isSupported(dateTimeFieldType48);
    org.joda.time.DateTime dateTime50 = localDate28.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone51 = null;
    org.joda.time.chrono.ISOChronology iSOChronology52 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone51);
    org.joda.time.DateTimeField dateTimeField53 = iSOChronology52.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField55 = new org.joda.time.field.OffsetDateTimeField(dateTimeField53, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType56 = offsetDateTimeField55.getType();
    boolean b57 = localDate28.isSupported(dateTimeFieldType56);
    boolean b58 = unsupportedDurationField23.equals((java.lang.Object)dateTimeFieldType56);
    boolean b59 = unsupportedDurationField23.isPrecise();
    // The following exception was thrown during execution in test generation
    try {
      int i61 = unsupportedDurationField23.getValue(2419200001L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "1969-12"+ "'", str31.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology0);
    int i2 = gregorianChronology0.getMinimumDaysInFirstWeek();
    org.joda.time.DateTimeField dateTimeField3 = gregorianChronology0.millisOfDay();
    // The following exception was thrown during execution in test generation
    try {
      long long8 = gregorianChronology0.getDateTimeMillis(0, 18, 0, (-1));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(28, (-12), (-12));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology0);
    int i2 = gregorianChronology0.getMinimumDaysInFirstWeek();
    org.joda.time.DateTimeField dateTimeField3 = gregorianChronology0.millisOfDay();
    org.joda.time.MonthDay monthDay4 = org.joda.time.MonthDay.now();
    org.joda.time.DateTimeZone dateTimeZone5 = null;
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone5);
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField9 = new org.joda.time.field.OffsetDateTimeField(dateTimeField7, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = offsetDateTimeField9.getType();
    int i11 = monthDay4.indexOf(dateTimeFieldType10);
    org.joda.time.field.ZeroIsMaxDateTimeField zeroIsMaxDateTimeField12 = new org.joda.time.field.ZeroIsMaxDateTimeField(dateTimeField3, dateTimeFieldType10);
    org.joda.time.DateTimeZone dateTimeZone14 = org.joda.time.DateTimeZone.forOffsetMillis(100);
    org.joda.time.MonthDay monthDay15 = new org.joda.time.MonthDay(dateTimeZone14);
    org.joda.time.chrono.GregorianChronology gregorianChronology16 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology16);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone22 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i24 = fixedDateTimeZone22.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone22);
    boolean b26 = fixedDateTimeZone22.isFixed();
    org.joda.time.Chronology chronology27 = gregorianChronology16.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone22);
    org.joda.time.DurationField durationField28 = gregorianChronology16.seconds();
    org.joda.time.MonthDay monthDay29 = monthDay15.withChronologyRetainFields((org.joda.time.Chronology)gregorianChronology16);
    org.joda.time.DateTimeZone dateTimeZone31 = null;
    org.joda.time.chrono.ISOChronology iSOChronology32 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone31);
    org.joda.time.Days days33 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days34 = days33.negated();
    org.joda.time.Days days35 = days33.negated();
    int[] i_array38 = iSOChronology32.get((org.joda.time.ReadablePeriod)days33, 227210054400000100L, 227210054400000100L);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array40 = zeroIsMaxDateTimeField12.addWrapField((org.joda.time.ReadablePartial)monthDay15, 2, i_array38, 28);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getRangeDurationField();
    // The following exception was thrown during execution in test generation
    try {
      int i46 = unsupportedDateTimeField43.getLeapAmount((-259199999L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField44);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.StringBuffer stringBuffer1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, 10L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period1 = months0.toPeriod();
    org.joda.time.DurationFieldType durationFieldType2 = months0.getFieldType();
    org.joda.time.Months months3 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months4 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months6 = months4.multipliedBy(10);
    boolean b7 = months3.isGreaterThan(months4);
    int i8 = months0.compareTo((org.joda.time.base.BaseSingleFieldPeriod)months3);
    org.joda.time.PeriodType periodType9 = months3.getPeriodType();
    org.joda.time.MutablePeriod mutablePeriod10 = months3.toMutablePeriod();
    int i11 = months3.size();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutablePeriod10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.joda.time.format.PeriodFormatterBuilder periodFormatterBuilder0 = new org.joda.time.format.PeriodFormatterBuilder();
    org.joda.time.format.PeriodFormatterBuilder periodFormatterBuilder1 = periodFormatterBuilder0.appendMillis3Digit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodFormatterBuilder1);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology2 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField3 = gregorianChronology2.centuryOfEra();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone8 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i10 = fixedDateTimeZone8.getOffsetFromLocal((-8643600001L));
    org.joda.time.chrono.ISOChronology iSOChronology11 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone8);
    org.joda.time.DateTimeZone dateTimeZone12 = iSOChronology11.getZone();
    org.joda.time.chrono.GregorianChronology gregorianChronology14 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology14);
    org.joda.time.LocalDate localDate16 = new org.joda.time.LocalDate(0L, chronology15);
    org.joda.time.LocalDate.Property property17 = localDate16.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter18 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str19 = localDate16.toString(dateTimeFormatter18);
    org.joda.time.DateTimeZone dateTimeZone21 = null;
    org.joda.time.LocalDate localDate22 = new org.joda.time.LocalDate(0L, dateTimeZone21);
    boolean b23 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate22);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone28 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i30 = fixedDateTimeZone28.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone28);
    int i33 = fixedDateTimeZone28.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight34 = localDate22.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone28);
    org.joda.time.DateMidnight dateMidnight35 = localDate16.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone28);
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = null;
    boolean b37 = localDate16.isSupported(dateTimeFieldType36);
    org.joda.time.DateTime dateTime38 = localDate16.toDateTimeAtCurrentTime();
    int i39 = dateTimeZone12.getOffset((org.joda.time.ReadableInstant)dateTime38);
    org.joda.time.Chronology chronology40 = gregorianChronology2.withZone(dateTimeZone12);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MonthDay monthDay41 = new org.joda.time.MonthDay(2010, (-7), chronology40);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1969-12"+ "'", str19.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.joda.time.ReadableInterval readableInterval0 = null;
    org.joda.time.Months months1 = org.joda.time.Months.monthsIn(readableInterval0);
    int i2 = months1.getMonths();
    org.joda.time.DurationFieldType durationFieldType3 = months1.getFieldType();
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField4 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType3);
    // The following exception was thrown during execution in test generation
    try {
      long long7 = unsupportedDurationField4.add((-86400000L), 54);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField4);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.DurationField durationField1 = gregorianChronology0.days();
    long long4 = durationField1.subtract((-1L), 100L);
    org.joda.time.chrono.GregorianChronology gregorianChronology6 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology7 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology6);
    org.joda.time.LocalDate localDate8 = new org.joda.time.LocalDate(0L, chronology7);
    org.joda.time.LocalDate.Property property9 = localDate8.monthOfYear();
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate8);
    java.lang.String str11 = localDate8.toString();
    org.joda.time.LocalDate localDate13 = localDate8.plusWeeks(4);
    org.joda.time.DateTime dateTime14 = localDate13.toDateTimeAtMidnight();
    org.joda.time.Days days15 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days16 = days15.negated();
    org.joda.time.Days days17 = days15.negated();
    org.joda.time.PeriodType periodType18 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months19 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period20 = months19.toPeriod();
    org.joda.time.DurationFieldType durationFieldType21 = months19.getFieldType();
    int i22 = periodType18.indexOf(durationFieldType21);
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException(durationFieldType21, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    java.lang.Number number27 = illegalFieldValueException26.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException26.getDurationFieldType();
    boolean b29 = days15.isSupported(durationFieldType28);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException(durationFieldType28, (java.lang.Number)2440587.5d, (java.lang.Number)(byte)1, (java.lang.Number)(short)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException37 = new org.joda.time.IllegalFieldValueException(durationFieldType28, (java.lang.Number)(byte)1, (java.lang.Number)(-8730000000L), (java.lang.Number)(byte)0);
    boolean b38 = localDate13.isSupported(durationFieldType28);
    org.joda.time.field.DecoratedDurationField decoratedDurationField39 = new org.joda.time.field.DecoratedDurationField(durationField1, durationFieldType28);
    long long42 = decoratedDurationField39.getMillis(365, 7542719913563999990L);
    long long45 = decoratedDurationField39.getValueAsLong((-31535999999L), (-31535999999L));
    org.joda.time.Months months46 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period47 = months46.toPeriod();
    org.joda.time.DurationFieldType durationFieldType48 = months46.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField50 = new org.joda.time.field.PreciseDurationField(durationFieldType48, (-8730000001L));
    org.joda.time.field.DecoratedDurationField decoratedDurationField51 = new org.joda.time.field.DecoratedDurationField((org.joda.time.DurationField)decoratedDurationField39, durationFieldType48);
    org.joda.time.IllegalFieldValueException illegalFieldValueException53 = new org.joda.time.IllegalFieldValueException(durationFieldType48, "org.joda.time.IllegalFieldValueException: Value null for 08:05:54.174 must not be larger than 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == (-8640000001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1969-12-31"+ "'", str11.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + 4+ "'", number27.equals(4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == 31536000000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long45 == (-364L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType48);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    org.joda.time.DurationField durationField45 = unsupportedDateTimeField43.getDurationField();
    boolean b46 = unsupportedDateTimeField43.isLenient();
    org.joda.time.DurationField durationField47 = unsupportedDateTimeField43.getDurationField();
    org.joda.time.DateTimeZone dateTimeZone48 = null;
    org.joda.time.chrono.ISOChronology iSOChronology49 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone48);
    org.joda.time.DateTimeField dateTimeField50 = iSOChronology49.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField52 = new org.joda.time.field.OffsetDateTimeField(dateTimeField50, 31);
    org.joda.time.DurationField durationField53 = offsetDateTimeField52.getDurationField();
    int i55 = offsetDateTimeField52.getMinimumValue(0L);
    long long57 = offsetDateTimeField52.remainder(100L);
    org.joda.time.chrono.GregorianChronology gregorianChronology59 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology60 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology59);
    org.joda.time.LocalDate localDate61 = new org.joda.time.LocalDate(0L, chronology60);
    org.joda.time.LocalDate.Property property62 = localDate61.monthOfYear();
    org.joda.time.chrono.GregorianChronology gregorianChronology64 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology64);
    org.joda.time.LocalDate localDate66 = new org.joda.time.LocalDate(0L, chronology65);
    org.joda.time.LocalDate.Property property67 = localDate66.monthOfYear();
    boolean b68 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate66);
    java.lang.String str69 = localDate66.toString();
    int[] i_array70 = localDate66.getValues();
    int i71 = offsetDateTimeField52.getMaximumValue((org.joda.time.ReadablePartial)localDate61, i_array70);
    org.joda.time.LocalDate localDate73 = localDate61.withYearOfCentury(20);
    // The following exception was thrown during execution in test generation
    try {
      int i74 = unsupportedDateTimeField43.getMaximumValue((org.joda.time.ReadablePartial)localDate61);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long57 == 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "1969-12-31"+ "'", str69.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate73);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.joda.time.chrono.ISOChronology iSOChronology3 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DurationField durationField4 = iSOChronology3.days();
    org.joda.time.LocalDate localDate5 = new org.joda.time.LocalDate(100, 1, 2, (org.joda.time.Chronology)iSOChronology3);
    int i6 = localDate5.getYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate.Property property5 = localDate3.yearOfCentury();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate7 = localDate3.withYearOfCentury(0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getDurationField();
    org.joda.time.DurationField durationField45 = unsupportedDateTimeField43.getDurationField();
    boolean b46 = unsupportedDateTimeField43.isLenient();
    org.joda.time.DurationField durationField47 = unsupportedDateTimeField43.getDurationField();
    java.util.Locale locale48 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i49 = unsupportedDateTimeField43.getMaximumTextLength(locale48);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField47);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getLeapDurationField();
    // The following exception was thrown during execution in test generation
    try {
      long long47 = unsupportedDateTimeField43.addWrapField(2440587L, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField44);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    org.joda.time.Days days2 = days0.negated();
    org.joda.time.Days days3 = org.joda.time.Days.THREE;
    org.joda.time.Days days4 = org.joda.time.Days.ONE;
    org.joda.time.Days days6 = days4.plus(2000);
    org.joda.time.Days days7 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days8 = days7.negated();
    boolean b9 = days4.isLessThan(days7);
    java.lang.String str10 = days4.toString();
    org.joda.time.Days days11 = days3.minus(days4);
    boolean b12 = days0.isLessThan(days3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "P1D"+ "'", str10.equals("P1D"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder2 = dateTimeFormatterBuilder0.appendHourOfDay(1);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder0.appendYearOfEra(2000, 4);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder0.appendMonthOfYear(2);
    org.joda.time.chrono.GregorianChronology gregorianChronology9 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology10 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology9);
    org.joda.time.LocalDate localDate11 = new org.joda.time.LocalDate(0L, chronology10);
    org.joda.time.LocalDate.Property property12 = localDate11.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter13 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str14 = localDate11.toString(dateTimeFormatter13);
    org.joda.time.DateTimeZone dateTimeZone16 = null;
    org.joda.time.LocalDate localDate17 = new org.joda.time.LocalDate(0L, dateTimeZone16);
    boolean b18 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate17);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone23 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i25 = fixedDateTimeZone23.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone23);
    int i28 = fixedDateTimeZone23.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight29 = localDate17.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone23);
    org.joda.time.DateMidnight dateMidnight30 = localDate11.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone23);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = null;
    boolean b32 = localDate11.isSupported(dateTimeFieldType31);
    org.joda.time.DateTime dateTime33 = localDate11.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone34 = null;
    org.joda.time.chrono.ISOChronology iSOChronology35 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone34);
    org.joda.time.DateTimeField dateTimeField36 = iSOChronology35.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField38 = new org.joda.time.field.OffsetDateTimeField(dateTimeField36, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType39 = offsetDateTimeField38.getType();
    boolean b40 = localDate11.isSupported(dateTimeFieldType39);
    org.joda.time.Months months41 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period42 = months41.toPeriod();
    org.joda.time.DurationFieldType durationFieldType43 = months41.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField45 = new org.joda.time.field.PreciseDurationField(durationFieldType43, (-8730000001L));
    long long48 = preciseDurationField45.getMillis((-863999990L), 0L);
    java.lang.String str49 = preciseDurationField45.getName();
    java.lang.String str50 = preciseDurationField45.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField51 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType39, (org.joda.time.DurationField)preciseDurationField45);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder53 = dateTimeFormatterBuilder7.appendFixedDecimal(dateTimeFieldType39, 1970);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder54 = dateTimeFormatterBuilder7.appendTimeZoneName();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder55 = dateTimeFormatterBuilder54.appendDayOfWeekShortText();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder60 = dateTimeFormatterBuilder54.appendTimeZoneOffset("08:05:54.174", false, 2000, (-863999990));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "1969-12"+ "'", str14.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long48 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "months"+ "'", str49.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "DurationField[months]"+ "'", str50.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder55);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.joda.time.PeriodType periodType0 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.PeriodType periodType1 = periodType0.withMillisRemoved();
    int i2 = periodType0.size();
    org.joda.time.PeriodType periodType3 = org.joda.time.DateTimeUtils.getPeriodType(periodType0);
    org.joda.time.Days days4 = org.joda.time.Days.TWO;
    org.joda.time.PeriodType periodType5 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months6 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period7 = months6.toPeriod();
    org.joda.time.DurationFieldType durationFieldType8 = months6.getFieldType();
    int i9 = periodType5.indexOf(durationFieldType8);
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException(durationFieldType8, (java.lang.Number)(byte)0, (java.lang.Number)4, (java.lang.Number)1.0d);
    boolean b14 = days4.isSupported(durationFieldType8);
    int i15 = periodType0.indexOf(durationFieldType8);
    java.lang.String str16 = periodType0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "PeriodType[YearWeekDayTime]"+ "'", str16.equals("PeriodType[YearWeekDayTime]"));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology2.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone6 = null;
    org.joda.time.LocalDate localDate7 = new org.joda.time.LocalDate(0L, dateTimeZone6);
    long long9 = iSOChronology2.set((org.joda.time.ReadablePartial)localDate7, 0L);
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology2.weekyearOfCentury();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter1, (java.lang.Object)dateTimeField10);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField13 = new org.joda.time.field.OffsetDateTimeField(dateTimeField10, 31);
    java.util.Locale locale15 = null;
    java.lang.String str16 = offsetDateTimeField13.getAsText((-8643600001L), locale15);
    long long19 = offsetDateTimeField13.add(2419199998L, 2440615L);
    org.joda.time.chrono.GregorianChronology gregorianChronology21 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology22 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology21);
    org.joda.time.LocalDate localDate23 = new org.joda.time.LocalDate(0L, chronology22);
    java.lang.String str24 = localDate23.toString();
    org.joda.time.PeriodType periodType25 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months26 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period27 = months26.toPeriod();
    org.joda.time.DurationFieldType durationFieldType28 = months26.getFieldType();
    int i29 = periodType25.indexOf(durationFieldType28);
    boolean b30 = localDate23.isSupported(durationFieldType28);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone35 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    org.joda.time.DateMidnight dateMidnight36 = localDate23.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone35);
    int i37 = localDate23.getCenturyOfEra();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter39 = org.joda.time.format.ISODateTimeFormat.weekyearWeek();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter40 = dateTimeFormatter39.withZoneUTC();
    org.joda.time.chrono.ISOChronology iSOChronology41 = org.joda.time.chrono.ISOChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField42 = iSOChronology41.clockhourOfHalfday();
    org.joda.time.DateTimeField dateTimeField43 = iSOChronology41.centuryOfEra();
    org.joda.time.DateTimeZone dateTimeZone45 = null;
    org.joda.time.LocalDate localDate46 = new org.joda.time.LocalDate(0L, dateTimeZone45);
    long long48 = iSOChronology41.set((org.joda.time.ReadablePartial)localDate46, 0L);
    org.joda.time.DateTimeField dateTimeField49 = iSOChronology41.weekyearOfCentury();
    boolean b50 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFormatter40, (java.lang.Object)dateTimeField49);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField52 = new org.joda.time.field.OffsetDateTimeField(dateTimeField49, 31);
    int i54 = offsetDateTimeField52.getMinimumValue((-86399999L));
    org.joda.time.DateTimeZone dateTimeZone56 = null;
    org.joda.time.LocalDate localDate57 = new org.joda.time.LocalDate(0L, dateTimeZone56);
    boolean b58 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate57);
    org.joda.time.ReadableInstant readableInstant59 = null;
    org.joda.time.DateTime dateTime60 = localDate57.toDateTime(readableInstant59);
    org.joda.time.chrono.GregorianChronology gregorianChronology62 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology63 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology62);
    org.joda.time.LocalDate localDate64 = new org.joda.time.LocalDate(0L, chronology63);
    org.joda.time.LocalDate.Property property65 = localDate64.monthOfYear();
    org.joda.time.LocalDate.Property property66 = localDate64.yearOfCentury();
    int i67 = localDate64.size();
    int[] i_array68 = localDate64.getValues();
    org.joda.time.LocalDate localDate69 = localDate57.withFields((org.joda.time.ReadablePartial)localDate64);
    org.joda.time.chrono.GregorianChronology gregorianChronology72 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology73 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology72);
    org.joda.time.LocalDate localDate74 = new org.joda.time.LocalDate(0L, chronology73);
    org.joda.time.LocalDate.Property property75 = localDate74.monthOfYear();
    boolean b76 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate74);
    java.lang.String str77 = localDate74.toString();
    int[] i_array78 = localDate74.getValues();
    int[] i_array80 = offsetDateTimeField52.addWrapPartial((org.joda.time.ReadablePartial)localDate57, 0, i_array78, 31);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array82 = offsetDateTimeField13.set((org.joda.time.ReadablePartial)localDate23, 3, i_array78, (-863999990));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "100"+ "'", str16.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 77018372899199998L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "1969-12-31"+ "'", str24.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long48 == (-86400000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "1969-12-31"+ "'", str77.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.joda.time.MonthDay monthDay1 = new org.joda.time.MonthDay(1L);
    org.joda.time.ReadablePeriod readablePeriod2 = null;
    org.joda.time.MonthDay monthDay4 = monthDay1.withPeriodAdded(readablePeriod2, 4);
    org.joda.time.MonthDay monthDay6 = monthDay1.plusMonths(100);
    org.joda.time.ReadablePartial readablePartial7 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i8 = monthDay6.compareTo(readablePartial7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay6);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter5 = org.joda.time.format.ISODateTimeFormat.yearMonth();
    java.lang.String str6 = localDate3.toString(dateTimeFormatter5);
    org.joda.time.DateTimeZone dateTimeZone8 = null;
    org.joda.time.LocalDate localDate9 = new org.joda.time.LocalDate(0L, dateTimeZone8);
    boolean b10 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDate9);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone15 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i17 = fixedDateTimeZone15.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    int i20 = fixedDateTimeZone15.getOffsetFromLocal(0L);
    org.joda.time.DateMidnight dateMidnight21 = localDate9.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateMidnight dateMidnight22 = localDate3.toDateMidnight((org.joda.time.DateTimeZone)fixedDateTimeZone15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = null;
    boolean b24 = localDate3.isSupported(dateTimeFieldType23);
    org.joda.time.DateTime dateTime25 = localDate3.toDateTimeAtCurrentTime();
    org.joda.time.DateTimeZone dateTimeZone26 = null;
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone26);
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.hourOfDay();
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField30 = new org.joda.time.field.OffsetDateTimeField(dateTimeField28, 31);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = offsetDateTimeField30.getType();
    boolean b32 = localDate3.isSupported(dateTimeFieldType31);
    org.joda.time.Months months33 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period34 = months33.toPeriod();
    org.joda.time.DurationFieldType durationFieldType35 = months33.getFieldType();
    org.joda.time.field.PreciseDurationField preciseDurationField37 = new org.joda.time.field.PreciseDurationField(durationFieldType35, (-8730000001L));
    long long40 = preciseDurationField37.getMillis((-863999990L), 0L);
    java.lang.String str41 = preciseDurationField37.getName();
    java.lang.String str42 = preciseDurationField37.toString();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField43 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType31, (org.joda.time.DurationField)preciseDurationField37);
    org.joda.time.DurationField durationField44 = unsupportedDateTimeField43.getLeapDurationField();
    org.joda.time.ReadablePartial readablePartial45 = null;
    java.util.Locale locale46 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str47 = unsupportedDateTimeField43.getAsShortText(readablePartial45, locale46);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1969-12"+ "'", str6.equals("1969-12"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 7542719913563999990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "months"+ "'", str41.equals("months"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "DurationField[months]"+ "'", str42.equals("DurationField[months]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField44);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.DateTimeFormat.longTime();
    int i1 = dateTimeFormatter0.getDefaultYear();
    java.lang.StringBuffer stringBuffer2 = null;
    org.joda.time.chrono.GregorianChronology gregorianChronology4 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology4);
    org.joda.time.LocalDate localDate6 = new org.joda.time.LocalDate(0L, chronology5);
    org.joda.time.LocalDate.Property property7 = localDate6.monthOfYear();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter8 = org.joda.time.format.ISODateTimeFormat.tTimeNoMillis();
    boolean b9 = localDate6.equals((java.lang.Object)dateTimeFormatter8);
    int i10 = localDate6.getWeekyear();
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer2, (org.joda.time.ReadablePartial)localDate6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1970);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetMillis(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.joda.time.Days days0 = org.joda.time.Days.MAX_VALUE;
    org.joda.time.Days days1 = days0.negated();
    // The following exception was thrown during execution in test generation
    try {
      int i3 = days1.getValue(10816);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(days1);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.joda.time.Months months0 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months1 = org.joda.time.Months.TWELVE;
    org.joda.time.Months months3 = months1.multipliedBy(10);
    boolean b4 = months0.isGreaterThan(months1);
    org.joda.time.Months months6 = months1.plus(0);
    org.joda.time.ReadableInterval readableInterval7 = null;
    org.joda.time.ReadableInterval readableInterval8 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval7);
    org.joda.time.Months months9 = org.joda.time.Months.monthsIn(readableInterval7);
    org.joda.time.Months months10 = months6.plus(months9);
    org.joda.time.Months months12 = months10.plus(104);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months12);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology1 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology1);
    org.joda.time.LocalDate localDate3 = new org.joda.time.LocalDate(0L, chronology2);
    org.joda.time.LocalDate.Property property4 = localDate3.monthOfYear();
    org.joda.time.LocalDate localDate6 = localDate3.minusMonths(10);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone11 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i13 = fixedDateTimeZone11.getOffsetFromLocal((-8643600001L));
    org.joda.time.MonthDay monthDay14 = org.joda.time.MonthDay.now((org.joda.time.DateTimeZone)fixedDateTimeZone11);
    org.joda.time.chrono.GregorianChronology gregorianChronology16 = org.joda.time.chrono.GregorianChronology.getInstance();
    org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getChronology((org.joda.time.Chronology)gregorianChronology16);
    org.joda.time.LocalDate localDate18 = new org.joda.time.LocalDate(0L, chronology17);
    java.lang.String str19 = localDate18.toString();
    org.joda.time.PeriodType periodType20 = org.joda.time.PeriodType.yearWeekDayTime();
    org.joda.time.Months months21 = org.joda.time.Months.TWELVE;
    org.joda.time.Period period22 = months21.toPeriod();
    org.joda.time.DurationFieldType durationFieldType23 = months21.getFieldType();
    int i24 = periodType20.indexOf(durationFieldType23);
    boolean b25 = localDate18.isSupported(durationFieldType23);
    org.joda.time.MonthDay monthDay27 = monthDay14.withFieldAdded(durationFieldType23, 100);
    org.joda.time.LocalDate localDate28 = localDate6.withFields((org.joda.time.ReadablePartial)monthDay27);
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone34 = new org.joda.time.tz.FixedDateTimeZone("", "", (-1), 1);
    int i36 = fixedDateTimeZone34.getOffsetFromLocal((-8643600001L));
    org.joda.time.DateTimeZone.setDefault((org.joda.time.DateTimeZone)fixedDateTimeZone34);
    int i39 = fixedDateTimeZone34.getOffsetFromLocal(0L);
    int i41 = fixedDateTimeZone34.getOffsetFromLocal(0L);
    org.joda.time.LocalDate localDate42 = new org.joda.time.LocalDate((-863999990L), (org.joda.time.DateTimeZone)fixedDateTimeZone34);
    org.joda.time.Months months43 = org.joda.time.Months.monthsBetween((org.joda.time.ReadablePartial)localDate6, (org.joda.time.ReadablePartial)localDate42);
    int i44 = localDate6.getDayOfMonth();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate46 = localDate6.withMonthOfYear(19);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1969-12-31"+ "'", str19.equals("1969-12-31"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(period22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(monthDay27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDate28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(months43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 28);

  }

}
